devscripts (2.14.1) unstable; urgency=medium

  * Actually install sadt.  (Closes: #736683)

 -- James McCoy <jamessan@debian.org>  Sat, 25 Jan 2014 22:15:46 -0500

devscripts (2.14.0) unstable; urgency=medium

  [ Jakub Wilk ]
  * Add sadt, a simple implementation of DEP-8 test runner (closes: #712095).

  [ James McCoy ]
  * chdist:
    + Ensure error messages end with an EOL.  (Closes: #734307)
    + Make short options (-d, -a, -h) work.  (Closes: #736504)
  * licensecheck: Add handling for a variation of 3 clause BSD.
  * rc-alert:
    + Ensure the tag/dist description order is stable.  (Closes: #735286)
    + Automatically determine what the ignore tag means, instead of
      hard-coding dist names.
  * uscan:
    + Download the PGP signature the same way the archive was downloaded.
      (Closes: #735085, #736476)
    + Skip the watchfile line if pgpsigurlmangle is defined but
      upstream-signing-key.pgp is missing.  (Closes: #735084)
    + Update the GitHub example.  Based on a patch by YABUKI Yukiharu.
      (Closes: #728182)
    + Support escaped characters in the Files-Excluded patterns.  Thanks to
      Csillag Tamas and Russ Albery for the patch.  (Closes: #733111)
    + Move keyring location for signature verification under debian/upstream/.
    + Use the armored keyring debian/upstream/signing-key.asc for signature
      verification if the unarmored keyring doesn't exist.  (Closes: #720957)
    + Fix regex in get_main_source_dir.  (Closes: #735906)

 -- James McCoy <jamessan@debian.org>  Sat, 25 Jan 2014 10:19:02 -0500

devscripts (2.13.9) unstable; urgency=low

  [ Martin Pitt ]
  * autopkgtest: Add "allow-stderr" restriction to avoid failing tests because
    of the HTTP server log on stderr.

  [ James McCoy ]
  * uscan:
    + Repack the tarball and verify it is a compressed archive without
      allowing arbitrary code execution.  Fixes CVE-2013-6888.
    + Use find's -exec to call rm directly instead of piping to xargs.
      (Closes: #732006, CVE-2013-7085)
    + Follow tar's recommended security practices
      - Use --keep-old-files --no-overwrite-dir
      - Ensure parent directory of directory used for repacking archive isn't
        accessible to other users.
    + Fix handling of 'dirname' exclusions, so 'dirname/*' isn't required.

  [ Salvatore Bonaccorso ]
  * uscan: Fix unitialized value warning when copyright is not in
    copyright-format 1.0.  (Closes: #732807)

 -- James McCoy <jamessan@debian.org>  Mon, 23 Dec 2013 15:28:45 -0500

devscripts (2.13.8) unstable; urgency=medium

  [ James McCoy ]
  * uscan: Fix arbitrary command execution when using USCAN_EXCLUSION.
    (Closes: #731849)

  [ Adam D. Barratt ]
  * Honour USCAN_EXCLUSION.  (Closes: #731885)

 -- James McCoy <jamessan@debian.org>  Tue, 10 Dec 2013 20:26:42 -0500

devscripts (2.13.7) unstable; urgency=medium

  * Fix imports of Devscripts::Compression.  (Closes: #731847)

 -- James McCoy <jamessan@debian.org>  Tue, 10 Dec 2013 07:49:54 -0500

devscripts (2.13.6) unstable; urgency=medium

  [ James McCoy ]
  * chdist: Fix a [A-z] regex typo.
  * uscan: Properly handle a non-machine readable d/copyright file.  (Closes:
    #731537)
  * suspicious-source: Correct message when python3-magic isn't installed.
    (Closes: #731553)
  * bts:
    + Document that “bts tag nnn security” will Cc the security team.
      (Closes: #684301)
    + Document the behavior of leaving the version out of the found command.
      (Closes: #683480)
  * build-rdeps: Only match against package names instead of any substring of
    Build-Depends(-Indep).  (Closes: #649165)
  * debchange: Correct description of -e in --help output.  (Closes: #712030)
  * Update scripts to use Dpkg::Compression's compression_get_file_extension_regex().

  [ Louis Bettens ]
  * debchange, mass-bug, bts: Replace call to date -R with strftime().
    (Closes: #486594)

 -- James McCoy <jamessan@debian.org>  Mon, 09 Dec 2013 20:42:09 -0500

devscripts (2.13.5) unstable; urgency=low

  [ James McCoy ]
  * namecheck: Fix “406 Not Acceptable” error when querying Alioth.  (Closes:
    #725228)
  * uscan:
    + Allow specifying file exclusion rules in d/copyright so uscan can
      automatically repack upstream archives which contain non-DFSG content.
      Thanks to Andreas Tille, gregor herrmann, and Rafael Laboissiere for the
      patches.  (Closes: #685787)
    + Require LWP::Protocol::https instead of Crypt::SSLeay to access https
      sites.  (Closes: #624317)
  * test/*:
    + Pass --no-conf to commands which may be influenced by ~/.devscripts
    + Fix a test failure in test_uscan_online due to different version format.
  * rc-alert: Be more flexible in the formatting of the HTML being parsed.
    (Closes: #729779)
  * who-uploads: Use long keyid format to avoid ambiguity.  (Closes: #674579)

  [ Evgeni Golov ]
  * debcheckout: allow setting the user for auth mode in the config.  (Closes:
    #722171)

  [ Joachim Breitner ]
  * debcommit: Fix --release with darcs when the repository is clean. (Closes:
    #728177)

  [ Christoph Berg ]
  * origtargz: Document pristine-tar support in the manpage.
  * rmadison: Support -r (--regex) parameter. (This is still unsupported on
    qa.debian.org, but possible on some 3rd-party repositories like
    apt.postgresql.org.)

  [ Benjamin Drung ]
  * test/test_debchange: Strip distribution data outdated warnings. (Closes:
    #726694)

  [ Translation updates ]
  * German, Chris Leick.
  * French, David Prévot.

  [ Julien Cristau ]
  * debchange: the default setting for urgency is now 'medium' (Closes: #730343)

 -- James McCoy <jamessan@debian.org>  Wed, 04 Dec 2013 22:27:45 -0500

devscripts (2.13.4) unstable; urgency=low

  [ James McCoy ]
  * Document which scripts use libdistro-info-perl.  (Closes: #708311)
  * Make curl return a proper exit code for HTTP errors.  (Closes: #720508)
  * mk-build-deps: Define the deb's version when parsing a debian/control
    file.  (Closes: #721939)
  * checkbashisms: Sort the keys of the bashisms hashes to provide
    consistently ordered output.  This avoids false positive failures in the
    test suite.

  [ Charles Pigott ]
  * Fix POD issues.  (LP: #1226318, Closes: #719828)

  [ Matthias Klumpp ]
  * debchange: Add support for Tanglu.  (Closes: #722547)

  [ Translation updates ]
  * French, David Prévot.

 -- James McCoy <jamessan@debian.org>  Thu, 19 Sep 2013 18:53:57 -0400

devscripts (2.13.3) unstable; urgency=low

  [ gregor herrmann ]
  * debcommit: Add the source package name to commit/tag messages.  (Closes:
    #704236)

  [ Paul Wise ]
  * In chdist bash completion, don't print warnings if ~/.chdist is missing
  * Support 'new' in the rmadison URL list.

  [ James McCoy ]
  * dpkg-buildpackage: Use "dpkg-checkbuilddeps -A" for arch-indep builds.
    Bump dpkg-dev Depends to 1.16.4 accordingly.
  * Suppress "given/when is experimental" warnings when using Perl 5.18.
  * mk-build-deps: Take Build-Conflicts(-Indep) into account.  (Closes:
    #712227)
  * debcommit: Use "git status --porcelain" to check for a dirty working
    directory.  (Closes: #712166)
  * uscan: Add "Accept: */*" header to fix downloading from Alioth.  Thanks to
    Dmitry Smirnov for the patch.  (Closes: #712261)
  * transition-check: Work around Pod::Simple change which causes Perl 5.18's
    pod2man to fail.  (Closes: #714599)
  * licensecheck:
    + Check haskell files.  Thanks to Jens Petersen for the patch.
    + Handle differing lengths of comment leaders when autodetecting comments.
      (Closes: #714835)
  * uscan/rc-alert: Fix roff errors in man pages.  Thanks to Eric S. Raymond
    for the patch.  (Closes: #712701)
  * dscverify: Use ~/.gnupg/trustedkeys.gpg, if available.  (Closes: #600048)

  [ Chris Boot ]
  * bts: Fix no-mutt option. (Closes: #709999)

  [ Daniel Kahn Gillmor ]
  * Enable OpenPGP signature verification (Closes: #610712)

  [ Yaroslav Halchenko ]
  * licensecheck: Check .go (Go) files (Closes: #711467)
  * wnpp-check: Add bug URL to output and reorder columns to ease reading.
    (Closes: #715572)

  [ Bernhard R. Link ]
  * uscan: properly cope with colons and minus signs in upstream versions.
    (Closes: #658999)

  [ Phillip Hands ]
  * licensecheck:
    + allow plural: copyright notices
    + ignore "copyright holders"
    + alternative BSD-3 wording "authors" and "_any_ contributors"
    + ignore #defines containing (c)
    + fix "copyright ownership"
    + ignore "copyright statement"
    + ignore "copyright string"
    + ignore coyright (claim|is|in), and fix test
    + ignore "copyright to"

 -- James McCoy <jamessan@debian.org>  Thu, 15 Aug 2013 20:00:57 -0400

devscripts (2.13.2) unstable; urgency=low

  [ Julian Gilbey ]
  * Correct git location in debian/copyright file (Closes: #703853)

  [ James McCoy ]
  * licensecheck: Regex-escape file contents that are used as part of a
    pattern.  (Closes: #704434, LP: #1164261)
  * bts:
    + Accept the "jessie" and "jessie-ignore" tags.  (Closes: #705817)
    + Email $pkg@packages.debian.org when reassigning a bug to src:$pkg.
      (Closes: #707636)
  * uscan: Define local replacements for die/warn instead of setting
    $SIG{__DIE__}/$SIG{__WARN__} to prevent breaking die/warn in other
    modules.  (Closes: #669942)
  * licensecheck: Fix invalid regular expression syntax.  (Closes: #706232)
  * debchange:
    + Set Wheezy as the default --bpo target.  (Closes: #703633)
    + Recognize oldstable backports while oldstable is supported.  (Closes:
      #707616)
  * rc-alert: Change description of I flag to reference wheezy instead of
    lenny.  (Closes: #683491)
  * who-permits-upload:
    + Use consistent formatting in the "SEE ALSO" section of the POD.
    + Fix spelling mistakes.
    + Fix handling of encoding.
  * Move debian/bug/* so dh_bugfiles handles installing them.
  * Upload to unstable.

  [ Christoph Berg ]
  * dget: "--all pkg" will download all binaries for source package pkg.

  [ Raphael Geissert ]
  * checkbashisms: Fix false positives in $_ checks.  (Closes: #691389)

  [ Arno Töll ]
  * New script who-permits-upload, which retrieves information about Debian
    Maintainer access control lists.  (Closes: #688830)

  [ David Prévot ]
  * Formating manpages review.  (Closes: #707299)

  [ Translation updates ]
  * French, David Prévot.
  * German, Chris Leick.

 -- James McCoy <jamessan@debian.org>  Sun, 12 May 2013 23:05:26 -0400

devscripts (2.13.1) experimental; urgency=low

  [ Laurent Rineau ]
  * licensecheck:
    - Fix the detection of (L|A)GPL. (Closes: #700938)
    - Fix comments pattern detection. (Closes: #700944)

  [ Benjamin Drung ]
  * wnpp-check: Correct download links to fix regression from previous release.
  * Switch to debhelper 9.
  * Convert Python scripts to python3 (Closes: #680313).
  * Move git repository to collab-maint.
  * Remove Julian Gilbey, Mohammed Adnène Trojette, Christoph Berg,
    Stefano Zacchiroli, Adam D. Barratt, and Luk Claes from uploaders list.
    Thanks for your work.

  [ James McCoy ]
  * debdiff: Handle control files with odd permissions.  Thanks to Julian
    Gilbey for the patch.  (Closes: #702610)
  * mk-build-deps: Skip malformed stanzas instead of outright failing.
    (Closes: #679631)

  [ Dmitrijs Ledkovs ]
  * wrap-and-sort: Add trailing comma option (Closes: #703323).

  [ Markus Wanner ]
  * uscan: more debug info to allow checking uversionmangle patterns.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 22 Mar 2013 14:39:13 +0100

devscripts (2.13.0) experimental; urgency=low

  [ Christoph Berg ]
  * origtargz: New script: fetch the orig tarball of a Debian package from
    various sources, and unpack it
  * debcommit: --changelog-info will pass --author and --date for git commits.

  [ James McCoy ]
  * licensecheck: Recognize MPL 2.0 licenses.  Thanks to Ryan Pavlik for the
    patch.  (Closes: #687664)
  * namecheck: Check Apache's projects page for names.  (Closes: #686862)
  * debcommit:
    + Drop checks for old dpkg versions and always use the necessary Perl
      modules (Dpkg::Changelog::Parse, Dpkg::Vendor::Ubuntu,
      Dpkg::Changelog::Entry::Debian).
    + Add changelog info support for hg and bzr.
  * annotate-output:
    + Handle an incomplete line of output.  (Closes: #695609)
    + Don't treat backslashes in the command's output as an escape.  (Closes:
      #695613)
    + Don't swallow leading whitespace.  (Closes: #695612, LP: #1120917)
  * dscverify: Use "gpg --status-fd" to determine if a valid signature is
    found and only use the signed content.  (Closes: #695914)
  * wrap-and-sort: Fix repeated word in man page.  (Closes: #696363)

  [ Dmitry Smirnov ]
  * licensecheck:
    + Remove any regular comments pattern. (Closes: #526698)
    + Improve command line parsing.
    + Fix GPL license version detection bug.
    + Fix BSD-3-clause detection.

  [ Paul Wise ]
  * checkbashisms: When examining a bash script, indicate the lack of use of
    bashisms.
  * uscan:
    + Access GitHub directly instead of using githubredir.debian.net in
      example GitHub watch URL.
    + Add an example watch URL that matches the various file extensions used
      by common archive formats.
    + Add an example watch URL for Google Code projects.

  [ Benjamin Drung ]
  * Add bashism test cases from Raphael Geissert.
  * Add autopkgtest support. (LP: #1073330)
  * suspicious-source: Add inode/symlink and image/x-xpmi to whitelisted
    mime-types.
  * wrap-and-sort:
    + Put special entries (variables and placeholders) at the end of the list.
    + Sort debian/control*.in files too.
  * licensecheck: detect (L)GPL licenses more permissively. Thanks to
    Laurent Rineau for the patch. (Closes: #659231)
  * Bump Standards-Version to 3.9.4 (no changes needed).

  [ Cyril Brulebois ]
  * Don't auto reverse diffs when DEBDIFF_AUTO_VER_SORT is set to yes, and
    when the version in both packages is the same. (Closes: #650732)

  [ Tony Mancill ]
  * debsnap: Escape the package name when used in regex.  (Closes: #696018)

  [ David Prévot ]
  * Minor manpages convention fix: do not terminate the SEE ALSO lists with a
    period. (Closes: #696416)
  * French translation update.

  [ Josselin Mouette ]
  * nmudiff: Use dpkg-parsechangelog to fix manual parsing bug (Closes: #700584)

  [ Raphael Geissert ]
  * checkbashisms:
    + allow -FOO- as heredoc delimiter
    + simplify mixed single/double balanced quotes correctly
    + correct description of 'setvar'
    + detect traps for DEBUG, ERRNO, or RETURN
    + check for incorrect args. to 'exit' (Closes: #687450)
    + fix handling of # characters in quoted strings
    + detect use of $FUNCNAME, $TMOUT, and $TIMEFORMAT
    + detect uses of sleep with anything other than an int.
    + detect the use of the hash utility and $_
    + check for other forms of brace expansion
    + check for use of non-standard tilde expansion
    + check for case modification expansions
    + check for the use of $GLOBIGNORE

  [ Regid Ichira ]
  * rc-alert: Support using curl as alternative to wget. (Closes: #690024)
  * wnpp-alert: Support using curl as alternative to wget. (Closes: #690056)
  * wnpp-check: Support using curl as alternative to wget. (Closes: #690059)

  [ Colin Watson ]
  * debian/control: Mark devscripts Multi-Arch: foreign. (Closes: #694760)
  * debchange, debcommit: Set the timestamp of temporary editor files back
    one second, to make modification detection more reliable in the absence
    of subsecond granularity. (Closes: #697923)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 18 Feb 2013 21:50:11 +0100

devscripts (2.12.6) unstable; urgency=low

  * Actual install German translation.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 25 Nov 2012 00:30:00 +0100

devscripts (2.12.5) unstable; urgency=low

  [ James McCoy ]
  * bts:
    + Provide a clearer error message when Authen::SASL isn't installed.
      (Closes: #689816)
    + Don't require a usertag after 'bts usertag <bug> ='.  (Closes: #689815)
    + Don't require a package after 'bts affects <bug> ='.  (Closes: #690131)
  * Add German translation of man pages.  Thanks to Chris Leick.  (Closes:
    #687985)

  [ Benjamin Drung ]
  * Fix Subversion typo and write all instances of it with an capital initial
    letter. Thanks to Regid Ichira for the finding. (Closes: #689953)
  * debuild:
    - Fix failure if called with --preserve-env and GREP_OPTIONS is set.
      Thanks to Aaron Culich for the patch.  (Closes: #501056, LP: #581319)
    - Add missing bits to support dpkg-genchanges hook.
      Thanks to Maciej Malycha for the patch. (LP: #1065201)
  * wrap-and-sort: Sort Pre-Depends list (LP: #1070599)

  [ David Prévot ]
  * French translation update.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 24 Oct 2012 22:15:34 +0200

devscripts (2.12.4) unstable; urgency=low

  [ James McCoy ]
  * dget: Avoid an infinite loop when a .changes/.dsc file references itself.
    (Closes: #687670)
  * debdiff:
    + Set $TMPDIR when running interdiff so its temp files get cleaned up on
      exit.
    + Fallback to manual diff of source package if interdiff fails.  (Closes:
      #685202)
  * dcmd: Don't add "--" to the command being executed.  The user has to know
    where this should be used/if it can be used.  (Closes: #687964)
  * debcheckout: Fix collision in short options.  Use -P for --package.
    (Closes: #688150)

  [ Benjamin Drung ]
  * licensecheck: Recognize licenses in (fixed-form) Fortran code. Thanks to
    Francesco Poli for the patch and the example. (Closes: #687452)

 -- James McCoy <jamessan@debian.org>  Mon, 24 Sep 2012 18:51:12 -0400

devscripts (2.12.3) unstable; urgency=medium

  [ Benjamin Drung ]
  * licensecheck:
    - Don't truncate other licenses on Public domain or WTFPL presence.
      Thanks to Garrett Holmstrom from Fedora for the patch.
    - Remove trailing spaces.
    - add --machine option that outputs results in a machine readable format.
      Thanks to Eric Lavarde for the patch. (Closes: #583750)
    - Trim trailing period from some GPL notices' versions.

  [ Richard W.M. Jones ]
  * licensecheck: Check OCaml programs by default (*.ml, *.mli).

  [ Ville Skyttä ]
  * Spelling fixes.
  * licensecheck: Trim trailing comma from some GPL notices' versions.

  [ David Prévot ]
  * licensecheck.1: Consistency fix.
  * French translation update.

  [ Cyril Brulebois ]
  * getbuildlog: When several build logs are available, save all of them
    instead of downloading them all but only keeping the oldest.  (Closes:
    #683231)

  [ Christoph Berg ]
  * debcheckout: When --package is given, use this package name rather than
    trying to guess it from the url. Useful for URLs like
    http://anonscm.debian.org/bzr/pkg-postgresql/postgresql-9.2/sid-pgapt/.
  * po4a/Makefile: use po4a --keep=0 so the build system doesn't die with
    untranslated scripts
  * dcmd: Reimplement endswith() with case. The original missed quoting and
    made my brain hurt.
  * dcmd: Allow digits, underscores, and dots in section/component names.

  [ Raphael Geissert ]
  * dcmd: Allow arguments to contain spaces.  (Closes: #687584)

  [ James McCoy ]
  * debdiff: Fix regression in exit code, introduced in 2.11.4.  (Closes:
    #686247)
  * dget:
    + Fix CVE-2012-2241 (arbitrary file deletion)
    + Only match policy-compliant source package names.
  * dscverify: Fix CVE-2012-2240 (arbitrary code execution)

 -- James McCoy <jamessan@debian.org>  Sat, 15 Sep 2012 15:23:41 -0400

devscripts (2.12.2) unstable; urgency=high

  * annotate-output: Fix to prevent symlink attack: don't delete
    safely-created file and reuse its name.  Instead, create temporary
    directory and create FIFOs therein.  Also, be sure to remove temporaries
    upon catchable signal.  Thanks to Jim Meyering for the patch.  Fixes
    CVE-2012-3500.

 -- James McCoy <jamessan@debian.org>  Sun, 26 Aug 2012 11:16:17 -0400

devscripts (2.12.1) unstable; urgency=low

  * debchange:
    - Fix crash if libdistro-info-perl is not installed. (Closes: #680213,
      LP: #1022563)
    - Recognize stable-proposed-updates as Debian distribution (Closes: #677613)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 13 Jul 2012 22:06:43 +0200

devscripts (2.12.0) unstable; urgency=low

  [ Benjamin Drung ]
  * debchange:
    - Query name for stable-backport from distro-info.
    - On Ubuntu always default to targeting the release that it's run from,
      not the current devel release, since its primary use on stable releases
      will be for preparing PPA uploads. (LP: #1001068)

  [ James McCoy ]
  * build-rdeps, chdist, debsnap, dpkg-depcheck, rc-alert: Exit when unknown
    options are provided.  (Closes: #679374)
  * dscverify: Use GetOptions to handle argument parsing.  (Closes: #679148)
  * uscan: Properly use the File::Temp interface so files aren't being created
    with the stringified version of a file glob.  (Closes: #678193)
  * rc-alert:
    + Unset wget's continue option to ensure the bug list is properly
      downloaded.  (Closes: #677229)
    + Handle rc bugs assigned to source packages.  (Closes: #576853)
  * Devscripts/Packages.pm, Devscripts/PackageDeps.pm:
    + Parse dpkg's status file using Dpkg::Control.
    + Make functions Multi-Arch aware so they can handle $pkg:$arch naming.
      (Closes: #664811)

 -- James McCoy <jamessan@debian.org>  Sat, 30 Jun 2012 11:12:45 -0400

devscripts (2.11.9) unstable; urgency=low

  [ David Prévot ]
  * French translation update.

  [ Ron Lee ]
  * cowpoke: Properly strip the arguments to dpkg --compare-versions

  [ Christoph Berg ]
  * debcheckout: Also recognize bzr+ssh:// schema.

  [ Bernhard R. Link ]
  * debchange: fix NMU detection to not NMU QA packages (Closes: #676881)

  [ James McCoy ]
  * debchange: Add more documentation about the effects of changelog
    heuristic.  (Closes: #673974)
  * mk-build-deps:
    + Provide a more descriptive README.Debian for generated packages.  Thanks
      to chrysn for the patch.  (Closes: #675337)
    + Do not install Recommends by default.  (Closes: #575245)

  [ Benjamin Drung ]
  * debchange: Use the Dpkg::Vendor Perl API directly to avoid the overhead
    of the command line dpkg-vendor script.
  * Use dpkg-buildflags for C code.
  * wrap-and-sort: Fix damaging debian/install with no newline at the
    end of file (LP: #1014365).

 -- Benjamin Drung <bdrung@debian.org>  Sun, 17 Jun 2012 22:56:26 +0200

devscripts (2.11.8) unstable; urgency=low

  [ David Prévot ]
  * French translation update.

  [ James McCoy ]
  * dd-list:
    + Recognize -h argument, as documented.
    + Don't error when given multiple binary packages from the same source.
      (Closes: #672309)
  * Also note DEBCHANGE_MAINTTRAILER change in NEWS entry for 2.11.7.
    (Closes: #672973)
  * dget:
    + Fix handling of sources.list entries with a port. (Closes: #672460) Still
      can't handle entries at the same domain but different ports until
      #154868 is fixed.
  * debcheckout:
    + Document the DEBCHECKOUT_SOURCE configuration variable.
    + Determine the source package name when downloading the source tarball.
      This ensures the downloaded files aren't incorrectly removed after being
      downloaded.
    + Adapt find_repo() to determine the tarball name for native packages.

  [ Benjamin Drung ]
  * debchange:
    + Add --vendor= and DEBCHANGE_VENDOR to override the distributor ID
      returned by dpkg-vendor.
    + Always perform Vendor check.
    + Fall back to Debian vendor when a Debian-specific command-line option
      has been supplied (--nmu, --qa, --bin-nmu, --bpo).
    + Adjust --security template for Ubuntu.
    + Add -R/--rebuild flag for Ubuntu's no-change rebuilds.
    + Append ubuntu1 to version when incrementing on Ubuntu, unless a
      -U/--upstream option is given.
    + On Ubuntu, don't copy the previous distribution name for a new changelog
      entry. Use the Ubuntu devel release.
    + Don't use NMU versioning for NMUs / Security uploads on Ubuntu.
    + dch --increment changes XbuildY to Xubuntu1 on Ubuntu (LP: #690230).
    + Try to guess the vendor based on the given distribution name (LP: #723715)
    + Prefer UBUMAIL over DEBEMAIL on Ubuntu (LP: #929846).
  * Add first tests for licensecheck.
  * Add online test for uscan.

  [ Stefano Rivera ]
  * devscripts.Logger Don't substitute arguments into logged strings unless
    they were provided. (LP: #968129)
  * debchange: Use distro-info to determine Ubuntu release names (LP: #997932).
  * Incorporate Ubuntu's delta:
    Move debian-keyring, equivs, libcrypt-ssleay-perl, and libsoap-lite-perl
    to Suggests when building on Ubuntu.

  [ Salvatore Bonaccorso ]
  * bts: When searching for usertags use tag= in the url (followed by
    the options containing users=). (Closes: #675071).

  [ Raphael Geissert ]
  * dget: ignore duplicate repository URLs. (Closes: #675258)

  [ Kees Cook ]
  * licensecheck: Catch LGPL more robustly. (Closes: #623283)

  [ Thijs Kinkhorst ]
  * debdiff: Do not generate warnings when debdiff'ing dpkg source format
    3.0 (git). (Closes: #668372)
  * debuild: Do not warn for missing upstream tarball if package is source
    format 3.0 (git). (Closes: #668372)

  [ Scott Moser ]
  * uscan: Support watch files that reference S3 bucket listings.
    (Closes: #630756, LP: #798293)

  [ Yaroslav Halchenko ]
  * licensecheck: Check licenses in .m (Octave/Matlab), .tex (LaTeX),
    and .pyx (Python's pyrex) files (Closes: #604529)

  [ Ivan Borzenkov ]
  * licensecheck: Add detection code for Beerware license. (Closes: #597463)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 31 May 2012 17:50:56 +0200

devscripts (2.11.7) unstable; urgency=low

  [ James McCoy ]
  * bts:
    + Generate a proper Cc field with "reassign … . done …".  (Closes:
      #668132)
    + Document -m as an alias for show's --mbox.  (Closes: #670107)
  * debchange:
    + Remove EOLed releases Lenny and Maverick.
    + Change DEBCHANGE_RELEASE_HEURISTIC default to "changelog".
    + Correctly handle NMU detection when there is no whitespace after a comma
      in Uploaders.  (Closes: #642342)
  * mergechanges: Handle continuation lines correctly.  Thanks to Ben
    Hutchings for the patch.  (Closes: #656415)
  * debcheckout: Allow specifying a branch for Vcs-Git fields.  Thanks to
    Bernhard R. Link for the patch.  (Closes: #655085, #600745)
  * d/control: Change Maintainer address to devscripts-devel@lists.alioth.d.o
  * wnpp-alert: Use dpkg-query instead of directly parsing dpkg's status file.
    (Closes: #669579)
  * dpkg-depcheck: Match the new error message from “dpkg -S”.  Thanks to Bao
    Haojun for the patch.  (Closes: #667581)
  * list-unreleased: Update excluded directories to include other common
    VCSes.
  * svnpath: Always run “svn info” instead of checking for .svn. (Closes:
    #645106)
  * mk-build-deps:
    + Make error messages more explicit about what went wrong.  (Closes:
      #596561)
    + Use Dpkg::IPC to run apt-cache.
    + Don't run equivs if no package information was parsed.
  * uscan: Clarify behavior of the --destdir option.  (Closes: #659389)
  * debi: Add -u and -m as synonyms for --upgrade and --multi.  (Closes:
    #662773)

  [ Benjamin Drung ]
  * Introduce a test suite for the scripts based on shunit2.

  [ Stefano Rivera ]
  * debchange: Recognise the Ubuntu Quantal Quetzal release.

  [ Christoph Berg ]
  * debcheckout: Fix --source error message.

  [ Raphael Geissert ]
  * checkbashisms:
    + detect the use of 'setvar'
    + do not unconditionally swallow stdin (Closes: #669578)
    + Allow stdin to be checked by accepting '-' as file name
    + detect substr expansion with dynamic length (Closes: #610465)

 -- James McCoy <jamessan@debian.org>  Sun, 06 May 2012 20:05:58 -0400

devscripts (2.11.6) unstable; urgency=low

  [ James McCoy ]
  * mk-build-deps: Fix handling of debian/control files.  (Closes: #665496)
  * uscan: Fix formatting in man page.  Thanks to Samuel Bronson for the
    patch.  (Closes: #665325)
  * debsign: Fix quoting in handling of --debs-dir.
    (Closes: #666048, LP: #966867)

  [ Benjamin Drung ]
  * cowpoke.1, deb-reversion.dbk, dscextract.1: Fix typos "occured",
    "transfered", and "addtional". Thanks to A. Costa for the patches.
    (Closes: #655681)
  * debcommit:
    + Subversion 1.7 has only one .svn folder per working copy.
      Thanks to Simon Olofsson for the patch. (Closes: #645106)
    + Support .hg in parent directories.
      Thanks to Simon Olofsson for the patch. (Closes: #652967)

  [ David Prévot ]
  * Typo and stylish fix for dscextract(1). (Closes: #630423)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 30 Mar 2012 15:53:36 +0200

devscripts (2.11.5) unstable; urgency=low

  [ Adam D. Barratt ]
  * deb-reversion:
    + Re-fix handling of multi-word hooks.  (Closes: #660782).
      This was originally fixed in 2.9.14 but accidentally broken again in
      2.9.26.
    + Correctly handle cases where a changelog file was not found, possibly
      because of the use of symlinks.  (Closes: #660788)

  [ Jakub Wilk ]
  * deb-reversion: Simplify option parsing, also allowing simpler quoting of
    arguments.

  [ James McCoy ]
  * dd-list: Fix correlation of given package name when it does not match the
    source package name.  (Closes: #655854)
  * dcmd: Escape directory name so it doesn't interfere with sed command.
    (Closes: #649227)
  * debsnap: Check whether architectures have been specified.  (Closes:
    #655932)
  * pts-subscribe: Correct URL to Developer's Reference.  (Closes: #661337)
  * mk-build-deps: Use the most recent version when multiple package versions
    are available.  (Closes: #633143)

  [ Benjamin Drung ]
  * edit-patch:
    + Do not unapply quilt patches. Thanks to Michael Hall for
      the patch. (Closes: #662689, LP: #947180)
    + Remove trailing .sh when checking if the script is being run as edit-patch
      or add-patch. Thanks to Michael Hall for the patch. (LP: #953857)
  * Bump Standard-Version to 3.9.3 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 24 Mar 2012 11:26:32 +0100

devscripts (2.11.4) unstable; urgency=high

  * Urgency "high" for security fixes.

  [ James McCoy ]
  * bts: Revert usertags' handling of more than one +/-/=.  Only the first one
    is relevant.

  [ Ryan Niebur ]
  * dget: when finding the sources.list entry for the repository to
    download a package from, match any port with the correct hostname
    because apt-cache policy does not output port numbers in URLs
    (Closes: #601951)

  [ Adam D. Barratt ]
  * debdiff:
    + Fix a regression in the handling of embedded tarballs (a side
      effect of the changes introduced to resolve #571528).
    + Extend the changes from #571528 to cover more situations where
      user or file input is passed to an external program.  Fixes
      CVE-2012-2012 (and any instance of CVE-2012-2011 not already
      covered by #571528).

  [ Paul Wise ]
  * suspicious-source: Also ignore mercurial and darcs VCS directories
    (Closes: #659966).

  [ Benjamin Drung ]
  * suspicious-source: Add inode/x-empty to whitelist of MIME types
    (Closes: #659946).

  [ Raphael Geissert ]
  * debdiff:
    + Remove undocumented feature treating extensionless files as if
      they were packages (Closes: #659559)
    + Add missing chdir for dpkg-source and remove extraneous quoting
      of --exclude parameters.
    + Fix CVE-2012-0210 (insufficient input sanitising reading .dsc
      and .changes files).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 15 Feb 2012 19:19:31 +0000

devscripts (2.11.3) unstable; urgency=low

  [ Adam D. Barratt ]
  * debchange: Fix typo in the description of --no-force-save-on-release.

  [ David Prévot ]
  * manpage typographic and convention review. (Closes: #649450)
  * French translation update.

  [ James McCoy ]
  * Update tools to uniformly handle the supported compression types for
    source packages.  (Closes: #650118)
  * uscan:
    + Use "gzip -n" when repacking zip files.  Thanks to Franz Schrober for
      the patch.  (Closes: #646691)
    + Handle filenames with special characters.  (Closes: #648299)
  * debdiff: Handle paths with special characters.  (Closes: #571528)
  * bts: Add minimal verification of email arguments.  (Closes: #654460)
  * licensecheck:
    + Recognize GPL version when "of the License" isn't present.  Thanks to
      Ville Skyttä for the patch.
    + Correctly capture license version for Affero when "as published by"
      isn't present.  Thanks to Ville Skyttä for the patch.

  [ Benjamin Drung ]
  * wrap-and-sort: Do not sort executable files (executable .install files could
    be programs since debhelper 8.9.12). Thanks to Stefano Rivera for the
    patch.  (Closes: #655142)

 -- James McCoy <jamessan@debian.org>  Mon, 09 Jan 2012 20:19:11 -0500

devscripts (2.11.2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Remove the word "of" from the BSD 3 clause check, it might not be in
    there.

  [ James McCoy ]
  * Remove support for PGP-style commands from debsign/debrsign.  (Closes:
    #639204)
    + DEBSIGN_SIGNLIKE config variable removed
  * Update scripts to use GNU getopt-compatible option parsing. (Closes:
    #641979)
    + For Perl scripts, use Getopt::Long's "gnu_compat" and "bundling" modes.
      When allowed, also use "permute" for full GNU getopt compatibility.
    + For shell scripts, use getopt instead of manual option parsing.
      - Update uses of getopt to show usage when getopt fails.
  * licensecheck:
    + Recognize more generated files, MIT/X11 variants, Microsoft Permissive
      License (Ms-PL), and a libpng variant.  Thanks to Paweł Hajdan, Jr for
      the patches.  (Closes: #641497, #647524, #647526, #647527)
  * debchange: Document that only `$1' backreference replacements are
    supported.  Thanks to Matthijs Kooijman for the patch.  (Closes: #639813)
  * mergechanges: Use awk instead of sed to handle massaging the final output
    so we can better control the processing.  (Closes: #640782)
  * uscan: Fully support lzma and xz tarballs.  Based on a patch from Tanguy
    Ortolo.  (Closes: #631713)
  * debi: Document --multi, --with-depends, and --tool in the man page.
    (Closes: #644983)
  * dd-list:
    + Correctly handle maintainer names which have a comma.  (Closes: #646562)
    + Sort results by full-name instead of trying to parse the names.
      (Closes: #638602)
    + Parse sources files directly instead of invoking apt-cache.  (Closes:
      #376595)
    + Allow specifying which sources files to read.  (Closes: #509983)
  * Remove references to obsolete PGP keyrings in who-uploads/dscverify.
  * who-uploads: Don't check for default keyrings with --no-default-keyrings.
    (Closes: #515058)

  [ Stefano Rivera ]
  * debchange: Add precise as a recognised Ubuntu distro.

  [ David Prévot ]
  * bts: Remove outdated information from documentation for owner command.
    (Closes: #625990)

  [ Steve Langasek ]
  * new script dep3changelog, which parses a DEP3 patch header and feeds a
    suitable changelog entry to dch.  (Closes: #599777)

  [ Michael Prokop ]
  * debcheckout: Use DESTDIR also for debian/ only VCS packages.  (Closes:
    648654)

 -- James McCoy <jamessan@debian.org>  Tue, 15 Nov 2011 21:36:40 -0500

devscripts (2.11.1) unstable; urgency=low

  [ David Prévot ]
  * Stylish manual pages convention review. (Closes: #628447)
  * Handle the last description in devscripts(1). (Closes: #628086)
  * French translation updates.

  [ Adam D. Barratt ]
  * debian/copyright: Update repository information somewhat belatedly
    for the move to git.

  [ James Vega ]
  * debchange: Remove dapper from the list of recognized distributions.
  * debcheckout: Handle Alioth's new anonymous access URLs when converting to
    authenticated URLs. (Closes: #628674)
  * debsnap: Allow -a to be specified multiple times.  Thanks to Timo Juhani
    Lindfors for the suggestion.
  * uscan: Fix --destdir regression when repacking zip archives.  Thanks to
    Christian Kastner for the patch.  (Closes: #628076)
  * mergechanges: Do not drop fields when the Files/Checksums-* fields are not
    at the end of the source files.  (Closes: #625620)
  * debuild: Call dpkg-source --before-build/--after-build when emulating
    dpkg-buildpackage.  (Closes: #628481)
  * chdist:
    + Create /etc/apt/apt.conf.d and /etc/apt/preferences.d in the chdist
      directory structure.  (Closes: #528274, LP: #566682)
    + When multiple binary versions exist, use newest version for
      compare-src-bin-*.
    + Copy archive keyrings to etc/apt/trusted.gpg.d.

  [ Christoph Berg ]
  * dscextract: new script, extracts a single file from a Debian source
    package.
  * debcheckout: When retrieving the source for debian/-only repositories,
    move all .dsc components to the current directory, not just .orig.tar.gz.
  * uscan: Catch perl warning with incorrect watch files without ().
    Also, catch warnings on non-matches of ()? constructs.

  [ Stefano Rivera ]
  * Support //scheme-local URLs in hrefs, correctly (as used by Google code)
    (Closes: #630808)

 -- James Vega <jamessan@debian.org>  Mon, 22 Aug 2011 19:51:03 -0400

devscripts (2.11.0) unstable; urgency=low

  [ James Vega ]
  * getbuildlog:
    + Query the updated build log status pages.
    + Request the raw log file when downloading.
  * debcheckout: Use the destination directory, not package name, when
    checking for where the checkout happened.  (Closes: #627030)
  * Merge from Ubuntu:
    + dscverify: Use Ubuntu keyrings if on an Ubuntu-based system.
    + rmadison: Use Ubuntu's rmadison instance on Ubuntu.
  * namecheck: Update Alioth's "unknown project" pattern.  Thanks to Nelson A.
    de Oliveira for the patch.  (Closes: #627824)
  * Add lintian overrides for the ldconfig calls dh adds to post{inst,rm}.

  [ Benjamin Drung ]
  * Move add-patch, edit-patch, suspicious-source, what-patch, and wrap-and-sort
    from ubuntu-dev-tools into devscripts (Closes: #568481).
  * Remove EOL whitespaces (Closes: #502525).
  * dget.1: Mention `debcheckout` under `SEE ALSO`. Thanks to Paul Menzel for
    the patch. (Closes: #596245)
  * debchange, uupdate: Use dpkg-vendor instead of lsb_release.
  * Merge from Ubuntu:
    + debuild: Enforce Ubuntu merge policy.
    + debsign: Implement DEBSIGN_ALWAYS_RESIGN variable to skip the
      "Would you like to use the current signature?" question. (Closes: #447955)
  * Add test infrastructure.

  [ David Prévot ]
  * Partial manual pages convention review (Closes: #626015).

 -- James Vega <jamessan@debian.org>  Tue, 24 May 2011 23:55:36 -0400

devscripts (2.10.73) unstable; urgency=low

  [ James Vega ]
  * uscan:
    + Use the correct path when repacking zip files.  (Closes: #622889)
    + Make file show all matched file types instead of just the first.
      (Closes: #574155)
  * uupdate: Handle hidden files when the upstream archive doesn't contain its
    files under one top-level directory.  (Closes: #601945)
  * bts:
    + Indicate version argument is optional for done command.  (Closes:
      #623567)
    + Silence warnings with (un)subscribe command when no email is specified.
      (Closes: #626086)
    + Indicate email argument is optional for (un)subscribe commands.
  * debsnap:
    + Add support for downloading binary packages.  Thanks to Timo Juhani
      Lindfors for the patch.  (Closes: #587523)
    + Only download a file if it doesn't exist or its hashsum doesn't match
      the one specified by snapshot.d.o.
  * debchange:
    + Add -M option to use debian/control's Maintainer information.  Thanks to
      Modestas Vainius for the patch.  (Closes: #560900)
    + Update recognized Ubuntu releases (- jaunty/karmic, + oneiric).
  * dget: Improve wget()'s handling of file/copy URIs.  Thanks to Adam
    Borowski for the suggestions.
    + Allow relative paths for file/copy URIs.
    + Follow symlinks when copying/hard linking files from a local cache.
      (Closes: #515852)
    + Call system() with a list of arguments to prevent shell interpolation of
      the command.

  [ Benjamin Drung ]
  * Add myself to uploaders.
  * Wrap and sort lists in debian/control. (Closes: #577999)
  * Switch to simple dh 8 rule.
  * debcommit: Support for committing from debian/ when using bzr. Thanks to
    Loïc Minier for the patch. (Closes: #580861)
  * debian/control: Bump Standards-Version to 3.9.2 (no changes needed).

  [ Patrick Schoenfeld ]
  * checkbashisms:
    - add code to detect weither STDIN is a pipe and if so, write the lines
      passed via stdin to a tempfile
    - add tempfile filename to the list of files to process
    - add logic to detect if filename is a tempfile and if so, use the string
    "(stdin)" for filename display instead of the real filename.
    (Closes: #586500)

 -- James Vega <jamessan@debian.org>  Mon, 09 May 2011 22:42:12 -0400

devscripts (2.10.72) unstable; urgency=low

  [ James Vega ]
  * debuild: Use 3-argument form of open to suppress warnings about unused
    symbols.  (Closes: #606054)
  * Cleanup Recommends to avoid pulling in as many packages by default.  The
    remaining Recommends are relevant to the more commonly used scripts or
    functionality.  Relationships removed from Recommends were either added to
    Suggests if it makes sense to call some attention to them or were removed
    from debian/control completely.  (Closes: #605102, #610310, LP: #485264)
  * uscan:
    + Let unzip convert text files to native line endings when repacking.
      Thanks to Daniel Kahn Gilmor for the suggestion.  (Closes: #618513)
    + Avoid "Use of uninitialized value" warning when URL doesn't have
      "/" after the host.  Thanks to Mats Erik Andersson for the patch.
      (Closes: #600909)
    + Parse responses from FTP sites on a line-by-line basis to help prevent
      overly greedy regular expressions in watch files returning bad results.
      (Closes: #597963)
    + Fix "Use of uninitialized value" warnings when processing certain
      version 1 watch files.
    + Fix various issues when repacking a zip to a tarball.  Thanks to
      Christian Kastner for the patch.  (Closes: #615108)
      - Run tar from within the temp directory to prevent getting a ‘./’
        archive member.
      - Use root/root as the owner for the archive members to prevent leaking
        the user's login.
  * Remove use of lzma command in favor of xz. (Closes: #599641)
    + debian/control: Remove lzma from Recommends.
    + uscan: Use xz to repack lzma tarballs.
    + uupdate: Use xz to handle lzma-compressed files.
  * More typography updates for man pages.  Thanks to David Prévot for the
    patch.  (Closes: #616630)
  * pts-subscribe: Do not perform arithmetic comparison of --until argument.
    Thanks to Stefano Rivera for the patch.  (Closes: #620194)
  * mk-build-deps:
    + Add --root-cmd option to install the build-dep .deb.  Thanks to Felipe
      Sateler for the patch.  (Closes: #615135)
    + Add MKBUILDDEPS_ROOTCMD configuration variable.
    + Show modified configuration variables in usage.
  * debchange: Correct the backport name in the man page.  Thanks to Salvatore
    Bonaccorso for the patch.  (Closes: #617675)
  * getbuildlog:
    + Remove experimental.debian.net, now that experimental logs show up on
      the normal buildd site. (Closes: #621758)
    + Remove temp file if the script exits early.
  * licensecheck: Remove "(the License)" from check for Apache license.
    Thanks to Dmitry Kurochkin for the suggestion.  (Closes: #620902)

  [ Ron Lee ]
  * cowpoke: add a --return option that copies the build results back to a
    directory somewhere.  (Closes: #614268)

  [ Christoph Berg ]
  * debcheckout: Correctly extract package name from svn://.../trunk/$pkg
    style URLs.

 -- James Vega <jamessan@debian.org>  Fri, 15 Apr 2011 00:21:57 -0400

devscripts (2.10.71) unstable; urgency=low

  [ Christoph Berg ]
  * debcommit (git): Don't treat "no files to commit" as an error when called
    with --release, otherwise it is not possible to tag after the final build.

  [ James Vega ]
  * bts:
    + Use Pod::Text to remove POD markup before displaying the help.  (Closes:
      #613502)
    + Document that whitespace is required around the dot/comma separating
      command stanzas.  (Closes: #595893)
  * dget: Ignore IO::File errors from local cache when a URL is given.
    The local cache should be used when accessible, but not prevent downloads
    when it isn't.  (Closes: #599354)
  * build-rdeps: Remove hard-coded path for grep-dctrl.
  * debchange:
    + Require an argument for the --allow-lower-version option.  (Closes:
      #597675)
    + Since the entry added by --closes requires editing anyway, require the
      user to save the changelog for it update the original changelog.

  [ Patrick Schoenfeld ]
  * build-rdeps: Update release_pattern for the new InRelease release files,
    which apt began downloading in newer versions instead of the Release file.
    (Closes: #613941)

  [ Ron Lee ]
  * cowpoke: try to rsync source files to the build host.  (Closes: #610072)
    Thanks to Joachim Breitner for the idea and initial patch.

 -- James Vega <jamessan@debian.org>  Sat, 19 Feb 2011 11:23:20 -0500

devscripts (2.10.70) unstable; urgency=low

  [ James Vega ]
  * debuild:
    + Properly quote shell variable when parsing options.  (Closes: #556248)
    + Don't treat “-nc” as implying binary only build.  (Closes: #607303)
    + Add recognition of dpkg-buildpackage's “-A” option for building only
      binary independent packages.
  * pts-subscribe: Handle “--until 0” the same as “--forever”.  (Closes:
    #604740)
  * uscan:
    + Update documentation to use “.+” instead of “.*” in groupings.  Thanks
      to Ben Finney for the patch.  (Closes: #606060)
    + Add “target” element to --dehs' XML, specifying the name of the
      downloaded file.  (Closes: #598514)
  * debcheckout: Use the correct prototype for set_destdir.  (Closes: #606053)
  * Use “mktemp --tmpdir” instead of specifying an absolute path under /tmp.
    (Closes: #610027)
  * Fix a typo in debchange(1).  (Closes: #610192)
  * bts: Make the message number optional for the “summary” sub-command.  This
    allows clearing an already set summary.  (Closes: #610326)
  * rmadison: Document udd url shorthand, added in 2.10.62.  (Closes: #589437)
  * Use appropriate typography for literal vs. replacement text in man pages.
    Thanks to David Prévot for the patch and French translation updates.
    (Closes: #600212)
  * dd-list: Ignore extraneous whitespace.  (Closes: #595251)
  * build-rdeps: Remove extraneous EOL whitespace in the output.  (Closes:
    #612500)
  * debian/control: Bump Standards-Version to 3.9.1.0 -- no changes necessary.

  [ Christoph Berg ]
  * debcheckout: For debian-dir-only repositories, also retrieve the source
    package, unpack it, and move the missing files over. Add a new option
    --source (DEBCHECKOUT_SOURCE) to control this behavior. (Closes: #535767)
  * Makefiles: Fix parallelization for use with make -j N.
  * rmadison: New configuration variable: RMADISON_ARCHITECTURE.
    Set the default architecture to use unless overridden by a command line
    option. To see any packages with a set B<RMADISON_ARCHITECTURE>, use
    --architecture='*'. By Uli Martens.

  [ Raphael Geissert ]
  * rmadison: Exit with a non-zero code if curl/wget has a failure.  (Closes:
    #513685)

 -- James Vega <jamessan@debian.org>  Wed, 09 Feb 2011 02:38:32 -0500

devscripts (2.10.69+squeeze1) stable; urgency=low

  * bts: Accept the "wheezy" and "wheezy-ignore" tags.  (Closes: #612521)
  * debchange:
    + Set Squeeze as the default backports target.
    + Recognize "lenny-backports-sloppy" and "squeeze-backports"
      distributions.
    + Remove "etch-backports" and "etch-volatile" distributions.

 -- James Vega <jamessan@debian.org>  Sun, 06 Feb 2011 01:01:14 -0500

devscripts (2.10.69) unstable; urgency=low

  [ James Vega ]
  * po4a: Add targets to transform translated POD/DocBook files into man
    pages.  (Closes: #597782)
  * Include command list in localized devscripts.1.  (Closes: #597906)
  * Fix a couple markup issues in source files for generated man pages.
  * bts: Don't send an empty email when --no-action is given.  (Closes:
    #600822)

  [ David Prévot ]
  * Update French translation.  (Closes: #599234, #600033)

  [ Patrick Schoenfeld ]
  * Replace occurrences of old FSF address with the FSF recommendation
    what should be written inside of source files.
    (Closes: #502512)

 -- James Vega <jamessan@debian.org>  Thu, 21 Oct 2010 07:36:42 -0400

devscripts (2.10.68) unstable; urgency=low

  [ James Vega ]
  * dget: Fix parsing of apt-cache and sources.list when given only a package
    name.  (Closes: #594904)
  * debchange:
    + Remove EOL Ubuntu release Intrepid.  Add new development release Natty.
      (Closes: #593659)
    + Remove Etch and add Squeeze as backports targets.  Lenny is still the
      default bpo target.
  * rmadison: Change Backports URL to backports.debian.org. (Closes: #595714)

  [ Luk Claes ]
  * Adjust rmadison documentation for move of accessible projectb mirror
    from merkel to ries.

 -- James Vega <jamessan@debian.org>  Wed, 08 Sep 2010 18:46:35 -0400

devscripts (2.10.67) unstable; urgency=low

  * debcommit: Use the first detected changelog instead of the last.  (Closes:
    #591368)
  * debsnap: Remove use of pure-perl specific functions from JSON module.
    (Closes: #591392)
  * debchange: Clarify how the TZ environment variable affects debchange.
    Based on a patch by Rolf Leggewie.  (LP: #330430)

 -- James Vega <jamessan@debian.org>  Sat, 14 Aug 2010 12:02:17 -0400

devscripts (2.10.66) unstable; urgency=low

  [ James Vega ]
  * bts:
    + Fix ability to clear all tags on a bug.  (Closes: #539688)
    + Detect invalid characters in usertags.  (Closes: #590930)
    + Allow specifying multiple tag modifiers (+, -, =) in one usertag stanza.
  * rc-alert: Add missing hyphens and correct formatting in the man page.
    Based on a patch by Salvatore Bonaccorso.  (Closes: #589607)
  * checkbashisms: Allow kill & trap XSI-isms unless --posix is given, as per
    Policy 3.9.1.0.  (Closes: #486823)
  * debchange: Add --[no]multimaint-merge option, corresponding to the
    DEBCHANGE_MULTIMAINT_MERGE configuration variable.  (Closes: #590842)
  * licensecheck: Add .pas, .inc, .dtd., .xsl, and .mod files to the default
    check list.  (Closes: #534988, #591305)
  * build-rdeps: Escape regular expression metacharacters in package names.
    (Closes: #590832)
  * Build-Depends on po4a (>= 0.40) so po4a recognizes .TQ macro.

  [ Cyril Brulebois ]
  * uscan: Get rid of extra quoting in dpkg --compare-versions calls.
    (Closes: #590178)

  [ Carsten Hey ]
  * debsign: Add options --re-sign and --no-re-sign to let the user choose
    whether an already signed file should be resigned.  (Closes: #580821)

 -- James Vega <jamessan@debian.org>  Mon, 02 Aug 2010 01:31:38 -0400

devscripts (2.10.65.1) unstable; urgency=low

  * debc:
    + Call changelog_parse correctly.  (Closes: #588947)
    + Update bash completion to complete *.changes files and package names.
      Thanks to Stefano Rivera for the patch.  (Closes: #584703)

 -- James Vega <jamessan@debian.org>  Tue, 13 Jul 2010 20:10:09 -0400

devscripts (2.10.65) unstable; urgency=low

  [ James Vega ]
  * Remove mergechanges from the set of commands which use completion of
    package names.  (Closes: #578167)
  * bts:
    + Use sendmail to send mails with extra headers when $(DEB)EMAIL aren't
      present.  (Closes: #577564)
    + Document that $(DEB)EMAIL must be in the environment to send email using
      either --mutt or --smtp-host.  (Closes: #578334)
    + Cleanup the help output and add some options which were only documented
      in the man page.
    + Allow specifying multiple tag modifiers (+, -, =) in one tag stanza.
      (Closes: #578118)
    + Document the valid values for the status key in the select command.
      (Closes: #583067)
  * debsnap:
    + Iterate over the list of files listed for a hash until we find one that
      matches the requested package.  (Closes: #584734)
    + Warn and move on to the next file if no files are present for a given
      hash or none match the requested package.  (Closes: #587265)
    + Handle error responses from snapshot.debian.org.  (Closes: #587217)
    + Use the basename of the file being downloaded as the name under which to
      save it.  (Closes: #584735)
    + Do not remove the destination directory when --force is given.  (Closes:
      #587517)
  * Remove --ignore-dirname options (and deprecation notices) from all
    scripts.  6.5 years is long enough to stop using that option.
  * diff2patches: Document the patch naming scheme and use of “debian/” as the
    destination directory when “debian/patches/” doesn't exist.  (Closes:
    #552693)
  * mk-build-deps:
    + Add options to build packages which depend on solely Build-Depends or
      Build-Depends-Indep.  (Closes: #498898)
    + Include build-essential in Depends.  (Closes: #565889)
  * debi: Use “dpkg -O” instead of parsing dpkg-query's output to upgrade only
    packages which are already installed.  (Closes: #563390)
  * debcheckout: Specifically call out that Debian hosts are already handled
    in DEBCHECKOUT_AUTH_URLS' description.  Thanks to martin f. krafft for the
    suggested wording.  (Closes: #530581)
  * debchange: When running “dch -r”, use <dist>-backports if a backports
    upload is detected.  (Closes: #588502)
  * uupdate: Use “0ubuntu1” for the Debian revision of the version number when
    running uupdate on Ubuntu systems.  Based on a patch by Guillaume Martres.
    (Closes: #577998)
  * Ship French man pages in UTF-8 now that #196762 is fixed.

  [ Martin Zobel-Helas ]
  * Remove svk from Recommends, it is no longer in the archive. (Closes:
    #581224)

  [ Raphael Geissert ]
  * checkbashisms:
    + Makefile handling:
      - Simplify make variables as shell variables.  (Closes: #535368)
      - Convert all $$ to $.
      - Recognize SHELL setting in Makefile when being set as an override.
      - Ignore make's '-' for ignore errors.
      - Fix some false positives due to target names.
    + Detect incorrect use of ^ instead of ! for negation in pattern matching
      collections.  (Closes: #497489)
    + Detect use of {post,pre}{increment,decrement} in arithmetic expansion.
      (Closes: #572006)
    + Detect use of Bash's “printf -v var ...” or the %b and %q format
      specifiers.
    + Detect use of the Bash's “coproc” keyword.
    + Detect use of Bash's “;;&” and ”;&” operators.
    + Add support for handling line continuations.  (Closes: #531327)
    + Fix a false positive with file redirection.
    + Fix handling of indented heredoc delimiters.
    + Fix some parsing of quoted strings.
    + Detect use of exponentiation.
    + Detect use of the 'jobs' built-in.
    + Detect use of command with options other than “-p”.
    + Fix a false positive with redirection to an fd specified via a variable.
    + Detect unexpected EOF for unclosed heredocs, quoted strings, and line
      continuations.

  [ Simon McVittie ]
  * mk-build-deps:
    + Build an Arch: any package if any of the Build-Depends have architecture
      requirements.  (Closes: #580600)
    + Allow specifying for which architecture to build the package.

  [ Charles Plessy ]
  * debchange: Add “--team” support.  (Closes: #588714)

 -- James Vega <jamessan@debian.org>  Mon, 12 Jul 2010 23:22:08 -0400

devscripts (2.10.64) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * devscripts.1: generic documentation for $DEBEMAIL and $DEBFULLNAME

  [ James Vega ]
  * Devscripts::Versort: Correct _versort so the lists it returns aren't
    shorter than the ones passed in to _versort.  (Closes: #577654)
  * debcheckout: Switch from using the Switch module to Perl 5.10's switch
    feature.

 -- James Vega <jamessan@debian.org>  Tue, 13 Apr 2010 23:46:10 -0400

devscripts (2.10.63) unstable; urgency=low

  [ Christoph Berg ]
  * debcheckout: inject extra slash in "hg ssh://hg.debian.org//" URLs so
    paths are not based in the user's $HOME.

  [ James Vega ]
  * Devscripts::Versort:
    + Restore previous behavior of versort not performing a check on whether
      the version is a valid Debian version.  (Closes: #577043)
    + Re-add deb_versort which ensures the versions are valid Debian versions.
  * debian/control:
    + Require dpkg-dev >= 1.15.4.1 since we're using bits of the new Perl API.
    + Add libjson-perl to Build-Depends so we can syntax check debsnap.
  * debcheckout: Use $DEBEMAIL/$DEBFULLNAME to set username in .hg/hgrc.

  [ David Paleino ]
  * debsnap: rewritten from scratch in Perl, use snapshot.debian.org
    and its JSON API (Closes: #530416)

  [ Thorsten Glaser ]
  * debsign: Convert to a Debian Policy §10.4 shell script. (Closes: #577251)

 -- James Vega <jamessan@debian.org>  Mon, 12 Apr 2010 23:56:40 -0400

devscripts (2.10.62) unstable; urgency=low

  [ James Vega ]
  * debcommit:
    + Fix a regression where only debian/ changes were being committed in CVS
      repos.  Thanks to Thomas Parmelan for the patch.  (Closes: #563918)
    + Change '~' in version numbers to '.' when tagging in git.  Thanks to
      Damyan Ivanov.  (Closes: #564075)
    + Treat darcs similar to hg with respect to determining the commit
      message.  Fold a single change into one line and spawn an editor if
      multiple changes are detected.  (Closes: #563901)
    + Ensure the commit message presented to the user for editing always has
      an EOL on the last line.
  * rmadison:
    + Add http://qa.debian.org/cgi-madison/madison.cgi, shorthand "udd", as a
      known madison URL.
    + Detect an existing '?' in a URL and use '&' to append more cgi
      parameters.  Thanks to Raphael Geissert.
  * chdist:
    + Add "use strict" and update for compliance.
    + Use Dpkg::Version to perform version comparisons.
  * Devscripts::Versort: Use Dpkg::Version::version_compare instead of
    invoking “dpkg --compare-versions”.
  * debian/control:
    + Update Vcs-* to point to the new Git repository.
    + Remove Conflicts on kdesdk-scripts from Etch.
    + Bump Standards-Version to 3.8.4 -- no changes necessary.
  * dcmd: Allow capital letters for the section and priority fields.  (Closes:
    #565159)
  * debcheckout: Ensure "/git/" is at the start of the URL's path when
    performing an authenticated clone of an Alioth git repo.
  * uupdate:
    + Fix a typo which caused redirection of stdout to a file name "@".
      (Closes: #569062)
    + Add support for xz compressed archives/patches and 7z archives.  Thanks
      to Hideki Yamane for the patch.  (Closes: #568615)
    + Clarify wording when neither a diff nor a debian.tar is found.  (Closes:
      #575820)
  * Update descriptions of debcommit to include darcs as a supported VCS.
    (Closes: #570138)
  * debchange:
    + Add maverick as a valid distribution.  Thanks to Benjamin Drung for the
      patch.  (Closes: #576287)
    + Treat a trailing '+' like a trailing '~' when incrementing the version
      number.  (Closes: #521642)
  * debuild: Expose two new variables (epoch-less source version, and upstream
    version) to hooks.  Thanks to gregor herrmann for the patch.  (Closes:
    573092)
  * checkbashisms: Detect more Bash builtins -- readarray, mapfile, enable.
    (Closes: #568473)
  * dd-list: Clarify that --dctrl simply changes the expected format of the
    list of packages.  Thanks to Adeodato Simó for the suggestion.  (Partially
    addresses #509983)
  * Add bash completion of package names for various Devscripts commands.
    Thanks to Simon Paillard for the patch.  (Closes: #507776)
  * Document in dscverify(1) that /usr/share/keyrings/debian-maintainers.gpg
    is one of the default keyrings.
  * dget: Add description of the use of dscverify to the description in the
    man page.  (Closes: #537367)
  * Add support for working with/recognizing xz archives to debchange,
    debdiff, debuild, uscan.
  * Use standalone “set -e” lines in maintainer scripts.
  * Add debian/source/format with "3.0 (native)".

  [ Patrick Schoenfeld ]
  * nmudiff: Fix "[nmudiff] please include --tagpending option" by applying the
    patch from Gregor Herrmann. Thanks. (Closes: #559549)
  * build-rdeps:
    + Add some documentation to the manpage, which emphasizes on the fact that
      the tool has some external dependencies (namely apt Sources files)
    + Add a proper argument passing to test_for_valid_component() so that
      it really gets the filename and not the Release file entry.
    + Add a check to test_for_valid_component() to test if a given Sources
      file actually exists and otherwise print a more meaningful warning.
      (Closes: #564443)

  [ Adam D. Barratt ]
  * debchange: Sanitise list of distributions.  Remove {sarge,etch}-backports
    and sarge-volatile, none of which accept uploads any more.

  [ Martin Zobel-Helas ]
  * checkbashisms: Fix typo spotted by Dann Frazier. (Closes: #575554)

 -- James Vega <jamessan@debian.org>  Mon, 05 Apr 2010 23:00:39 -0400

devscripts (2.10.61) unstable; urgency=low

  * bts: Correct the address used to email the submitter when using the "bts
    done" command.

 -- James Vega <jamessan@debian.org>  Sat, 02 Jan 2010 22:20:19 -0500

devscripts (2.10.60) unstable; urgency=low

  The "Welcome to the New Year" release.

  [ James Vega ]
  * checkbashisms: Detect use of {x..z} expansion.  Thanks to Raphael
    Geissert.  (Closes: #560774)
  * who-uploads: Show usage if no arguments are given.  Thanks to Kumar
    Appaiah.  (Closes: #560955)
  * uscan:
    + Add missing escape of '\' in man page.  Thanks to Marco Túlio Gontijo
      for the patch.  (Closes: #562587)
    + Add missing verb in description of FTP syntax.  Thanks to Marco Túlio
      Gontijo for the patch.  (Closes: #562586)
  * annotate-output: Allow specifying a timestamp format.  (Closes: #539720)
  * bts:
    + Always include "thanks" at the end of the control block.  (Closes:
      #542962)
    + Allow specifying which fields will be shown by "bts status".  (Closes:
      #499283, #323782)
    + Add "verbose" option to "bts status", which will also show fields that
      don't have a set value.
    + Add "done" command which sends a close command as well as Ccing the bug
      submitter.  (Closes: #482751)
  * build-rdeps:
    + Add --origin option to specify which origin to use.
    + Use the Release file to determine which Sources file(s) to search for
      the given origin.  Thanks to Michael Schutte for the patch.  (Closes:
      #545115)

  [ Patrick Schoenfeld ]
  * licensecheck: Add support for some common variants of the WTFPL

  [ Ryan Niebur ]
  * deb-reversion: Fix use with recent dpkg-dev, thanks to Salvatore
    Bonaccorso (Closes: #559702)

  [ Adam D. Barratt ]
  * Bump Standards-Version to 3.8.3.  No changes required.
  * build-rdeps: Correct spelling error in manpage ("ommitted" -> "omitted").
  * checkbashisms: Correct spelling error in manpage ("preceeded" ->
    "preceded").
  * decbommit: Correct spelling error in manpage ("commiting" ->
    "committing").

 -- James Vega <jamessan@debian.org>  Fri, 01 Jan 2010 23:30:33 -0500

devscripts (2.10.59) unstable; urgency=low

  [ James Vega ]
  * debrelease: Do not use .svn/deb-layout to determine debsdir if --debs-dir
    was used.  (Closes: #558172)
  * checkbashisms: Fix a false positive detection of ". $(foo bar)/baz" as
    attempting to pass arguments to a sourced script.  (Closes: #557639)

  [ Joachim Breitner ]
  * debcommit: Add support for having only debian/ under a svn, cvs or darcs
    VCS (Closes: #450878)

 -- James Vega <jamessan@debian.org>  Tue, 01 Dec 2009 00:16:53 -0500

devscripts (2.10.58) unstable; urgency=low

  * who-uploads: Correct the argument to wget's -O option.  Thanks to
    Yves-Alexis Perez for the patch.  (Closes: #557507)

 -- James Vega <jamessan@debian.org>  Sun, 22 Nov 2009 09:16:03 -0500

devscripts (2.10.57) unstable; urgency=low

  [ James Vega ]
  * debcommit: Fix gathering of "Closes" with dpkg >= 1.15.5.2.  (Closes:
    #557318)

  [ Ben Finney ]
  * Tighten default dirname regex to match a version only if it contains
    at least one character: ‘PACKAGE(-.+)?’.  (Closes: #521126)

 -- James Vega <jamessan@debian.org>  Sat, 21 Nov 2009 18:01:28 -0500

devscripts (2.10.56) unstable; urgency=low

  [ Adam D. Barratt ]
  * debchange: Update the list of known Ubuntu distributions, adding
    lucid (lynx) and removing gutsy.

  [ James Vega ]
  * mk-build-deps:
    + Use Pod::Usage to generate the --help message.  This keeps the message
      in sync with the POD instead of keeping two different texts in sync.
      (Closes: #548245)
    + Skip comment/blank lines when parsing the control file.  (Closes:
      #549402)
  * debchange:
    + Based on a scan of the lintian lab, add '.', '!', and ':' to the set of
      punctuation characters we strip from the distribution name when we parse
      an "Upload to ..." line.  (Closes: #548171)
    + Consistently use “--nomainttrailer” in the manpage.  (Closes: #544351)
  * debuild:
    + Recognize dpkg-source's -z/-Z options.  (Closes: #553205)
    + Remove references to pbuilder-satisfydepends.  Suggest mk-build-deps
      instead.  (Closes: #446318)
  * debcommit:
    + Handle the split up of Dpkg::Changelog in Dpkg 1.15.5.2.
    + Use Dpkg::Changelog::Parse, if available, instead of shelling out to
      dpkg-parsechangelog.
    + Remove use of deprecated L<> markup for pod2man.
  * who-uploads: Set a 30 second timeout when invoking wget instead of using
    wget's default 900 second timeout.  (Closes: #541732)
  * debsign: Update the dcut reference to point to ftp.upload.debian.org
    instead of ftp-master.debian.org.
  * debrelease:
    + Support using buildArea from .svn/deb-layout.  (Closes: #456226)
    + Change to the package root directory before verifying the existence of
      debsdir.
  * bts: Remove use of deprecated L<> markup for pod2man.

  [ Ryan Niebur ]
  * add w3m to suggests for grep-excuses -w, check for it at runtime too
    (Closes: #551516)
  * mk-build-deps: allow passing options to the command in
    MKBUILDDEPS_TOOL. Setting MKBUILDDEPS_TOOL="aptitude --schedule-
    only" in ~/.devscripts should work now. (Closes: #547164)
  * mergechanges:
    + if both input files have the same file listed but with
      different checksums, keep the first and get rid of the one from the
      second.
    + make trailing whitespace consistent with how 'normal'
      .changes file are

  [ Patrick Schoenfeld ]
  * debchange:
    + Include patch from Mathieu Parent to allow --newversion to be mixed
      together with --package. (Closes: #549469)

  [ Stefano Zacchiroli ]
  * debcheckout: Set user.name and user.email in the checked out repository if
    it is a git repo.  (Closes: #555025)

 -- James Vega <jamessan@debian.org>  Fri, 20 Nov 2009 00:28:13 -0500

devscripts (2.10.55) unstable; urgency=high

  * Urgency "high" for security fix fix

  [ Ryan Niebur ]
  * uscan: fix a regression from the security fix when the command is
    given parameters. use Text::ParseWords::shellwords to parse the
    given command.
  * dch: fix comparison of versions when the new and current version are
    the same (Closes: #545099)

  [ Adam D. Barratt ]
  * bts: Refer to the "--no-ack" option rather than the incorrect "--no-acks"
    in the description of the BTS_SUPPRESS_ACKS variable.  Thanks, Jakub
    Wilk.  (Closes: #542961)
  * licensecheck: Add missing blank line in POD.  Thanks, Nicolas Francois.
  * uscan: Fix regressions introduced by the security fix in the previous
    upload.  The parser now correctly keeps track of the last match when /g
    is used to avoid infinite loops.  Thanks, Raphael Geissert and Martín
    Ferrari.  (Closes: #544931)
  * l10n updates; thanks, Nicolas Francois:  (Closes: #545327)
    + Update French manpage translations
    + Fix addendum format for dcontrol in po4a/devscripts-po4a.conf
    + Use --previous when invoking po4a
  * debian/control: Bump version of po4a build-dependency to 0.31 to ensure
    support for --previous.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Fri, 11 Sep 2009 10:02:52 +0100

devscripts (2.10.54) unstable; urgency=high

  * Urgency "high" for security update

  [ James Vega ]
  * debchange: Clarify the wording for the explanation of
    --force-save-on-release.  (Closes: #539155)
  * grep-excuses: Document that -w only works with a package name.
  * manpage-alert: Fix handling of commands which start with non-word
    characters.  Based on a patch from Ville Skyttä.
  * bts: Add support for the limit command.  (Closes: #541698)
  * tagpending: Use 'bts limit source ...' instead of 'bts package ...' and
    listing every binary package the source produces.  This will prevent
    tagpending emails from exceeding the 998 characters per line limit of
    email.

  [ Adam D. Barratt ]
  * bts:
    + Make "tags NNNNNN =" operate correctly again.  (Closes: #539688)
    + Use >& rather than writing to filehandles under /dev/fd.
      (Closes: #517917)
  * cowpoke:
    + Update to new upstream version
      - Run with reduced privileges and only elevate them when needed to
        run cowbuilder.
      - Don't explicitly pass a buildd username unless it is set, this allows
        people to configure the remote username in their ssh config or
        similar.  (Closes: #538191)
      - Supply pbuilder with the --buildplace and --aptcache options to
        enable use with reduced privileges.
      - Relative paths are all relative to the BUILDD_USER's home directory
        now, not the incoming dir.
      - Add --dpkg-opts support for passing options on to dpkg.
      - Autoclean the apt-cache so it doesn't grow unbounded.
  * dcmd: Add filtering options for udebs.  (Closes: #541827)
  * debchange: Don't output spurious characters when extended Unicode
    characters are passed on the command line.  (Closes: #542484)
  * dget: Update the dpkg-source output matching to enable --build to work
    again.  (Closes: #541409)
  * uscan: Evaluate mangle rules without evaluating them directly as Perl
    code to avoid the possibility of remote code execution.  This is
    CVE-2009-2946.  As a side effect, (Closes: #515209)
  * Packaging changes: Add sensible-utils to Recommends.  Several scripts
    make use of sensible-editor and it has moved from debianutils so is
    no longer essential.  (Closes: #541846)

  [ Patrick Schoenfeld ]
  * Add an example for githubredir.debian.net to the uscan manpage
    (Closes: #539923)

  [ Christoph Berg ]
  * debdiff: New option --no-unpack-tarballs to skip unpacking tarballs
    contained in source packages.

  [ Ryan Niebur ]
  * uscan: add --download-current-version option (Closes: #539724)
  * Add myself to Uploaders
  * debchange: add support for using --package with -i to change the
    source package name (Closes: #515885)
  * debcheckout: use bzr+ssh instead of sftp, thanks to Colin Watson for
    the patch (Closes: #526068)
  * debchange: remove NMU version when -i is ran without -n or auto nmu
    (Closes: 487323)
  * uscan: add support for repacking lzma compressed tarballs, thanks to
    Michal Čihař for the patch (Closes: #514504)
  * namecheck: use comments instead of pod blocks so that they don't get
    translated, thanks to Florentin Duneau for the patch (Closes:
    #529062)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 02 Sep 2009 20:22:29 +0100

devscripts (2.10.53) unstable; urgency=low

  The "Debconf fish!" upload

  [ Adam D. Barratt ]
  * bts:
    + Add a missing "use IO::File" to make "bts select file:foo" work.
      Thanks, Raphaël Hertzog.  (Closes: #538288)
    + Add the "affects" command to mark a bug as affecting packages other
      than the package it was filed against.
  * checkbashisms: Detect the use of "source" when the sourced filename
    contains a tilde (Closes: #528592) or consists of a single character
    (Closes: #535252).  Thanks, Raphael Geissert and Ryan Niebur.
  * debcommit: Add darcs support.  Thanks to Joachim Breitner for the patch.
    (Closes: #536037)
  * nmudiff:
    + Fix specification of BCc to control@bugs so that it's interpreted
      as an option to mutt and not as a recipient address.  Thanks, Filippo
      Giunchedi.  (Closes: #534585)
    + Add a missing "feel" to the delayed/XX template.  Thanks, Raphael
      Geissert.
  * rmadison:
    + Add patch from Ubuntu to make lookups against their database work again.
      (The server moved from people.ubuntu.com to people.canonical.com)
      (Closes: #537302)
    + When using curl, follow redirects by default.  (Also from the Ubuntu
      patch).
  * debian/control: Replace descriptions of cvs-* with those from README,
    because they're better.

  [ Patrick Schoenfeld ]
  * bts: Implement a --mutt parameter, which allows mails to be sent
    using mutt.
  * debchange: Implement a dist indication mechanism that parses
    an 'Upload to $DIST' line and sets the distribution accordingly, when
    the --release parameter is used. (Closes: #515346)
  * debi:
    + Implement a --with-depends switch to install depencies of the
      package together with the package
      (Closes: #511061)
    + Implement a --tool switch to choose the tool for installing
      dependencies
  * dget: Make it clear in manpage and usage information, that dget is capable
    of processing several URLs or packages (Closes: #535977)
  * dscverify:
    + Implement a --verbose option to disable suppressing
      of GPG output (Closes: #525670)
    + Add a notice to the manpage of dscverify that the debian-keyring package
      has the potential to be out of date and how this can be worked around
      (Closes: #438679)
    + Document standard keyring locations in the dscverify manpage
  * licensecheck: Skip empty files instead of reporting that they don't
    have a copyright (Closes: #535337)
  * nmudiff: Use 'bts select' to test, weither a check already has a patch
    tag set or not and only set it, if not (Closes: #519678)
  * Add a script listing to devscripts.1 which is auto-generated from
    debian/control (Closes: #504008)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 29 Jul 2009 15:12:24 +0100

devscripts (2.10.52) unstable; urgency=low

  * debdiff: Make --diffstat work again; accidentally broken in 2.10.48.
  * uupdate: Fix invocation of *cat when attempting to apply diffs.
    Thanks, Yannick Roehlly.  (Closes: #533415)
  * debian/control: Update Standards-Version to 3.8.2 (no changes needed)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 17 Jun 2009 19:39:33 +0100

devscripts (2.10.51) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:
    + Add a note to the description of --smtp-server explaining that
      reportbug.debian.org does not support relaying and is therefore not a
      suitable server to use in circumstances where $package@packages.d.o
      may be automatically Cced.
    + Ignore the --{force-,}interactive options when combined with -n.
      (Closes: #531422)
  * checkbashisms:
    + Detect shellscript wrappers that use "then" or "else" before calling
      exec.  Thanks, Raphael Geissert.  (Closes: #530815)
    + Fix a false positive detection of ". $(foo bar)" as attempting to pass
      arguments to a sourced script.  Thanks, Raphael Geissert.
    + Detect use of passing arguments to a sourced script as part of a
      conditional statement.  Thanks, Raphael Geissert.
    + Correctly count the number of quotes in a line when detecting whether
      we are currently inside a "quoted block".  Thanks, Raphael Geissert.
      (Closes: #531247)
    + Do not check the contents of a dpatch.  The wrapper script always uses
      /bin/sh and we can't detect the interpreter of a patch.
    + Improve the check for the use of $[] inside quoted text.  Thanks,
      Raphael Geissert.
    + Apply the "common lead-in text" to the "readonly" check.
    + Remove "\\" from the list of unsafe backslash escapes, as it appears to
      work in all shells.
  * dcmd: Parse changes / dsc files containing section or priority entries of
    "-".  (Closes: #531593)
  * licensecheck: Fix an error in a regular expression which led to an
    uninitialized value warning and missing version for some GPL headers.
    Thanks, Jakub Wilk.  (Closes: #531059)
  * uscan: Make a regular expression example in the manpage clearer.  Thanks,
    Jason Heeris.  (Closes: #530362)
  * uupdate: Add support for .lzma compressed tarballs and diffs.  Thanks to
    Simon Richter for the patch.  (Closes: #531570)

  [ James Vega ]
  * bts: Only Cc $package@packages.debian.org if we're reasonably sure we have
    an email body instead of simply control messages; i.e., if the user
    specifies the --force-interactive option or the --interactive option and
    chooses to edit the email body.  (Closes: #530926)
  * uscan: Log the correct filename when running the post-download action.
    Simplify the surrounding logic so the logging and command are less likely
    to get out of sync in the future.

  [ Mohammed Adnène Trojette ]
  * pts-subscribe: refer to bsd-mailx rather to the transitional mailx
    package. Thanks Ansgar Burchardt for the patch. (Closes: #531332)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 15 Jun 2009 18:57:20 +0100

devscripts (2.10.50) unstable; urgency=low

  [ Adam D. Barratt ]
  * chdist: Make --data-dir work with relative paths.  (Closes: #528254)
  * debchange: Add karmic (koala) to the list of recognised Ubuntu
    distributions.
  * debsnap: Fix mktemp call to use a sufficient number of Xs in the template
    string (Closes: #528193) and use -t rather than hard-coding /tmp.
  * debuild: Use printf when parsing the DEBUILD_LINTIAN_OPTS configuration
    file variable, to avoid eating -E.  (Closes: #527027)
  * mass-bug: Add an option to specify that the supplied package names are
    those of source packages rather than binary packages.  Based on a patch
    by Felipe Sateler.  (Closes: #527396)
  * rc-alert: Use standard single quotes in the debtags section of the manpage
    to avoid odd formatting and warnings from man
  * uscan: Pass -n to gzip when repacking bz2 files to ensure consistent
    checksums.  Thanks, Damyan Ivanov.  (Closes: #504672)

  [ Christoph Berg ]
  * dget: -u implies dpkg-source --no-check. Also, force LC_ALL=C to correctly
    capture dpkg-source output with --build.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 21 May 2009 21:50:18 +0100

devscripts (2.10.49) unstable; urgency=low

  * debchange:
    + Use == for numeric comparison, not eq.
    + Mention in the help output and manpage that a dummy changelog entry
      may be supplied in conjunction with --release in order to avoid
      spawning an editor.
    + Add a configuration variable and command line option to allow the
      recent change to --release's "auto-save" behaviour to be disabled.
      For consistency with other debchange options, the default is to
      retain the behaviour introduced in 2.10.48 - i.e. that the changelog
      must be explicitly saved after the use of --release. (Closes: #524393)
  * debcommit: If the installed version of dpkg-dev supports retrieving a
    list of appropriate bugs, automatically generate bzr --fixes arguments
    for Launchpad bugs as well as Debian bugs.  Thanks, Colin Watson.
    (Closes: #525823)
  * debsign: Make the PGP signing method work again.  Thanks, Florian Weimer.
    (Closes: #518821)
  * getbuildlog: Add a missing "use lib" to allow the special "last" and
    "last-all" versions to work correctly.  Thanks, Iustin Pop.
    (Closes: #523982)
  * licensecheck: Add detection of the AGPL.  Thanks, Didier Raboud.
    (Closes: #520903)
  * namecheck: Fix the formatting of a number of POD strings, also making
    them easier to translate.  Thanks, Florentin Duneau.  (Closes: #526047)
  * rc-alert:
    + Allow the generated list of bugs to be restricted to those affecting
      packages with particular debtags facets.  Thanks, Jan Hauke Rahm.
     (Closes: #523523)
    + Allow the generated list of bugs to be sorted using popcon results.
      Thanks, Jan Hauke Rahm.  (Closes: #478833)
  * rmadison: Allow a default URL to be specified in the configuration file.
    Thanks, Roland Mas.  (Closes: #524198)
  * uscan: Remove a superfluous and repeated copy of the site name in an FTP
    error message.  Thanks, Vaclav Ovsik.
  * Makefile: Remove cruft relating to French manpages, which has been handled
    by the po4a setup for a while now.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 02 May 2009 19:34:55 +0100

devscripts (2.10.48) unstable; urgency=low

  [ Adam D. Barratt ]
  * Update Standards Version to 3.8.1 (no changes required)
  * debchange: Fix a couple of syntax errors in the "does an orig tarball
    exist?" test introduced for #500932.
  * debdiff:
    + Don't bail if diff returned an exit status of 2 when comparing
      files. If there are binary files in either of the trees being compared
      then that's expected as the files can't be reliably compared.
    + Don't claim that the exit status on failure will be anything other than
      255 (i.e. the result of die()ing).
  * nmudiff: Adapt to handle the fact that debdiff will now return an exit
    status of 1 when comparing non-identical source packages.
  * debian/copyright: Explicitly refer to the GPL-2 and GPL-3 common license
    files rather than the "GPL" symlink.

  [ Patrick Schoenfeld ]
  * debchange: When renaming a directory (because of version change)
    and noticing that no matching orig tarball exist, emit a warning.
    (Closes: #500932)
  * uscan: Use maximum compression rate while repacking files from bzip2/zip
    into gzip. Thanks Nelson A. de Oliveira.
    (Closes: #522442)

  [ James Vega ]
  * debchange: As per the other edit flags, do not modify the original
    changelog when using `debchange -r' unless the user saves the temporary
    changelog.  (Closes: #422450)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 12 Apr 2009 16:11:40 +0100

devscripts (2.10.47) unstable; urgency=low

  [ Adam D. Barratt ]
  * dcontrol: Produce "friendly" error messages if liburi-perl and/or
    libwww-perl aren't installed.
  * debdiff:
    + Don't treat an absence of differences as an error when comparing
      source packages. (Closes: #515683)
    + Set the exit status correctly when comparing source packages.  If
      differences were found, debdiff will now exit with a status of 1, as
      per debdiff(1).
    + Support bzip2 and lzma compressed orig tarballs. (Closes: #473969)
  * debuild: Support bzip2 and lzma compressed orig tarballs.
    (Closes: #473974)
  * licensecheck:
    + Document --no-conf.
    + Fix an uninitialised variable warning when --no-conf is used. Thanks.
      Cristian Greco. (Closes: #515047)
  * nmudiff:
    + Rework the arguments passed to mutt in order to avoid problems
      attaching the diff with recent versions of mutt.  Thanks, Adeodato
      Simó. (Closes: #518127)
    + Allow the specification of a particular DELAYED queue, rather
      than including the "DELAYED/XX" placeholder.  May be specified as
      0 to remove mention of DELAYED. (Closes: #518126)
  * rc-alert: Modify the description of the "I" flag to reference the
    squeeze-ignore tag rather than etch-ignore.
  * debian/control, README: Add liburi-perl to the description of dcontrol.

  [ James Vega ]
  * bts: Include the module name when calling MIME::Base64::encode_base64
    since MIME::Base64 is only being 'require'd not 'use'd.  Thanks Євгеній
    Мещеряков. (Closes: #516117)
  * debchange: Do not use an empty gecos field when trying to determine the
    maintainer's name. (Closes: 516423)

  [ Christoph Berg ]
  * dcontrol: New script to query binary and source package control files at
    http://qa.debian.org/cgi-bin/dcontrol.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 04 Mar 2009 19:23:24 +0000

devscripts (2.10.46) unstable; urgency=low

  * bts:
    + If the debbugs host in use is bugs(-*).d.o, use bugs-master.d.o when
      reporting spam to match recent changes to the BTS.
    + If -n / --no-action was given on the command line, print the URL that
      would have been used to report spam rather than sending the report.
    + Accept the new "squeeze" and "squeeze-ignore" tags.
  * debchange:
    + Add lenny-backports and lenny-volatile to the list of recognised
      distributions. (Closes: #514818)
    + Don't accept "sarge", "etch" or "lenny" as valid distributions. dak
      requires suite names (e.g. "stable") rather than codenames.
    + Modify --bpo to produce a changelog suitable for uploading to
      lenny-backports rather than etch-backports by default.  If the latest
      changelog entry is for an etch backport, a new etch-backports stanza
      will be produced instead.
  * licensecheck:
    + Remove C /* */ comments. Based on a patch by Jörg Sommer.
    + Identify another couple of forms of GPL wording. (Closes: #514811)
    + Add .xs (Perl XS files) and .vala (GNOME Vala source files) to the
      default list of files to process. (Closes: #513770, #514337)
    + Fix a bug in a regular expression which meant that .h files weren't
      included in the default list of files to search.
    + Add support for the Boost, Python and zlib/libpng licenses. Thanks,
      Cristian Greco. (Closes: #514812)
  * README.newscripts: Correct the "svn propset" syntax added in the previous
    upload.
  * debian/lintian.overrides: New file to allow us to override lintian
    thinking that the mention of snapshot.debian.net in debsnap's description
    is a reference to an upstream homepage.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 12 Feb 2009 19:19:16 +0000

devscripts (2.10.45) unstable; urgency=low

  [ Patrick Schoenfeld ]
  * debsnap: Added new script from Ron Lee and David Paleino,
    which grabs source packages from snapshot.debian.net.
    (Closes: #511345)
  * Add a hint to README.newscripts that new scripts might need a modification
    to debian/copyright

  [ Adam D. Barratt ]
  * debchange:
    + When adding a NEWS item, automatically propagate the urgency from the
      changelog. (Closes: #511911)
    + Make -v and -l interoperate with NEWS files properly again.
  * debcheckout: Fix a typo and perform some QA on the manpage.
  * debdiff: Default to comparing source packages in the order they were
    passed on the command line once more, rather than using the "automagic
    version sorting" introduced in 2.10.41.  The new DEBDIFF_AUTO_VER_SORT
    configuration file option allows the default behaviour to be controlled.
    (Closes: #512290)
  * debsign: Add further quoting around the use and generation of temporary
    directory names, in case $TMPDIR contains spaces.
  * mergechanges: Correct spelling of "parameters". Thanks, Kumar Appaiah.
    (Closes: #512164)
  * README.newscripts: Add a note about marking the script file as executable
    in the repository.

  [ James Vega ]
  * bts: Document correspondent and affects keys for select command.
  * debcheckout:
    + Filter TopGit branches out of the list of branches given to
      --git-track since "tg populate" already created them.
    + Determine the actual HEAD ref to skip when first cloning a git repo
      instead of assuming it is master.  This ensures branches don't get
      skipped when specifying extra branches to track with --git-track.
    + Correct the Vcs-* example for Vim.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 21 Jan 2009 19:41:48 +0000

devscripts (2.10.44) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:
    + Allow an alternative debbugs server to be specified. (Closes: #508676)
    + Modify "bts status" to request source package information, so that we
      don't always return "unknown".
    + Don't issue repeated "user foo" commands for the same user.
    + Remove excess whitespace from usertag commands.
  * checkbashisms:
    + Rework the comment detection code to avoid matching "$#" and to avoid
      a number of similar issues. (Closes: #510343)
    + Flag the use of "source" with an unquoted argument containing no path
      information. (Closes: #510345)
  * Debbugs.pm: Allow the address of the debbugs server to be specified
    rather than hard-coding bugs.debian.org.
  * debchange:
    + Correctly increment bpo version numbers.
    + Attempt to do the right thing (or at least something sensible) if the
      package version ends in a tilde. (Closes: #510313)
  * debdiff:
    + Fix a couple of formatting issues in the manpage.
    + Mention --{no-,}diffstat in the help message.
    + Don't treat "DEBDIFF_SHOW_DIFFSTAT=no" as a modification from default
      settings.
  * licensecheck:
    + Add .cs (C# source files) to the default list of files to check.
      (Closes: #508163)
    + Detect the CDDL license. Thanks to Mike Hommey for the patch.
      (Closes: #510574)
  * uscan: Improve parsing of non-HTMLised FTP directory listings so that
    "foobar.tar.gz" doesn't match a request for "bar.tar.gz".
  * conf.default.in:
    + Use the new reportbug.debian.org as an example SMTP host for bts
      rather than bugs.debian.org.
    + Add BTS_SERVER.

  [ Christoph Berg ]
  * dscverify: Accept -u as an alias for --nosigcheck, inspired by dput -u.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 05 Jan 2009 19:20:04 +0000

devscripts (2.10.43) unstable; urgency=low

  The "how did I miss that one?" release

  * debsign: Fix a use of mktemp to actually generate unique filenames.
    (Closes: #508111)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 08 Dec 2008 06:32:18 +0000

devscripts (2.10.42) unstable; urgency=low

  [ Adam D. Barratt ]
  * checkbashisms: Fix a variable redeclaration warning. Thanks,
    Neutron Soutmun. (Closes: #506975)
  * cvs-deb{i,release}: Use mktemp rather than a temporary directory
    name based on the process ID.
  * debi: Add an "upgrade" option indicating that only those packages
    already installed on the system should be installed, rather than
    all packages listed in the .changes file. Thanks, Colin Watson.
    (Closes: #506663)
  * debsign:
    + Use mktemp rather than a temporary directory name based on the
      process ID. (Closes: #507482)
    + Use temporary files rather than redirecting gpg's stdin and stdout,
      enabling the use of pinentry-gtk2. (Closes: #507479)
  * uscan:
    + Remove the downloads.sourceforge.net example from the manpage.
      It no longer works due to changes in the website structure. Thanks,
      Alexander Block.
    + Be more intelligent with redirects and relative filenames. This should
      help in situations where the watchfile contains http://example.com/foo
      which is a redirect to http://example.com/foo/, with the latter
      containing relative filenames.
  * uupdate: Use mktemp rather than a temporary directory name based on
    the process ID.

  [ Christoph Berg ]
  * rmadison: Add debug.debian.net.

  [ Patrick Schoenfeld ]
  * dget: Fix misspelt wget option (should be --no-cache instead of
    --no-chache) (Closes: #507672)

  [ James Vega ]
  * debcheckout: Use B<> and I<> to denote the different options sections
    instead of =head2/=head3 since the latter cause pod2usage not to display
    any options when running debcheckout -h.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 07 Dec 2008 17:04:52 +0000

devscripts (2.10.41) unstable; urgency=low

  [ Patrick Schoenfeld ]
  * build-rdeps:
    + Make default pattern for source files match on codename
      as well as suite (unstable, sid)
    + Add a --exclude-component parameter which can be specified
      multiple times to exclude certain components (e.g. main, contrib,
      non-free).
    + Add missing documentation of the --only-main param in
      the manpage
    + Update author email address

  [ Adam D. Barratt ]
  * bts:
    + Don't attempt to iterate the list of bugs returned by "bts status"
      if it's empty, thereby avoiding a "Can't use string ("") as a HASH
      ref" error.
    + Correctly handle only one argument being passed to "block" or
      "unblock".
  * checkbashisms:
    + Add an updated check for $'' which is much less prone to false
      positives. Thanks Filippo Giunchedi. (Closes: #504292)
    + Add an updated check for $"" based on Filippo's $'' patch.
  * dcmd: Allow only a subset of the files listed in the .changes / .dsc
    file to be selected. (Closes: #481415)
  * Debbugs.pm:
    + Really fix the special-casing of the "archive" key in select() to
      get rid of an uninitialized value warning.
    + Check whether a SOAP call returned a valid value before attempting to
      call result() on it.
    + Produce more useful error messages on failure. (Closes: #496013)
  * debdiff: When comparing source packages, do so in version order rather
    than the order the .dsc files were passed on the command line. (May
    be disabled using --no-auto-ver-sort if desired.) (Closes: #505264)
  * debsign: Support using DEBRELEASE_DEBS_DIR to specify the location
    of .dsc and .changes files when called without an explicit path to
    a file. Based on a patch by Philippe Le Brouster. (Closes: #502419)
  * tagpending: If an error occurs retrieving the list of bugs for the
    package, suggest using "--force" in order to tag all the bugs as
    pending without attempting to query the BTS.
  * po4a/po/fr.po: Remove a duplicated word and fix a typo. Thanks Franck
    Joncourt. (Closes: #505786)

  [ James Vega ]
  * debcheckout:  Add support for working around repositories that don't
    follow standard behavior (like bzr.d.o not running a smart server).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 19 Nov 2008 19:32:43 +0000

devscripts (2.10.40) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:
    + Update the manpage to mention local caching in the description
      section and correct a typo. (Closes: #499397)
    + Accept a command consisting purely of a comment. (Closes: #501252)
  * cowpoke:
    + Update to new upstream version
      - Multiple architecture and distribution support.
      - Options are now specified using --option rather than being listed
        after the .dsc file.
      - There is now a --create option to allow new build roots to be
        easily created.
      - There are two new configuration file options BUILDD_DIST (the
        default distribution for which packages will be built) and
        DEBOOTSTRAP, allowing one to specify which of {c,}debootstrap
        should be used.
      - The RESULT_DIR configuration variable has been replaced by
        PBUILDER_BASE which points to pbuilder's base folder under which
        architecture and distribution directories will be created.
      - cowpoke.conf now supports per-arch and per-distribution options.
  * debchange:
    + Don't attempt to automatically determine if the current changelog is
      an NMU if an alternative changelog location was specified using the
      CHANGELOG environment variable.
    + Update the Ubuntu distribution list. Add jaunty and remove the
      no-longer supported warty, hoary, edgy and fiesty. Also add
      "-backports" as a supported "extension".
    + Modify the message produced by --closes to make it clearer that it
      is intended to be edited to add details of the bug and fix as
      appropriate. (Closes: #495743)
  * debcommit:
    + Allow --release to be combined with --edit or --confirm. Based on
      a patch by Eric Gerlach. (Closes: #497988)
    + Allow a newly initialised (i.e. containing no HEAD) git tree to be
      committed to. Based on a patch by Eric Gerlach. (Closes: #497995)
  * debdiff: Correctly handle hyphenated distribution names when generating
    a diff against the previous version of the package. (Closes: #503950)
  * getbuildlog:
    + Apply some patches from Jörg Sommer (Closes: #496065)
      - Unescape %7Es in log URLs to allow explicitly searching for
        package versions containing tildes.
      - Simplify a couple of variable assignments and use shell string
        operations to extract the version and architecture from the logs.
    + Allow the logs for the build with the largest version number to be
      easily retrieved. Based on a patch by Jörg Sommer.
  * licensecheck: Match a couple more variants on the wording of a
    3-clause BSD license. (Closes: #503378)
  * nmudiff: Require an explicit confirmation as to whether the generated
    mail should be sent, rather than defauling to not sending it.
    (Closes: #483657)
  * tagpending: Don't output a spurious empty line near the end of the
    changelog comments under some circumstances.
  * uscan:
    + Document the USCAN_TIMEOUT configuration file variable.
      (Closes: #502517)
    + Add a USCAN_REPACK configuration file variable indicating that bzip
      tar or zip archives should always be repacked to gzip tar archives.
      (Closes: #502516)

  [ Christoph Berg ]
  * debian/control: Remove the Dm-Upload-Allowed flag.

  [ Stefano Zacchiroli ]
  * debcheckout:
    + try to guess repository type when given raw URLs
    + update user info about Vcs-* fields (correct developers' reference
      section, add an URL to it)
    + suggest using apt-get source as a fallback (Closes: #488717)
    + add support to define custom rules for authenticated mode, this way
      personal repos can benefit from '-a' (Closes: #501568)
    + add -d/--details option to print extended information about
      reopsitories, in machine parseable format. Implement dumping of
      TopGit-specific information for TopGit-enabled GIT repositories
    + initialize TopGit's automatically, for GIT repositories which are
      recognized as being managed with TopGit (Closes: #499264)
    + add --git-track option to require tracking of remote branches when
      checking out GIT repositories (Closes: #499050)

  [ Patrick Schoenfeld ]
  * debsign: Unset GREP_OPTIONS to avoid problems when this variable is set
    in the users environment. (Closes: #504017)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 05 Nov 2008 19:18:27 +0000

devscripts (2.10.39) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:
    + Allow an explicit HELO to be specified when connecting via SMTP.
    + If a HELO is not specified then attempt to use the content of
      /etc/mailname instread.
    + Expand on the definition of "claim" in the manpage. (Closes: #501142)
    + Trim anything that doesn't look like an e-mail address from $DEBEMAIL or
      $EMAIL before using it for un/claim or un/subscribe. (Closes: #501162)
    + Update the documentation for "bts select" to make it clearer that
      specifying a key multiple times gives "or" semantics. (Closes: #499434)
  * checkbashisms:
    + Recognise brace expansions containing a leading or trailing empty value
      ("{,foo}", etc). Thanks Jonny Lamb. (Closes: #499971)
    + Recognise the use of "source" with quoted arguments. (Closes: #501171)
  * debdiff: Ensure exit status is always explicitly set (and set
    correctly). (Closes: #500256)
  * debian/rules: Create a link from the French pts-subscribe manpage
    as pts-unsubscribe, so long as the former exists (i.e. has been
    sufficiently translated).
  * licensecheck: Add support for fortran and Scilab files and for detecting
    the CeCILL and "SGI Free B" licenses. Thanks Sylvestre Ledru
    (Closes: #501447)
  * uscan: Allow --download-version to be more useful in situations where a
    current upstream version higher than that to be downloaded has been
    specified. Thanks James Westby. (Closes: #501932)

  [ James Vega ]
  * pts-subscribe: When called as pts-unsubscribe, send an unsubscribe request
    to the PTS.  (Closes: #500585)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 12 Oct 2008 20:24:23 +0100

devscripts (2.10.38) unstable; urgency=low

  [ Adam D. Barratt ]
  * When upgrading from devscripts 2.10.36, remove the incorrectly
    created /etc/devscripts.con if it is present and add the affected
    section to /etc/devscripts.conf instead.
  * tagpending: Re-add an accidentally removed blank line at the end
    of the generated comments.

  [ Patrick Schoenfeld ]
  * mk-build-deps:
    + Implement --install switch which installs a generated package and its
      depends afterwards.
    + Add an option --tool to specify which tool to use when installing the
      packages (default: apt-get)
    + Add an option --remove to specify that package files should be deleted
      after installing it.
    + Enable configuration file parsing
    + Add a configuration option MKBUILDDEPS_TOOL to specify which tool shall
      be used if the installation of the build-depends after creation is
      requested.
    + Add a configuration option MKBUILDDEPS_REMOVE_AFTER_INSTALL to configure
      that package files shall always be removed after installing the
      created packages and its build-depends.

  [ Mohammed Adnène Trojette ]
  * Comment out functions available only on Ubuntu. (Closes: #499884)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 23 Sep 2008 18:58:12 +0100

devscripts (2.10.37) unstable; urgency=low

  * Fix typo in postinst. (Closes: #499639)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 21 Sep 2008 02:11:26 +0200

devscripts (2.10.36) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:
    + Use a User-Agent header to indicate that the mail was sent via bts,
      rather a comment in the body of the generated e-mail. Thanks Thijs
      Kinkhorst and Josh Triplett. (Closes: #493884)
    + Add a (largely undocumented) --toolname switch to allow tools calling
      bts to add themselves to the User-Agent header.
    + If the BTS specifies a character set when serving an HTML file, add an
      equivalent META tag to the cached file so that it is rendered correctly.
      (pkgreport.cgi's output is now UTF-8).
    + Fix the cache file mangling for status mboxes, maintainer links, links
      to resolved bugs, second and subsequent bug links and version graphs.
      In the process (hopefully) make a number of the mangles more resilient
      to BTS HTML changes.
    + Mention in the manpage that BTS_ONLY_NEW corresponds to --only-new.
    + Ensure that the "clone" command is always passed at least one new bug ID
      (Closes: #497826) and that the new IDs are negative numbers.
    + No longer automatically CC the generated mail to the bug address if a
      comment was made. Similar functionality may be implemented in the BTS
      at a later date but in the meantime we'll avoid creating noise in the
      bug logs. (Closes: #497748)
  * checkbashisms: Flag "read without variable" and "read with options other
    than -r" separately to ensure that all uses are correctly matched. Thanks
    to Frank Lichtenheld for pointing this out via a related bug in lintian.
  * cowpoke: If BUILDD_ROOTCMD is set, use BUILDD_USER for debrsigning, rather
    than root. Patch from Cyril Brulebois. (Closes: #495536)
  * Debbugs.pm: Special-case the "archive" key in select(). The BTS really
    doesn't like it being passed as an array. (Closes: #498201)
  * debcommit:
    + When committing to a bzr repository with a message including bug
      closures, pass corresponding --fixes to bzr. Thanks James Westby
      for the patch. (Closes: #496643)
    + Fix a POD error.
  * debdiff: Add an option allowing control files in debian/ in source packages
    to be compared using wdiff.
  * debsign: When copying .changes files from a remote host, attempt to process
    each copied file if a wildcard was used in the filename (Closes: #491627)
  * nmudiff: Add support for using $DEBFULLNAME as well as $DEBEMAIL when
    generating the From: header for a sendmail-generated mail. Based on a
    patch from Thomas Viehmann. (Closes: #496460)
  * rc-alert: Fix missing characters in a couple of option names in the help
    text.
  * tagpending:
    + Fix a typo in the help output. Thanks Thijs Kinkhorst. (Closes: #494131)
    + Use the new "bts --toolname" switch instead of an in-body comment to
      indicate that tagpending was used.
    + Make the --wnpp option work again. Thanks gregor herrmann.
      (Closes: #497820)
  * uscan: Exit with the correct status when --watchfile was used.
    (Closes: #498057)

  [ Stefano Zacchiroli ]
  * bts: add support for the fake "gift" tag. It is to be used as a shorthand
    for the "gift" usertag, see http://wiki.debian.org/qa.debian.org/GiftTag

  [ James Vega ]
  * bts: Add new 'status' command which returns various bits of information
    about the state of the given bugs.  Thanks to Don Armstrong for the patch.
    (Closes: #494614)

  [ Joey Hess ]
  * bts: Add new 'summary' command.

  [ Patrick Schoenfeld ]
  * build-rdeps: Add a --distribution parameter to enable selection of
    another distribution instead of unstable
    (Closes: #471498)

  [ James Vega ]
  * uscan: Correct the <base ...> regex to be case-insensitive.  (Closes:
    #495265)

  [ Christoph Berg ]
  * debsign: Fix debsign -r dir/*.changes, and do some QA on the manpage.
    Continue with next file if an already existing signature is kept.
  * dget: Make -q really quiet.

  [ Mohammed Adnène Trojette ]
  * nmudiff: Use a friendlier template inspired from Lucas Nussbaum's
    patch. (Closes: #496628)
  * namecheck:
    + New script by Steve Kemp included to check project names are not
      already taken. (Closes: #484271)
    + Remove reference to a LICENSE file.
    + Don't lose the project name during the check.
  * bts: document that the cache auto-cleaning is overzealous on noatime
    partitions. Patch from intrigeri <intrigeri@boum.org>. (Closes: #488486)

  [ Colin Watson ]
  * dpkg-depcheck: Remove -F in order to be compatible with current strace.
    I'm not sure exactly when plain 'strace -f' started being able to follow
    vfork on Linux, but it's at least as long ago as Debian 4.0, possibly
    strace 4.4.93 which would place it before Debian 3.1, so a dependency
    doesn't seem to be necessary. (Closes: #497955)

  [ Patrick Schoenfeld ]
  * Update my email address
  * mk-build-deps: Automatically find debian/control if inside of a package
    source tree and no argument is given

  [ Luk Claes ]
  * Update debsign for new commands of .commands (Closes: #498649).

 -- Luk Claes <luk@debian.org>  Sat, 20 Sep 2008 18:37:41 +0200

devscripts (2.10.35) unstable; urgency=low

  * checkbashisms: Only flag "local x y" and "local foo=bar" when --posix is
    used, as the use of the constructs is likely to become policy compliant
    in the near future (see Policy bug #473019)
  * debcommit: When --diff is used, don't open an editor to confirm commit
    messages
  * po4a/po/fr.po: Update French manpage translations; thanks Nicolas FRANCOIS
    (Closes: #491001)
  * who-uploads: Call "gpg --verify" with LC_ALL set to C to ensure that
    the output is in the expected format (Closes: #492474)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 26 Jul 2008 21:57:20 +0100

devscripts (2.10.34) unstable; urgency=low

  * checkbashisms:
    + Match the use of "shell echo -n" and "if foo then echo -n"
    + Fix a thinko in the quoted-block detection (thankfully the effects were
      largely benign, unless one was attempting to check libtool...)
    + Fix false positives in the checks for "dirs", "popd", "pushd", "shopt"
      and "ulimit" and the "echo with unsafe backslash", brace expansion and
      invalid function name checks
    + Fix a false-positive in the "source script with arguments check"
    + Fix a false negative in the "function" check (Closes: #490223)
    + Treat """" as "" when removing quotes
    + Catch shell script wrappers which use "foo $0 $@ &\nexec true"
    + Don't treat '. "a b"' as a sourced script being passed arguments
    + Strip leading @s from makefile lines
  * debchange:
    + Also collapse UNRELEASED stanzas when -d is used
    + Fix a typo ("ether") in the manpage; thanks Raphael Geissert
  * debcheckout:
    + Improve git repository handling with --file
    + Fix directory naming when using -f and no explicit destination directory
      was specified
  * uscan:
    + Parse sites which embed newlines inside hrefs (horrible, but works)
    + Always treat patterns referring to FTP sites as case-sensitive rather
      than a confusing (and broken) mixture of case-sensitive and
      case-insensitive matching
    + Correctly match directory names in HTMLised FTP proxy listings; the
      equivalent change for filenames was applied in 2.10.11 (#448636)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 15 Jul 2008 19:24:29 +0100

devscripts (2.10.33) unstable; urgency=low

  The "bigger brown paper bag" upload

  * bts, debchange, mass-bug: Revert the changes introduced in #486594.
    "date -R" gives us a locale-independent string, strftime() doesn't.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 29 Jun 2008 13:36:35 +0100

devscripts (2.10.32) unstable; urgency=low

  * bts: Fix brown paper bag. When establishing an SMTPS connection, only use
    the hostname, rather than the fully specified "ssmtp://hostname[:port]"
    string
  * chdist: Fix sed expressions in src2bin (Closes: #488422)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 28 Jun 2008 13:44:12 -0700

devscripts (2.10.31) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts
    + Replace the use of date -R with strftime(). Thanks Stephen Gran.
    + Allow an SMTP host to be specified as using SMTPS and/or a
      non-standard port number
  * checkbashisms:
    + Add a check for $UID being set to -x
    + Apply a small fix to part of the "quoted block detection"
    + Quote test expressions using qr to allow perl to optionally compile
      or otherwise optimise them. Thanks to Frank Lichtenheld for the idea.
    + Add a --posix option which flags constructs not supported by POSIX but
      permitted by Debian Policy (echo -n, local (with no options or
      assignments) and test / [ using -a or -o )
    + Improve the suggested replacement for $UID and $EUID (Closes: #488190)
  * Debbugs.pm: Move initialisation of the SOAP object in to a common routine
    and set the underlying transport object to honour proxies from the
    environment (Closes: #487592)
  * debchange, nmudiff: Replace calls to date -R with strftime(). Thanks
    Stephen Gran (Closes: #486594)
  * debuild: Update the dpkg-buildpackage emulation to use whitespace as the
    separator in DEB_BUILD_OPTIONS as per Debian Policy 3.8.0 and to print a
    warning if an unrecognised option is encountered; based on the
    corresponding patch to Dpkg::BuildOptions
  * debsign: If we don't have permission to create files in the same location
    as the originals, use a temporary location instead (Closes: #487999)
  * licensecheck:
    + Add .cxx and .hxx to the default list of file extensions to check
      (Closes: #487384)
    + Add _MTN (monotone) to the default exclusion expression
  * rc-alert: Allow bugs matching specific sets of tags or applying to
    specific distributions to be included or excluded from the list of
    reported bugs (Closes: #487513)
  * uscan:
    + Add an example of a newer form of watch file syntax for SourceForge
      based projects to the manpage
    + If the site being checked redirects to another with a directory
      structure that does not match the original site, check for download URLs
      that refer to any of the redirected sites, in addition to the original
      site. Based on a patch by Raphael Geissert (Closes: #487436)
  * debian/control
    + Suggest libnet-smtp-ssl-perl (>= 1.01-2) in order to allow bts to
      support SMTPS. The versioned dependency is required in order to ensure
      that a fixed libio-socket-ssl-perl is used.
    + Add libnet-smtp-ssl-perl to the description of bts
  * README: Add libnet-smtp-ssl-perl to the description of bts

  [ James Vega ]
  * Debbugs.pm
    + Actually include the documented 'severity' key for the select
      function.
    + Fix some whitespace.
  * who-uploads: Accept -M as a short form for --max-uploads

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 28 Jun 2008 10:24:56 -0700

devscripts (2.10.30) unstable; urgency=low

  * bts: MIME-encode the Subject: header of the generated mail in case it
    contains any non-ASCII characters (Closes: #486395)
  * checkbashisms:
    + Apply a couple of small fixes to the "quoted block detection" and the
      removal of quoted strings
    + Temporarily disable the $"" and $'' checks as they're very prone to
      false positives
    + Fix typoes in the heredoc and popd checks (Closes: #486159)
    + Fix a couple of small bugs in the "function name containing invalid
      characters" and "read with options other than -r" tests
  * debchange:
    + Don't automatically open an editor when creating a new changelog if
      a package name and version are supplied and either --empty was used
      or the text of a changelog entry was supplied on the command line.
      Based on a patch from Steve Magoun (Closes: #484334)
    + Don't automatically add an "initial release" stanza to a newly created
      changelog if the text of a changelog entry was supplied on the command
      line. Thanks Steve Magoun.
  * debcheckout:
    + Produce the correct URL for "project-based" darcs.d.o repositories in
      authenticated mode (Closes: #485044)
    + Correctly handle absolute pathnames as the checkout path for a single
      file (Closes: #485888)
  * debdiff: When using --show-moved, indicate whether the two lists of
    packages being compared are different (this should have always worked,
    but didn't due to a small logic bug)
  * licensecheck:
    + Apply patches from Ben Finney to use the copyright parser to determine
      whether a file contains a valid copyright statement (Closes: #486013)
      and to match more forms of copyright statement (Closes: #486216)
    + Handle another variant of the copyright symbol
  * tagpending: Add a comment to the generated e-mail indicating that the
    script was used (Closes: #486092)
  * who-uploads: Allow the date of each upload to be displayed. Based on a
    patch by Filippo Giunchedi (Closes: #486344)
  * wnpp-check: Fix a small typo in the manpage (Closes: #484582)
  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes)
    + Add bsd-mailx to the mailx | mailutils Recommends as mailx is now
      a transitional package for bsd-mailx
  * debian/{link,rules}: Don't install the fr/man1/dch.1 symlink if the
    corresponding debchange.1 wasn't installed (e.g. due to not being
    sufficiently translated) (Closes: #485094)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 16 Jun 2008 19:59:50 +0100

devscripts (2.10.29) unstable; urgency=low

  * checkbashisms:
    + Add checks for "sh -r", "sh -D", "sh [-+]O" and "sh with long options"
    + Don't treat scripts with dash or ash shebangs as "/bin/sh scripts", as
      dash implements some extensions to POSIX
    + Correctly match heredocs using "<<-"
    + Add checks for $'', $"", the use of echo with backslash escapes, $SHLVL,
      $POSIXLY_CORRECT and $PIPESTATUS. Based on a patch by Raphael Geissert.
  * debchange: Update the manual page to refer to +nmu versioning for native
    packages (Closes: #483861)
  * debdiff: Don't apply patches when extracting a Format 3.0 (quilt) source
    package, to minimise noise in the diffs (Closes: #475506)
  * getbuildlog: New script from Frank S. Thomas to download build logs for
    a given package (Closes: #483169)
  * mass-bug:
    + Allow the component parts of a version number to be used in the template,
      as #EPOCH#, #UPSTREAM_VERSION# and #REVISION# (Closes: #482587)
    + Add a command-line option to specify that the generated e-mails should
      not be wrapped to 70 characters (Closes: #483030)
    + Allow the sendmail command to begin with a tilde
  * mergechanges: Allow changes files with Formats of 1.7 and 1.8 to be merged,
    by removing the Checksums-* fields from the Format: 1.8 files. The result
    will be a valid Format: 1.7 changes file. (Closes: #481585)
  * who-uploads: Call gpg with --no-auto-check-trustdb to ensure that gpg
    doesn't attempt to perform a (potentially time-consuming) trustdb update
    (Closes: #483878)
  * wnpp-check: New script from David Paleino to check whether a package has
    has open bugs requested that it be packaged (RFP) or intending to do so
    (ITP) (Closes: #483707)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Tue, 03 Jun 2008 19:28:09 +0100

devscripts (2.10.28) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts, build-rdeps, chdist, debcommit, dget, mass-bug: Fix POD errors in
    the manpages. Thanks Riccardo Stagni (Closes: #479609)
  * bts: Improve the message produced when unknown options are passed to
    a command to include the command name
  * checkbashisms:
    + Also match use of "SHELL=/bin/bash -e" when checking whether a makefile
      explicitly uses bash
    + Update the check for "function" to more closely match lintian's (and
      therefore be less prone to false positives)
    + Update the check for "echo -e" to only match -n as an extra option
      rather than all theoretically possible options, thus reducing false
      positives
    + Further improve the heredoc detection (to allow the space in "<< 'foo'")
    + Make the check for "process substitution" ignore quoted strings
    + Fix false positives in the tests for "time" and "test with unary -a"
    + Apply various improvements to "quoted block" detection
    + Correctly match 'echo "$(< $0)"'
    + Add checks for "$[" (a deprecated form of arithmetic expansion) and
      the use of the -a or -f arguments to the "readonly" builtin
  * cowpoke: New script to upload a Debian source package to a cowbuilder host
    and build it, optionally also signing and uploading the result to an
    incoming queue (Closes: #479274)
  * dcmd: Correctly handle the "debian-installer" section in a .changes
    file (Closes: #481691)
  * debsign: Use "mv -f" instead of plain "mv" when stripping an existing GPG
    signature or updating the file sizes within the changes file before
    signing it, as is already done for moving the resulting signed files
    (Closes: #479569)
  * dget: Mention in the manpage that dget supports udebs so long as an
    appropriate packages file is available to apt (Closes: #480461)
  * mergechanges: Send error output to stderr rather than stdout
    (Closes: #481583)
  * scripts/Makefile: Run podchecker(1) before building pod-generated
    manpages to avoid the generated file containing a "POD errors" section

  [ James Vega ]
  * mk-build-deps:
    + Fix Depends generation when both Build-Depends and Build-Depends-Indep
      exist so that the last package of the former and the first package of
      the latter are not listed as one concatenated string.
    + Use the Source package name instead of the first listed Binary package
      when parsing a control file.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 19 May 2008 19:38:35 +0100

devscripts (2.10.27) unstable; urgency=low

  * bts:
    + When reassigning bugs, CC the maintainer of the new package(s)
      (Closes: #478014)
    + Fix an uninitialised value warning when using claim and unclaim with
      no claim specified and $EMAIL and $DEBEMAIL unset
  * chdist: Add armel to the list of architectures in the bash completion
  * checkbashisms:
    + When rebuilding the list of bashisms to check, ensure it is based
      on whether the current file is a makefile, rather than whether the
      previous file was. Thanks to Raphael Geissert for the brown paper bag.
    + Match use of "SHELL=bash" as well as "SHELL=/bin/bash" in makefile mode
    + Improve heredoc detection to avoid triggering on "foo bar << x" whilst
      still matching 'cat <<"xyz"'
    + Add a variant on the "[ a == b ]" test
    + Enhance the "echo -e" test to also catch "echo -ne"
    + Add checks for "type", "time", "dirs" and $UID
    + Make several of the checks less prone to false positives
    + Re-enable the check for "complete"
  * dcmd:
    + Preserve a leading "./" on .dsc and .changes filenames (Closes: #478172)
    + Correctly handle packages with a section of "component/section"
      (Closes: #478829)
  * debchange:
    + Correctly handle the BTS returning no bugs for a package when --closes
      is used (either because the package doesn't exist in the archive
      or it has no open bugs) (Closes: #477398)
    + Add intrepid (ibex) to the list of Ubuntu distributions
    + Skip auto-NMU detection if -e was used or when editing an UNRELEASED
      changelog and using the "changelog" release heuristic
  * debcheckout:
    + Use the Vcs-* headers from the highest available version rather than
      the first returned by "apt-get source" (Closes: #477386)
    + Allow the Vcs-* headers from any of the available package versions to
      be used
  * debcommit:
    + Ignore --confirm and --edit when combined with --diff
    + Fix commit message detection for bzr; thanks Colin Watson
      (Closes: #478667)
    + Remove trailing newlines after editing the commit message
    + Don't attempt to commit if an editor was spawned (either via --edit
      or automatically) and the user quit without updating and saving the
      message
  * licensecheck: Correctly detect LGPLv3+ (Closes: #477742)
  * tagpending: Use option bundling (so that e.g. "tagpending -ni" works)
  * transition-check: New script to determine whether a set of source packages
    is involved in a transition for which uploads to unstable are currently
    blocked (Closes: #477922)
  * debian/control:
    + Add transition-check
    + Recommend libyaml-syck-perl (for transition-check)
    + Move build-essential back to Suggests as it's only required by
      dpkg-depcheck and dpkg-genbuilddeps and will be installed in a build
      environment anyway
    + Fix a typo in the Suggests field (svn-buildpacakge)
    + Move libfile-desktopentry-perl back to Suggests
    + Remove libdigest-md5-perl from Recommends as it's Provided by perl since
      sarge
    + Re-order the "dupload | dput" recommendation to favour dput and remove
      the version constraint from dupload as it refers to a version older than
      that in oldstable
    + Remove the versioned conflicts on debmake, dupload and suidmanager, as
      they all referred to versions of those packages older than those in
      oldstable
    + Remove the version constraints from the perl build-dependency, the perl
      dependency and the gnupg recommendation, as the referenced versions are
      all satisfied in oldstable and above
    + Remove the dependencies on debianutils and sed. Both are essential and
      the version constraints in the dependencies are satisfied in oldstable
      and above
  * README: Add transition-check

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 03 May 2008 17:30:46 +0100

devscripts (2.10.26) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts: Update documentation for "forwarded" to indicate that it may also
    be used with a URL (for instance, for an upstream bug tracker)
    (Closes: #475896)
  * checkbashisms:
    + Add experimental makefile support (only enabled if -f is used)
    + Modify the "2>&foo" check to allow a valid file descriptor followed
      by a backslash (for line continuations)
    + Check the initial lines of shell script wrappers. Based on a patch from
      Raphael Geissert
    + Fix a couple of the quoted block detection checks so as not to trigger
      on escaped quotes and correctly count quotes within lines containing ''
      or ""
    + Only rebuild the lists of expressions to search for when required,
      rather than for each line of each file
    + Disable "makefile mode" after checking a makefile if the next file to
      check isn't a makefile
    + Several enhancements to heredoc detection:
      - Heredoc delimiters may contain "non word" characters if the delimiter
        is quoted. As a side-effect, delimiters which match one of the bashism
        expressions may now be flagged due to the order in which checks are
        performed.
      - SUS specifies that a heredoc ends on a line consisting solely of a
        delimiter, so we enforce that and also don't check such lines.
      - Delimiters may now contain regular expression meta-characters.
    + Match shell script wrappers that don't pass on parameters when execing
      (for example for scripts which take all input from STDIN)
    + Add a check for process substitution (using "foo <(bar)")
  * debchange:
    + Allow a changelog with no entries to be created. (Note that
      such a changelog will cause a warning from dpkg-parsehchangelog the
      next time debchange is used with it) (Closes: #475578)
    + Correctly handle control files containing comments when checking
      for NMUs (Closes: #475750)
    + Fix a side-effect of the automagic NMU detection functionality which
      could lead to a spurious stanza being added to the end of the changelog
    + Skip automatic NMU detection if -a or -r was passed on the command line
      or if libparse-debcontrol-perl is not installed
    + Add {oldstable-,testing-,}proposed-updates to the list of supported
      distributions (Closes: #476264)
    + Add oldstable to the list of supported distributions, as updates
      to oldstable have been possible for some time
    + Allow automatic NMU detection to be disabled from the command line
      (Closes: #476985)
  * debcommit: Modify the "strip message" functionality so that:
    + Changelog lines beginning with any of *, + or - are considered to
      indicate a "change" for the purposes of deciding whether to strip
      the message
    + When trimming leading whitespace on continuation lines, only spaces
      and tabs are considered rather than line breaks (Closes: #475337)
  * debdiff:
    + Make the diffstat header for comparisons between two Debian revisions
      the same as that between two upstream versions
    + Normalise directory names in all file headers within a diff, not just
      the first
  * debian/control:
    + Suggest instead of Recommending gnuplot and cvs-buildpackage
    + Suggest svn-buildpackage (Closes: #476240)
    + Drop libparse-debcontrol-perl build-dependency now that debchange no
      longer fails in the absence of the package
  * debuild:
    + Run dpkg-buildpackage directly where possible, rather than emulating it.
      Emulation will still be used if any of the clean, dpkg-source, build,
      binary, dpkg-genchanges or final-clean hooks are defined, as dpkg
      does not currently support them. (Closes: #476100)
    + Make it clearer that a particular invocation is using the emulated
      dpkg-buildpackage, and why.
    + Automatically preserve the (C, CPP, CXX, LD and F)FLAGS variables and
      the corresponding *FLAGS_APPEND variables
    + Add *FLAGS and *FLAGS_APPEND support to the emulated dpkg-buildpackage
    + When running dpkg-buildpackage directly, pass through unrecognised
      options (with a warning) rather than aborting the build ourselves
  * diff2patches: Update to new upstream version.
  * dscverify:
    + Update for the .changes and .dsc format introduced with dpkg 1.14.17:
      - Handle Checksums-Sha(1|256)
      - Reject .changes files with unsupported Formats and any file with
        unsupported Checksums fields
  * licensecheck: Replace a literal copyright symbol with a hex escape
    so that the package builds using etch's po4a (Closes: #476251)
  * mergechanges:
    + Update for the new .changes format introduced with dpkg 1.14.17:
      - Handle Checksums-Sha(1|256) (Closes: #475957)
      - Only allow .changes files with the same Format to be merged
      - Reject .changes files with unsupported Formats or Checksums fields
  * rmadison: Allow custom shorthand URLs to be defined (Closes: #472922)
  * uscan: Allow a particular upstream release to be downloaded rather than
    the most recent (assuming it is in the list retrieved by the watch file)
    (Closes: #475828)

  [ Christoph Berg ]
  * dcmd: If no command is given, print filenames line-by-line.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 21 Apr 2008 19:45:34 +0100

devscripts (2.10.25) unstable; urgency=low

  [ Adam D. Barratt ]
  * debchange: Escape arguments to --local (Closes: #475034)
  * debdiff: Ensure arguments to --exclude are properly quoted in case they
    contain shell meta-characters (Closes: #475075)
  * debsign:
    + Add support for the new Checksums-Sha* .changes file fields
      introduced by dpkg 1.14.17 (Closes: #474949)
    + Abort if any unknown Checksums-* fields are found in the .changes
      file
    + Abort if the Format field of the .changes file is unsupported
      (greater than 1.8, less than 1.7 or non-numeric)
    + Use a case-insensitive search for field names

  [ James Vega ]
  * debian/control: Set subversion as the first VCS Recommends alternative.

 -- Martin Zobel-Helas <zobel@debian.org>  Wed, 09 Apr 2008 16:04:36 +0200

devscripts (2.10.24) unstable; urgency=low

  [ Martin Zobel-Helas ]
  * Don't look for debian/control if invoked with -c. We also then are not
    looking for NMUs. (Closes: #474564)

  [ Adam D. Barratt ]
  * debchange:
    + Add a DEBCHANGE_AUTO_NMU configuration file option allowing the NMU
      heuristics introduced in 2.10.21 to be disabled. Based on a patch by
      gregor herrmann
    + Fix and improve some manpage formatting. Thanks gregor herrmann
    + Skip NMU detection when creating a new changelog
    + Fix NEWS files in combination with NMU versioning
    + Do not trigger NMU detection if the current changelog was authored
      by the current user
    + Fix uninitialised variable warning if Uploaders is empty
      (Closes: #474687)
    + Correctly handle UTF-8 maintainer / uploaders (Closes: #474685)
    + Revert the NMU urgency change introduced in 2.10.21. NMUs now default
      to the default "low" urgency. (Closes: #474720)
  * debian/control:
    + Move devscripts-el back to Suggests as it doesn't fit the definition
      of something we should be Recommending
    + Add lsb-release to the description of debchange
    + Add unzip to the description of uscan
    + Move mutt to Suggests
  * README:
    + Add recommended packages to desktop2menu, dget and rmadison
    + Add svk to the description of debcommit
    + Add lsb-release to the description of debchange
    + Add unzip to the description of uscan
    + Replace references to ssh with ssh-client
    + Move the list of used packages to the end of the description of
      each script

  [ James Vega ]
  * debian/control:
    + Change ssh Recommends to ssh-client. (Closes: #474682)
    + Unify the tool descriptions to show the tools they use at the end of the
      description.
  * rc-alert: Allow the user to pass a list of packages to the script.
    (Closes: #474659)
  * wnpp-alert: Allow the user to pass a list of packages to the script.
    (Closes: #463665)
  * nmudiff: Fix a typo in the usage.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 07 Apr 2008 18:47:35 +0100

devscripts (2.10.23) unstable; urgency=low

  * Move the current Suggests: to Recommends: so that they are pulled in by
    default but may be removed if desired (Closes: #474559)
  * bug/presubj: Update in line with the change to Recommends:

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 06 Apr 2008 16:53:46 +0100

devscripts (2.10.22) unstable; urgency=low

  * bts: Allow a default list of e-mail addresses which should be sent copies
    of all generated e-mails to be specified (Closes: #474203)
  * debchange: Produce a more succinct and useful error message if
    libparse-debcontrol-perl isn't installed.  (Closes: #474476)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 06 Apr 2008 14:55:48 +0100

devscripts (2.10.21) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts:
    + Allow SMTP authentication to be used when sending e-mails
    + Automatically append "thanks" and the contents of ~/.signature
      (if present) when --force-interactive was used (Closes: #474205)
  * bug/script:
    + Don't produce an error if either of the configuration files doesn't
      exist (Closes: #472748)
    + Don't include the BTS_SMTP_AUTH_* options
  * checkbashisms:
    + Strip off the quoted portion of a line that ends a "quoted block" before
      deciding whether it's a comment line and skipping it
    + Fix heredoc detection to match '<< \EOT ... EOT'
    + Improve the invalid function name test to not trigger on IFS="()"
    + Modify the brace expansion test to allow "${foo},${bar}"
    + Add another variation on the theme of shell wrapper detection
      ("foo && exec bar")
    + Temporarily disable the check for "complete" as it's too prone to false
      positives
    + Add checks for pushd, popd, ulimit, shopt and $SHELLOPTS
    + Remove check for $((var+1)) as dash now supports the syntax (the syntax
      is POSIX compliant but was not supported properly by dash)
    + Improve quoted string handling to cope with "'foo'"
    + Add a test for export being passed options other than -p
      (Closes: #473700)
  * dcmd: Apply patch from Romain to correctly match the x11 section
  * debchange: Fix spurious output when adding a changelog entry containing
    non-ASCII characters (Closes: #473769)
  * debcheckout:
    + Tighten the "repository owner" regex for darcs.d.o to correctly check
      http://darcs.d.o/~foo/bar/baz against user foo
    + Ignore a repository owner mismatch in "print mode"
    + In authenticated mode, ensure that a checked-out personal git.d.o
      respository will be writable by the user passed on the command line
      (Closes: #447791)
  * debcommit: Strip epochs from hg tags (Closes: #473593)
  * debdiff: Add a --diffstat option (Closes: #370286)
  * dget: Pass --all-versions to apt-cache show in case the user has
    configured it to only show the candidate version. Thanks Håkon Stordahl
    (Closes: #472747)
  * dscverify:
    + Add debian-maintainers to the default set of keyrings
    + Add a --no-default-keyrings option to override the default keyrings
  * mk-build-deps: New script by Vincent Fourmond to build a binary package
    satisfying the build-dependencies of a given package (Closes: #474302)
  * tagpending: Allow the mail sent to the BTS to be displayed and (assuming
    --noact is not in effect) confirmed before sending
  * who-uploads: Mention the debian-maintainers keyring in --help
  * README, debian/control:
    + Add libsasl-authen-perl to Suggests and the description of bts, to
      support SMTP authentication
    + Add equivs to Suggests (for mk-build-deps)
    + Add libparse-debcontrol-perl to Suggests and the description of
      debchange

  [ Martin Zobel-Helas ]
  * debchange
    + Set urgency=high if NMU and no other urgency set (Closes: #474391)
    + Set to NMU if packager is neither in Uploaders nor Maintainer
      (Closes: #474399)
    + Add abbreviation -q for --qa (Closes: #474434)

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 05 Apr 2008 18:13:28 +0200

devscripts (2.10.20) unstable; urgency=low

  * bts:
    + Only append a single ellipsis to the mail subject once it becomes
      too long, rather than for each extra command (Closes: #471304)
    + Make --no-action and --(force-)interactive work if neither DEBEMAIL
      nor EMAIL are set (Closes: #467066)
    + Add --cc-addr to --help output
  * checkbashisms:
    + Make --version actually produce version information
    + Fix explanation of VAR+=foo
    + Fix an error in the "shell script wrapper" detection
    + Enhance the "invalid function name" check to allow a leading bracket
      before the function name
    + Don't treat '' at the beginning of a line as the start of a quoted block
    + Allow a heredoc marker to begin with a backslash
    + Enhance quoted block detection to handle escaped quotes better
    + Enhance "shell script wrapper" detection to catch more ways of
      disguising a non shell script as one
    + If more than one issue was found within a single line, output each
      rather than just the first
  * dcmd: New script from Romain Francoise to run a given command replacing
    the name of a .changes or .dsc file with each of the files referenced
    therein (Closes: #472492)
  * debcheckout: Allow specific files from the repository to be retrieved
    rather than checking out the repository (Closes: #469242)
  * debcommit:
    + Make the change to --release's behaviour introduced in the last
      upload optional. If -R / --release-use-changelog is used then
      the changelog will be checked for uncommitted changes when determining
      the commit message. The default is not to do so and use the message
      passed with --message (if any) or "releasing version X.Y.Z" as before.
      (Closes: #471723)
    + When creating summary lines for git and hg, ignore any subchanges
      (i.e. lines indented by more than two spaces and starting with *, +
      or -)
    + Add documentation to the manpage of the current VCS-specific features
    + Make --strip-message also strip leading spaces from continuation lines
    + Strip single change commit messages by default
  * debdiff:
    + Escape package names when normalising path names (Closes: #471282)
    + Make tarball-in-tarball support more intelligent. If a sub-tarball
      named foo.tar.gz unpacks to a directory named foo, the directory is
      renamed to =unpacked-tarN= so that the directory names match across
      the unpacked packages (Closes: #459294)
  * debuild:
    + Add a --prepend-path option allowing $PATH to have directories added
      to it once it has been sanitised, for example to add /usr/lib/ccache.
      Based on a patch by Matt T. Proud (Closes: #460719)
    + Add a --username option to allow debrsign to be used instead of debsign
      (Closes: #262253)
  * dget: Support /etc/apt/sources.list.d (Closes: #471672)
  * uscan:
    + Correctly handle an explicit upstream-version of 0 (Closes: #471503)
    + Add "watch" to the manpage's summary line (Closes: #452930)
  * debian/copyright: Explicitly indicate that diff2patches is GPL >= 3
    rather than the package's standard >= 2.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 24 Mar 2008 22:14:22 +0000

devscripts (2.10.19) unstable; urgency=low

  * debsign: Correctly handle signing an automatically located .changes
    file if none was passed on the command line (Closes: #468761)
  * debchange:
    + Apply a more elegant fix for the bugfix in 2.10.18.
      Thanks to gregor herrmann for pointing the obvious solution out.
    + Don't complain about the package version changing from native to
      non-native if --nmu or --security was used
    + Fix an unescaped hyphen in the manpage
    + If starting a changelog stanza for a new maintainer upload with
      the distribution set to UNRELEASED, check whether the previous
      stanza is also UNRELEASED and, if so, merge them (assuming the
      "changelog" release heuristic is in use) (Closes: #458130)
    + Add non-maintainer uploads (including security and QA uploads),
      backports and the use of local version strings to the list of
      cases where debchange doesn't have to guess the user's intentions
    + Add an --allow-lower-version option which is similar to
      --force-bad-version but allows a regular expression to be specified
      which the new version must match. Based on a patch by Frank Küster
      (Closes: #381159)
    + Modify the version-handling code to generate NMU versions of the
      form X+nmu1 for Debian-native packages
  * checkbashisms:
    + Use Getopt::Long for option parsing
    + Add an option to force checking of scripts that would normally be
      skipped (Closes: #469023)
    + Clarify in the manpage that some issues detected by the script may
      be XSIisms etc rather than strictly bash-specific features
    + Add checks for suspend, caller, complete/compgen, declare/typeset,
      disown, builtin, set -[BHT], alias -p, unalias -a, local with
      options or an assigned value and $BASH(_*). Thanks to Raphael
      Geissert for the patch (Closes: #469050)
    + Modify each of the simple shell variable tests (e.g. $RANDOM) to
      also match ${variable}
    + Identify and ignore multi-line quoted text (Closes: #464641)
    + Reorder a couple of checks so that ". foo $HOSTNAME" is detected as
      source passing arguments rather than misuse of $HOSTNAME
    + Fix a potential false positive on "2>& 1"
    + Fix an unescaped hyphen in the manpage
    + Add a check for function names containing characters other than
      alphanumerics and underscore
    + Modify the "read without variable" test to also catch options other
      than -r. Thanks Luca Capello (Closes: #470696)
    + Add an option to allow flagging of lines which do not contain bashisms
      but which may contain other useful information - for example, checking
      whether $BASH is set before using bashisms or $RANDOM being used as a
      local variable rather than the bash built-in variable (Closes: #470999)
    + Add a check for "VAR+=foo" (Closes: #471001)
    + Also detect <<< inside a quoted string (Closes: #471059)
    + Improve comment detection and removal to not remove "s/#/foo/"
  * bts:
    + Allow the sendmail command to begin with a ~ (Closes: #469207)
    + Don't treat "userblah" as an alias for "users" in "select"
  * debcommit:
    + Set $SVKDIFF before calling "svk diff" (Closes: #469238)
    + If there are uncommitted changes to the changelog when --release is
      used, use them as the commit message. Otherwise use the message passed
      with --message or "releasing version X.Y" as currently
      (Closes: #470366)
    + Format commit messages in a more useful manner for git and hg. The
      first change found is unfolded and used as the summary line. If more
      than one change was found then an editor is spawned so that the message
      can be fine-tuned if required (Closes: #402531)
  * deb[ci]:
    + Allow either package names or filenames to be passed on the
      command line (Closes: #469663)
    + Fix reference to dpkg-deb(8) (should be section 1) and an unescaped
      hyphen in the manpage
  * annotate-output.1, cvs-debi.1, dd-list.1, debuild.1, dpkg-depcheck.1,
    dpkg-genbuilddeps.1, nmudiff.1, plotchangelog.1, uscan.1,
    devscripts.conf.5: Fix unescaped hyphens
  * nmudiff: Fix --nomutt's To: handling. Thanks Thomas Viehmann
    (Closes: #470069)
  * Debbugs.pm:
    + Turn on "use strict" and "use warnings" which got lost when moving
      the code from bts
    + Don't attempt to iterate the result of usertags() in select if
      it's empty (Closes: #470025)
    + Skip arguments to select() that contain valid keys but not values
    + Print a warning about unrecognised keys passed to select()
    + Add on_fault handlers to SOAP calls so we can return useful error
      messages
  * debuild:
    + Add working -j / DEB_BUILD_OPTS=parallel support
      (Finally closes: #457235)
    + Remove linda support. Thanks Thijs Kinkhorst (Closes: #470478)
  * debcheckout: Add launchpad.net/foo to the list of recognised
    Launchpad repository formats for authenticated mode. Thanks Martin
    Pitt
  * cvs-debuild: Remove linda support. Thanks Thijs Kinkhorst.
  * Packaging changes:
    + debian/control, README, conf.default.in: Remove references to linda
    + Add a NEWS file to alert dget users to the change in 2.10.17 to unpack
      source packages by default (Closes: #470809)
  * grep-excuses: Fix reference to bjorn.haxx.se in help output to refer to
    release.d.o/migration
  * debpkg: Fix reference to dpkg(8) in the manpage
  * pts-subscribe: Don't complain about mail and/or at not being available
    if --help / --version were used. Also don't complain about at unless an
    unsubscription mail needs generating. (Closes: #471088)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 16 Mar 2008 17:00:34 +0000

devscripts (2.10.18.1) unstable; urgency=low

  The "I need a bigger brown paper bag" upload

  * checkbashsisms: Simplify the >&/&>file check and in the process fix
    another couple of potential false positives.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Fri, 29 Feb 2008 08:55:16 +0000

devscripts (2.10.18) unstable; urgency=low

  [ Patrick Schoenfeld ]
  * licensecheck: Detect a less common form of GPL usage

  [ Adam D. Barratt ]
  * checkbashisms: Fix a couple of brown paper bag issues with the >&file
    and herestring checks added in the last release. Thanks to Raphael
    Geissert for spotting the breakage so quickly.
  * debchange: Fix an off-by-one in the fix for #452806 that caused an
    extra blank line to be added before the trailer line

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Fri, 29 Feb 2008 06:50:51 +0000

devscripts (2.10.17) unstable; urgency=low

  The "Pia for DPL" upload

  [ Adam D. Barratt ]
  * checkbashisms:
    + Fix a false positive in the $(( test (Closes: #465364)
    + Add detection for <<<, $(OS|MACH)TYPE, $HOST(TYPE|NAME), $EUID,
      $DIRSTACK, $SECONDS and /dev/(tcp|udp) (Closes: #465386)
    + Enhance heredoc detection to not trigger on <<<
  * Debbugs.pm: Update to match the current debbugs SOAP interface. Add
    status(), usertags(), versions() and versions_with_arch(),
    newest_bugs(), bug_log(), source_to_binary() and binary_to_source()
  * tagpending:
    + Rewrite in perl using Debbugs.pm
    + Optionally (and by default) include the changelog header line and
      any relevant changelog entries as comments in the generated mail
      (Closes: #439688)
  * debcheckout:
    + Handle spaces between -d and the root for cvs repositories
      (Closes: #465849)
    + Fix a warning about uninitialised values when a module name is not
      supplied for a cvs repository
    + In auth mode, set push_location for bzr branches (Closes: #453447)
  * uscan:
    + Add support for repacking .zip archives, based on a patch
      from Antonio Terceiro (Closes: #456587)
    + Mention an alternative form of sourceforge URL in the manpage that
      allows checking for new versions when the qa.d.o redirector doesn't
      work (Closes: #433408)
    + Fix an escaping error in one of the manpage's examples for twisted
  * Packaging changes:
    + README: Update descriptions of tagpending and debchange
    + debian/control:
      - Add unzip(1) to Suggests for uscan's zip repacking
      - Update descriptions of tagpending and debchange
  * debcommit:
    + Use "git diff" instead of "git-diff" (Closes: #466158)
    + Ignore whitespace changes in diffs
  * dget: Correctly handle the processing of a file that we've already
    retrieved (Closes: #445546)
  * wnpp-alert: Note in the manpage that the results are source package
    based
  * debchange:
    + Modify --closes to use SOAP / Debbugs.pm
    + Add hardy (heron) to the list of supported Ubuntu distributions
    + Use existing changelog data directly rather than re-using
      dpkg-parsechangelog's Changes: field and therefore don't apply any
      reformatting (Closes: #452806)
    + Use "etch-backports" instead of "Etch backports" in bpo changelog
      entries (Closes: #467582)
  * bts:
    + Add a --force-interactive option which is similar to --interactive
      but spawns an editor for the message before prompting for sending
      confirmation (Closes: #467134)
    + Allow the use of --{force-,}interactive to be specified in the
      configuration file (Closes: #467131)
  * debsign: Allow multiple files to be signed in a single invocation
    (Closes: #457355)
  * mass-bug:
    + Correctly detect the start of a signature in the template file
      (Closes: #467496)
    + Allow package versions to be specified in the package list file
      as package_version (Closes: #467581)
  * mergechanges: Merge the Description: fields from each of the supplied
    changes files. Thanks to Vincent Danjean for the patch
    (Closes: #442972)
  * debuild: Allow preserve-envvars to contain wildcard entries (of the
    form STEM*) (Closes: #405440)

  [ Christoph Berg ]
  * dget:
    + Make unpacking downloaded source packages the default, use -d for the
      old behaviour.
    + Check signature of source packages using dscverify, use -u to disable.
      (Closes: #434521)

  [ Patrick Schoenfeld ]
  * licensecheck: Support a less common form of MIT license usage

  [ Mohammed Adnène Trojette ]
  * debian/bug:
    + make reportbug add configuration data in bug reports.
    + print a message to sensitise users about our "Suggests vs Depends"
      policy.

  [ Stefano Zacchiroli ]
  * debcommit: add support for a new --diff option which dumps changes on
    standard output instead of committing them

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 27 Feb 2008 18:18:56 +0000

devscripts (2.10.16) unstable; urgency=low

  The "storm before the calm" release

  * checkbashisms:
    + Correct the $(<) check to not flag $(<foo grep bar) (Closes: #464522)
    + Tighten the $(( / (( regex
    + Modify the ". foo bar" check to allow ". `foo bar`" (Closes: #464984)
    + Ensure that an explanation is provided for the ". foo bar" check
    + Fix the "shell wrapper" regex to allow a space after ; and before exec
      (Closes: #464976)
    + Add posh to the list of supported interpreters. Thanks to Raphael
      Geissert.
    + Warn about use of >& and <& redirecting to a file (POSIX specifies
      behaviour for - and file descriptors only) (Really closes: #461653)
  * debbugs.pm: New module to encapsulate some of the common BTS functionality
    used by various scripts. Currently contains initial support for some
    SOAP methods.
  * bts: Use debbugs.pm for select()
  * tagpending: Fix the bts select call to also handle forwarded bugs
    (Closes: #464787)
  * debchange: Warn if the package appears to have switched from Debian native
    to non-native or vice versa (Closes: #440957)
  * uscan: Don't insist on an upstream version being supplied on the command
    line if one is present in the watch file (Closes: #350307)
  * debuild: Really fix -j, so that --lintian-opts works again
    (Closes: #465264)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Mon, 11 Feb 2008 19:50:15 +0000

devscripts (2.10.15) unstable; urgency=low

  [ Patrick Schoenfeld ]
  * checkbashisms: Add a check for the $(<) bashism (which is catting a file)
    (Closes: #463743)
  * dget: Implemented a '--build' parameter which builds a package with
    dpkg-buildpackage after its download (Closes: #457977)
  * build-rdeps: Add a license header so that licensecheck does recognize
    the license and copyright

  [ Adam D. Barratt ]
  * checkbashisms:
    + Correct the fix for #461653. >& is permitted by POSIX, &> isn't. Thanks
      to Sven Joachim.
    + Modify the "echo -e", "exec -[acl]" and "let" tests to require
      whitespace before the matched text in order to reduce false positives.
      Thanks to Russ Allbery for pointing the issue out.
  * debchange: Allow the use of an unknown / unofficial distribution to be
    forced (Closes: #463449)
  * bts:
    + Allow the generated e-mail to be edited before sending
      (Closes: #456331)
    + Handle cache files generated by versions of bts that didn't name
      attachments correctly (Closes: #464079)
  * uscan:
    + Fix quoting of a manpage example (Closes: #452934)
    + Output a message if --report-status was used but no watch file was found
      (Closes: #409128)
  * debuild: Recognise -j as a valid option when it's passed on the command
    line as well as in the configuration file (Really closes: #457235)
  * debcommit: Check the debian directory for indications of version control
    to handle situations where the upstream source and packaging are managed
    through different VCSes (Closes: #384230)
  * mergechanges: Fix a typo in the manpage
  * tagpending(1):
    + Remove ldapsearch(1) from SEE ALSO, as the script hasn't used LDAP for
      some time
    + Fix the script's name in the title block
  * whodepends: Remove duplicated wording from the manpage
  * whouploads: Reduce the length of a line in the manpage to fix warnings
    from man

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 06 Feb 2008 19:31:00 +0000

devscripts (2.10.14) unstable; urgency=low

  [ Adam D. Barratt ]
  * uscan:
    + Document the USCAN_DESTDIR configuration variable (Closes: #460717)
    + uscan: Correctly set the default User-Agent header (Closes: #462770)
  * bts:
    + Fix downloading of named attachments (Closes: #460850)
    + Add support for setting X-Debbugs-No-Ack (Closes: #458973)
  * grep-excuses: Update wipnity functionality in line with the move of
    testing.pl to release.d.o
  * checkbashisms:
    + Warn about the use of >& and &> (Closes: #461653)
    + Bring the script largely back in to sync with lintian's checks/scripts:
      - don't check scripts that appear to be shell scripts but aren't
        (Closes: #463257)
      - don't flag potential issues if they occur inside single quotes
      - separate out those issues that should only be flagged if they occur
        inside quoted strings
      - catch the use of kill -[0-9] or -[A-Z], trap with signal numbers
        and [[ foo ]]
  * deb-reversion: Support passing -b / --force-bad-version to dch
    (Closes: #461557)
  * mass-bug: Allow setting of tags. Thanks to Pierre Habouzit for the
    patch (Closes: #462649)
  * debcommit: Allow the commit message to be edited before passing it
    to the VCS. Thanks to Patrick Schoenfeld for the patch (Closes: #462758)
  * debuild: Pass -j through to dpkg-buildpackage (Closes: #461239)
  * tagpending: Use "bts select" instead of wget where possible
  * dget: Correctly parse arguments to --path (Closes: #460970)
  * Packaging changes
    + Update to debhelper v6
    + Decapitalise the short description to match the Developer's Reference's
      recommendations

  [ Mohammed Adnène Trojette ]
  * debcheckout: remove "-d" from Vcs-Cvs: field if a maintainer puts it.

  [ Christoph Berg ]
  * debcommit: also look for \t in the diff for GNU-style changelogs.

  [ Patrick Schoenfeld ]
  * Joining the team
  * debcommit: Work around problems when colordiff is used as diff-cmd for
    svn/svk or when the always color configuration of git is set
    (Closes: #462686)
  * Added new script 'build-rdeps', a utility to find all packages that
    reverse depend on a given package (Closes: #326966)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 02 Feb 2008 20:19:49 +0000

devscripts (2.10.13) unstable; urgency=low

  * The 'we sponsor Adam for DM' upload

  [ Mohammed Adnène Trojette ]
  * debcheckout: wrap error message. (Closes: #459372)

  [ Adam D. Barratt ]
  * grep-excuses:
    + Only check for the presence of libterm-size-perl if -w / --wipnity
      is being used.
    + Improve the error message when libterm-size-perl isn't installed.
  * debian/control: Add libterm-size-perl to the description of grep-excuses
    (Closes: #459586)
  * README: Add libterm-size-perl to the description of grep-excuses

  [ James Vega ]
  * tagpending: Handle new-style links to individual bug reports which are
    simply the bug-numer.
  * bts: Handle both relative and absolute links on BTS webpages.
  * debchange:
    + Handle both relative and absolute links when parsing BTS webpages.
      (Closes: #459947)
    + Do not include "Debian Bug report logs" in the changelog entry when
      using --closes.

  [ Luk Claes ]
  * whodepends: Support showing source packages instead of binary ones thanks
    to Otavio Salvador.

  [ Joey Hess ]
  * bts: Add a <base> tag to the page sent to the browser so that unqualified
    urls work.

  [ Martin Zobel-Helas ]
  * Add Dm-Upload-Allowed filed, so Adam can upload devscripts.
  * updated french translation

 -- Martin Zobel-Helas <zobel@debian.org>  Fri, 11 Jan 2008 10:32:59 +0100

devscripts (2.10.12) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debcheckout: add auth support for *.launchpad.net. Thanks to Colin Watson
    for the patch (Closes: #451672)

  [ Mohammed Adnène Trojette ]
  * debian/control:
     + bump Standards-Version to 3.7.3.
     + build-depend on and suggest libterm-size-perl.
  * debian/dirs: create /etc
  * bts:
     + add a -n/--no-action option printing emails to stdout instead
       of sending them. (Closes: #458603)
     + add a "SEE ALSO" section in manual page. (Closes: #458296)
     + automatically Cc: team@security.debian.org when (un)tagging a bug
       security. (Closes: #458840)
  * chdist: generate a manual page from source.
  * dch:
     + add a --bin-nmu option for binNMUs. (Closes: #458496)
     + add a -s/--security option for Security Team uploads inspired by
       Ubuntu's.
     + add a -l/--local option to allow adding suffixes to a Debian version
       number. (Closes: #284658)
  * debc/debi: don't mess up --debs-dir option's argument when
    debian/svn-deblayout is present. (Closes: #446414)
  * debcheckout: add support for authentication mode with darcs.
    Thanks Luca Capello for the patch. (Closes: #445714)
  * debdiff: make diff output p1-compatible (for native packages or when
    interdiff is not available). Thanks dAniel hAhler for the patch.
    (Closes: #456223)
  * diff2patches: new patch written by Raphael Geissert <atomo64@gmail.com>.
    Extracts patches from a .diff.gz file placing them under debian/ or,
    if present, debian/patches. (Closes: #456626)
  * grep-excuses: permit requests to http://bjorn.haxx.se/debian/
    with --wipnity, -w option. Idea and implementation courtesy from
    Julian Mehnle <julian@mehnle.net>. (Closes: #448279)
  * mass-bug: add --user and --usertags options to avoid their wrapping.
    (Closes: #429479)
  * Changes pulled from Ubuntu's diff:
     + debian/control:
        - suggest wget|curl instead of wget
        - suggest lsb-release
     + debuild: preserve DEBEMAIL environment variable.

  [ Adam D. Barratt ]
  * who-uploads: Actually check debian-keyring.pgp by default rather
    than .gpg twice. Thanks to Philipp Kern for pointing the issue out
    (Closes: #456209)
  * who-uploads: Check debian-maintainers.gpg by default. Thanks to
    Philipp Kern for the suggestion (Closes: #456208)
  * debian/control, README: Add debian-maintainers to the suggested
    package list
  * debchange: Add a configuration file option to allow overriding the
    default setting of -t / --mainttrailer (Closes: #454254, #453644)
  * debchange: Correctly handle using an empty changelog entry to switch
    the distribution to UNRELEASED when using the changelog heuristic
    (Closes: #453690)

  [ Luk Claes ]
  * chdist: Add bash_completion script for chdist (Closes: #457842)
  * chdist: Added improvements and fixed bugs. Thanks to Raphaël Pinson
    (Closes: #457841)
  * debdiff: Add support for tar.bz2 tarballs in orig.tar.gz

 -- Luk Claes <luk@debian.org>  Sat, 05 Jan 2008 16:27:11 +0100

devscripts (2.10.11) unstable; urgency=low

  [ Adam D. Barratt ]
  * uscan: Correctly parse HTMLised FTP directory listings. Thanks to
    Vaclav Ovsik for the patch (Closes: #448636)
  * desktop2menu: New script to generate skeleton menu files from
    freedesktop.org .desktop files. Thanks to Sune Vuorela (Closes: #448730)
  * debchange: Default to using -t / --mainttrailer when using the "changelog"
    heuristic. Thanks to Joey Hess for the patch (Closes: #448795)
  * debcommit: Automatically include the changelog in the list of files to be
    committed (Closes: #419657, again)
  * debcommit: Correctly pull the depot path from the output of svk info

  [ Luk Claes ]
  * debdiff: Support tarball in tarball (Closes: #439667).
  * debdiff: Support p-u-new use case (Closes: #439666).
  * chdist: New script to easily play with several distributions.
    Closes: #438971
  * debian/control: Add build dependency on libfile-desktopentry-perl and
    liburi-perl so perl -c won't fail for desktop2menu and rmadison.

  [ Joey Hess ]
  * debcommit: Avoid svk hang by only running svk if ~/.svk/local exists.
    Closes: #420899
  * debcommit: Try harder to see if the package is in git. Look for
    .git in parent directories too.

 -- Luk Claes <luk@debian.org>  Wed, 14 Nov 2007 22:53:22 +0100

devscripts (2.10.10) unstable; urgency=low

  [ Adam D. Barratt ]
  * licensecheck
    + Better detect 3-clause BSD licenses (Closes: #442630)
    + Detect ISC style licenses. Thanks to Patrick Schoenfeld for the
      patch (Closes: #448000)
    + Always check a single file argument even if it doesn't match
      the file pattern regex
  * bts: Update for new bugspam.cgi syntax (Closes: #445557)
  * wnpp-alert: Add an option to display the changes since the last
    invocation. Based on a patch by Luca Bedogni; thanks.
    (Closes: #446910)
  * svnpath: Fix a couple of typoes (Closes: #448167)

  [ James Vega ]
  * debcheckout: -u should imply -a, as documented.  Thanks Luca Capello for
    the patch.  (Closes: #445706)

  [ Joey Hess ]
  * debcommit: Support creating signed tags using git. Controlled by the
    DEBCOMMIT_SIGN_TAGS setting, not enabled by default.
  * debcommit: When run in a clean git repo with -r -a, git-commit would
    exit nonzero as there was nothing to commit. Instead, check if
    the repo is clean; don't run git commit in this case, and proceed with
    tagging.
  * debcommit: Name git tags "debian/$version" or just with the package
    version number for native version numbers. Closes: #446699

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Oct 2007 16:45:56 -0400

devscripts (2.10.9) unstable; urgency=low

  [ Mohammed Adnène Trojette ]
  * uscan: allow the path for downloaded files to be specified. Thanks Steffen
           Moeller for the patch. (Closes: #439060)
  * debsign: work in $TMPDIR (if set) or /tmp. (Closes: #420472)

  [ Adam D. Barratt ]
  * debchange:
    + Add an option to not modify the trailer line when editing or
      appending changelog entries (Closes: #435980)
    + Make -r use the distribution specified in the previous changelog entry by
      default (Closes: #364510)
    + Use the package changelog to determine version information for the NEWS
      file by default (Closes: #316662)
    + Allow an explicit empty changelog entry to be passed on the command line
      to allow non-interactive changes to the distribution and urgency without
      adding a changelog entry (Closes: #442267)
    + Make -r only change the distribution if it was previously UNRELEASED.
      Combining -r and -D on a changelog that's not UNRELEASED now
      causes a warning and does not change the distribution (Closes: #443081)
  * licensecheck: Attempt to distinguish between versions of the BSD license
    (Closes: #442630)
  * bts: Improve the documentation of forcemerge. Thanks to dann frazier.
    (Closes: #442930)

  [ Stefano Zacchiroli ]
  * uscan: add a --repack option to repack .tar.bz2 archives to .tar.gz
    archives upon request

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 03 Oct 2007 00:54:28 +0200

devscripts (2.10.8) unstable; urgency=low

  [ Mohammed Adnène Trojette ]
  * debcommit:
     + allow an alternate location for the changelog. By default
       debian/changelog is used. Thanks Sjoerd Simons and Laurent Bigonville
       for the patches. (Closes: #437387)
     + add a -C/--confirm option to confirm the commit message. Thanks Laurent
       Bigonville for forwardporting the patch from Ubuntu. (Closes: #439054)
     + allow tagging with bazaar. (Closes: #441105)
  * debuild:
     + keep DISPLAY, XAUTHORITY and GNOME_KEYRING_SOCKET environment
       variables around for safe keeping before we destroy the
       environment, and re-set them before running debsign; thanks Steve
       Kovalik for the patch. (Closes: #322208)
     + also keep GPG_AGENT_INFO and SSH_AUTH_SOCK.
  * licensecheck: decruft // comments. (Closes: #441073)
  * debchange: update according to new Backports.org policy. (Closes: #439854)

  [ Stefano Zacchiroli ]
  * debcheckout: new script to checkout the version control system repository
    of a package

  [ Joey Hess ]
  * debcheckout: when checking out svn repos, check them out into a directory
    named for the package, to avoid checking out into ie, a trunk directory.

  [ Adam D. Barratt ]
  * licensecheck
    + tidy up the pre-check regexes
    + unescape "\@"s in copyright statements
    + decruft © as well as (C)
    + make the copyright regex more flexible
    + correctly handle metacharacters found in potential copyright statements
  * debdiff: allow whitespace to be ignored in diffs (Closes: #439163)
  * debcommit
    + Allow changes to only debian/changelog to be committed.
      Thanks to martin f krafft for the patch. (Closes: #439992)
    + Allow the leading "* " to be stripped from commit messages
      (Closes: #440013)
  * bts: Change working directory back to its original location before
    running the browser (Closes: #436095)
  * checkbashisms: Catch the use of test/[ with a unary -a operator. Thanks to
    Matthew Wilcox for the suggestion.

  [ Julian Gilbey ]
  * The package should suggest git-core, not git (Closes: #440018)
  * debchange: update for new BTS layout (pkgreport.cgi syntax changed)

  [ Joey Hess ]
  * Add list-unreleased, by Frans Pop.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 11 Sep 2007 16:46:04 +0200

devscripts (2.10.7) unstable; urgency=low

  [ Adam D. Barratt ]
  * debian/control: Add libsoap-lite-perl to the Suggests and
    description for bts
  * README
    + Add libcrypt-ssleay-perl to the description for uscan
    + Add libsoap-lite-perl to the description for bts
    + Mention the SOAP interface in the description for bts
  * debchange: Fix NMU versioning for Debian native packages
  * dd-list: Sort developer names case-insensitively. Thanks to Steinar H.
    Gunderson for the suggestion
  * bts
    + Fix test for libwww-perl not being installed
    + Only pass -c to mail(1) if there are Cc: addresses
      (Closes: #433385)
    + Add support for selecting bug lists via the SOAP interface. This
      requires libsoap-lite-perl. Thanks to Don Armstrong for the patch
      (Closes: #433169)
  * deb-reversion: Apply patch from Adeodato Simó to ensure -v is
    honoured (Closes: #433492)
  * debcommit: When using git, allow either all files or only those in
    the index to be committed. Thanks to Martin F Krafft and Junichi
    Uekawa for the patch. (Closes: #402539, #427429, #433081)
  * uscan
    + Allow a user agent string to be specified (Closes: #433419)
    + Fix https support (Closes: #423669)
    + Correctly set exit status after downloading (Closes: #431840)
  * licensecheck
    + Allow directories to be passed as arguments
    + Allow a pattern to be specified indicating files / directories
      which should be excluded from checking. The default is the same
      as dpkg-source's -i option
    + Allow the set of files to be checked to be specified via a
      regular expression
    + Optionally attempt to find copyright statements

  [ Christoph Berg ]
  * rmadison: Support ubuntu and querying multiple archives, suggested by
    Loïc Minier. (Closes: #431303)
  * dget: Downloading multiple binaries was broken. (Closes: #428827)

  [ Stefano Zacchiroli ]
  * dd-list: list Uploaders per default, added --nouploaders option to
    force the old behaviour

  [ Mohammed Adnène Trojette ]
  * debi: add svn-buildpackage support. Thanks to Raphaël Hertzog for
    the patch. (Closes: #315409, #417609)
  * dch: add --bpo support. (Closes: #434183)
  * debcommit: add debian/changelog to the list of files to commit. Thanks
    Damyan Ivanov for the patch. (Closes: #419657)
  * bts: add file:// to local urls. (Closes: #435011)
  * checkbashims: add a -n/--newline option (disabled by default) to
    also check "echo -n" as Debian Policy 10.4 requires /bin/sh to support
    it. (Closes: #426584)
  * tagpending: add a -t/--to option that adds a -v option to the
    dpkg-parsechangelog call. (Closes: #434145)
  * debian/rules: use [ ! -f Makefile ] || $(MAKE) clean instead of -$(MAKE)
    clean.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 10 Aug 2007 00:35:06 +0200

devscripts (2.10.6) unstable; urgency=low

  [ Adam D. Barratt ]
  * bts
    + Cc bug reports if the control message contains a comment
      (Closes: #429649)
    + Support passing multiple packages / addresses to "bts cache"
      (Closes: #416548)
    + Add archive / unarchive support
    + Make caching of "status mboxes" work again
  * Fix changelog typos (Closes: #429774)
  * debdiff: Sort conffiles and control before comparing them. Thanks to Peter
    Samuelson for the patch (Closes: #421781)
  * tagpending
    + Use tag=pending rather than include=pending (Closes: #430786)
    + Sort bug numbers in numerical order
    + Process bugs that are already tagged pending and closed in the changelog

  [ James Vega ]
  * uupdate:
    + When displaying patch reject files, show the path to the new upstream
      directory where they're contained. (Closes: #419133)
  * uscan:
    + Support https URLs.  This requires installing libcrypt-ssleay-perl.
      (Closes: #423669)
  * debian/control:
    + Add libcrypt-ssleay-perl to Suggests and description for uscan.
  * wnpp:
    + Update the manpage and help output to document what RFA, RFH, and O
      mean.  Also add a pointer to the WNPP website. (Closes: #421872)
  * PackageDeps:
    + Use ||= instead of |= to set the package name in %dep_pkgs.  It is the
      correct way to do things and |= causes odd results on at least amd64.
      (Closes: #419024)

  [ Mohammed Adnène Trojette ]
  * Release.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 30 Jun 2007 12:58:41 +0200

devscripts (2.10.5) unstable; urgency=low

  [ Luk Claes ]
  * debc: Make reporting on a single deb work again (Closes: #419487).

  [ Adam D. Barratt ]
  * debchange: Add gutsy (gibbon) and UNRELEASED to the list of recognised
    Ubuntu distributions
  * rc-alert
    + Update HTML parsing to support the new structure of the RC bug page
    + The "I" tag can now also mean "lenny-ignore"
    + Add "[E]xperimental" to the distribution list, and remove "X"
      ("not in testing")
  * bts
    + Allow the use of SMTP instead of sendmail. Thanks to Josh Triplett for
      the patch (Closes: #420847)
    + Fix syntax error when reverting to default SENDMAILCMD
    + When cleaning up a bug's cache entries, also remove {raw,status}.mbox
    + Fix pod formatting so that the description of the "fixed" command
      actually appears in the manpage.
    + Add an option to not cache resolved bugs (Closes: #340259, #378342)
    + Fix URL parsing to account for recent HTML changes (Closes: #429236)
    + Always download version graphs rather than the new "options page"
    + Fix attachment parsing code to handle "filename="
  * mass-bug: Fix syntax error when reverting to default SENDMAILCMD
  * dd-list: Treat teams.debian.net addresses as mailing lists rather
    than individuals
  * tagpending: Update license statement to GPL >= 2
  * uscan: Ensure --dehs generates well-formed XML (Closes: #426996)

  [ Martin Zobel-Helas ]
  * debchange: Add volatile to the list of recognised Debian distributions
  * debchange: Add backports to the list of recognised Debian distributions

  [ Christoph Berg ]
  * rmadison: -t, --time: show projectb snapshot date

 -- James Vega <jamessan@debian.org>  Tue, 19 Jun 2007 13:57:22 +0100

devscripts (2.10.4) unstable; urgency=low

  [ Adam D. Barratt ]
  * grep-excuses: make the maintainer regex more restrictive to avoid accidental
    matches (Closes: #419462)
  * debchange: make adding multiple changelog blocks for a single maintainer optional
    (Closes: #419880)
  * Conflict with versions of kdesdk-scripts which shipped /usr/bin/licensecheck
    (Closes: #419754)
  * Ensure DEBCHANGE_TZ is always set (Closes: #419863)
  * Add myself to Uploaders

  [ Julian Gilbey ]
  * bts: update tags list to include lenny

  [ Luk Claes ]
  * debian/control: Add myself to Uploaders
  * licensecheck: Escape @kde otherwise build fails

 -- Luk Claes <luk@debian.org>  Mon, 23 Apr 2007 20:22:58 +0200

devscripts (2.10.3) unstable; urgency=low

  [ Adam D. Barratt ]
  * licensecheck: New script to determine which license(s) source files
    are under (Closes: #382148)
  * bts: Add claim / unclaim support, based on a patch by zobel
    (Closes: #385957)
  * debchange: don't add duplicate maintainer blocks in multi-maintainer
    mode (Closes: #383542)
  * Better document debchange's dependencies (Closes: #417633)
  * tagpending
    + Make the wnpp check introduced in 2.10.0 optional as it can be very expensive
    + Improve error message for skipped bugs (Closes: #418884)
  * rmadison: handle missing liburi-perl more gracefully

  [ Mohammed Adnène Trojette ]
  * bts: add an --cc-addr to allow sending carbon copies of emails sent
    to control@bugs.debian.org. (Closes: #333371)
  * debchange: drop NMU revision when doing a QA upload. (Closes: #415995)
  * debclean: add a -d option to skip build dependencies check.
    (Closes: #370066)

  [ Julian Gilbey ]
  * debchange: load URI::Escape module carefully to give a meaningful
    warning message if the liburi-perl package is not installed

  [ Christoph Berg ]
  * uscan: use a different project in the example for the sf.net redirector.
    (Closes: #418978)
  * debchange: optionally set changelog timezone from DEBCHANGE_TZ.
    (Closes: #417261)

 -- Christoph Berg <myon@debian.org>  Mon, 16 Apr 2007 14:56:59 +0200

devscripts (2.10.2) unstable; urgency=low

  * The "zobel's birthday" upload.

  [ Adam D. Barratt ]
  * scripts/Makefile: Override make's default .sh rule so that the package
    version string actually gets written to the scripts
  * debian/rules: Fix check for unwanted debug information to account for
    bts now being in scripts/
  * Fix encoding of French manpages (Closes: #415240)
  * bts
    + Update prunecache() for maintainer / status mboxes and version graphs
    + Simplify version graph handling code (should now handle all graphs
      correctly)
    + Add support for fixed / notfixed (Closes: #340838)
  * Documentation fixes, based on suggestions from Adeodato Simó
    + debian/control: update description of debcommit
    + README: replace reference to bazaar with bzr
    + nmudiff.1: add missing unbold after an option
    + dscverify.pl: remove obsolete comment
      (Closes: #415486)

  [ Martin Zobel-Helas ]
  * Adding myself to Uploaders
  * bts
    + add option to only get bugs never downloaded before (Closes: #366925)
    + dont forward bugs within the bts (Closes: #406632)
  * include sample procmail script for autosubscribing to bugs
    (Closes: #353048)

  [ Christoph Berg ]
  * debcommit: support hg/mercurial and revamp manpage a bit.
  * debian/control: suggest mercurial and svk, wrap some fields for easier
    readability.
  * dpkg 1.14.0 will obsolete 822-date, apply patch by Guillem Jover to use
    `date -R` (Closes: #415794)

  [ James Vega ]
  * Update debchange, rmadison, and tagpending to uri escape package names
    given to wget.  (Closes: #416004)
  * debian/control: Suggest liburi-perl and add to list of packages used by
    debchange, rmadison, and tagpending.

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 24 Mar 2007 10:21:02 +0100

devscripts (2.10.1) unstable; urgency=low

  * debian/control: set Maintainer to pkg-devscripts@teams.debian.net.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 17 Mar 2007 00:07:02 +0100

devscripts (2.10.0) unstable; urgency=low

  [ Julian Gilbey ]
  * debchange: fix Ubuntu's distro codename check (bash regexp!)
  * control: change maintainer name to mailing list (Closes: #411591)

  [ Mohammed Adnène Trojette ]
  * debian/control:
     + add myself to Uploaders.
     + suggest bzr, not bazaar (deprecated). (Closes: #414051)
     + suggest git.
  * po4a/po/fr.po: update French manpage translation (Closes: #400568)
     + Patch from Julien Cristau.
  * debdiff: allow use with no argument (Closes: #369691)
     + Patch from Julien Danjou.
  * deb-reversion: change license to Artistic 2.0. (Closes: #381731)

  [ Christoph Berg ]
  * Also joining the team
  * dget: consult apt-get source for missing files (Closes: #394809)
  * rmadison: new upstream version, supports querying other archives
    (specifically backports.org)

  [ Stefano Zacchiroli ]
  * package maintenance changes
    + debian/control:
      - added myself as an uploader
      - added XS-Vcs-Browser field
      - bumped debhelper deps to >> 5 (changed debian/compat accordingly)
    + added debian/svn-deblayout with the default tags dir
    + moved examples under examples/ (changed debian/examples accordingly)
    + moved scripts under scripts/, created subordinated Makefile there
    + debian/{dirs,links}: delegated directory/symlink creation to dh_link
    + debian/manpages: delegated manpage installation to dh_installman
    + scripts/Makefile: removed the need of explicitly listing scripts
  * bts: list the available severities in the manpage (Closes: #412186)
  * bts: clarified the meaning of "owner" in the docs (Closes: #403859)
  * checkbashisms: add detection of "${!prefix"-like bashisms, patch from Adam
    D. Barratt (Closes: #409028)
  * dd-list: enable (-b cmdline flag) output of binary package names, patch
    from Frank Küster (Closes: #403207)
  * debcommit: added support for specifying the list of files to commit on
    cmdline, patch from Damyan Ivanov (Closes: #381152)
  * mass-bug: enable (--severity cmdline flag) the specification of the
    severity of the reported bugs, based on a patch from Adam D. Barratt
    (Closes: #386124)
  * tagpending: enable (-c cmdline flag) tagging bugs as confirmed in addition
    to tagging them as pending, based on a patch from Adam D. Barratt
    (Closes: #382884)
  * tagpending: factorized some code for delivering info to the user
  * tagpending: added an extra check to ensure that bugs to be tagged belong
    to the current package
  * uscan: added --force-download to force download when changelog is in sync
    with upstream version, based on a patch from Ian Wienand (Closes: #364116)

  [ Adam D. Barratt ]
  * Joining the team
  * COPYING: update FSF postal address
  * debian/copyright:
    - annotate-output is GPLv2 only
    - whodepends is in the public domain
  * tagpending: modify bug list display code to indicate whether --noact was
    used
  * tagpending: support marking wnpp bugs as pending (Closes: #398178)
  * debc.1: Fix reference to debi (thanks, Frans Pop)
  * {cvs-,}debc.1: Fix reference to installing packages (thanks, Frans Pop)
  * debc: Add support for udebs, based on a patch from Frans Pop
    (Closes: #404952)
  * svnpath: is GPLv2 or later
  * bts:
    - handle new status / maintainer mbox links when downloading bugs
      (Closes: #414200)
    - use the maintainer mbox as the default mbox (i.e. for --mbox and
      cached as $bug.mbox). The "raw" mboxes are now saved as $bug.raw.mbox
    - attempt to download version graphs in "full caching" mode
  * dscverify: Add --nosigcheck (Closes: #397720)
  * uscan: Fix typo in error message when combining --report-status and
    --verbose
  * manpage-alert: New script to locate binaries without corresponding
    manpages (Closes: #414907)

  [ James Vega ]
  * debian/control: Add myself to the Uploaders list.
  * bts: chdir back to the invoking directory before leaving prunecache()
    (Closes: #413793)
  * scripts/Makefile: Specify an include directory when running Perl in order
    to handle the source restructuring.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 16 Mar 2007 21:53:35 +0100

devscripts (2.9.27) unstable; urgency=low

  * checkbashisms: check for 'select' (thanks to James Abley, Ubuntu user)
  * debchange: add support for Ubuntu's distro codenames
  * debchange: add support for ~ in version numbers (Closes: #400173)

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Dec 2006 08:02:53 +0000

devscripts (2.9.26) unstable; urgency=low

  * deb-reversion: update to new upstream version (Closes: #329374)
  * debc/debi: handle specifying changes file on command line again
    (Closes: #398152)
  * debc/debi: handle arch all packages correctly (oops!) (Closes:
    #398597)
  * dget: new upstream version, supports looking in other places for
    files, new binnmu version scheme, --no-cache, file:// and copy:// and
    fixed bug that --help/--version required other arguments (Closes:
    #385954, #356208)
  * nmudiff: allow configuration of whether to send report to existing
    bugs or create a new bug (Closes: #397912)
  * uscan: avoid spurious undefined warning if --package is used

 -- Julian Gilbey <jdg@debian.org>  Fri, 17 Nov 2006 13:03:03 +0000

devscripts (2.9.25) unstable; urgency=low

  * nmudiff: reinstall mutt as mailer of choice, but now provide the
    option to use it or not (Closes: #397641)

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Nov 2006 20:39:24 +0000

devscripts (2.9.24) unstable; urgency=low

  * debc/debi: handle multi-arch .changes files (Closes: #385673)
  * debchange: allow non-official distributions (Closes: #397546)
  * debdiff: handle files moving between multiple packages correctly
    (Closes: #392977)
  * debuild: make -B -b work sensibly (Closes: #396232)
  * debuild: don't check for .orig.tar.gz if we're doing a binary-only
    build (Closes: #394627)
  * dget: improve manpage (Closes: #376237)
  * dget: warn and exit with error if URL cannot be downloaded (Closes:
    #376932)
  * mass-bug: don't wrap signatures (Closes: #386123)
  * nmudiff: clean up properly, and abort on editor error
  * tagpending: make -v mean verbose; add long option names (Closes:
    #387293)
  * uscan: set HTTP user agent name (Closes: #397354)
  * wnpp-alert: check return status of wget calls (Closes: #364479)
  * [I18N] Include new versions of French manpages (Closes: #379614)

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Nov 2006 19:16:22 +0000

devscripts (2.9.23) unstable; urgency=low

  * bts: automatically create cache directory when bts show is used
    (Closes: #370205)
  * debchange: can change urgency and distro using -D and -u flags
    (Closes: #373271)
  * debuild: check for either .orig.tar.gz or a .orig directory, as
    dpkg-source does (Closes: #366286)
  * dget: introduce --insecure option for allowing downloading from site
    with self-signed certificate (Closes: #393942)
  * nmudiff: much improved behaviour:
    - remove dependency on mutt (use /usr/sbin/sendmail instead)
    - automatically mail the relevant bugs rather than submit a new bug
      report; this can be changed using the --new command line option
    - allow for aborting, changing the bug number submitted to and editing
      the whole message
    - checking for errors rather than making a mess of things
    - cleaning up the manpage
    (Closes: #378264, #386147, #370056)
  * uscan: fix handling of ftp directory listings with number-only
    directory names (Closes: #372609)
  * uscan: warn if no parentheses in one-term version 2/3 watchfile
    (Closes: #375557)
  * uupdate: handle ~ in version numbers (Closes: #397100)
  * who-uploads: add GPG key ID to "unrecognised key" message (Closes:
    #397293)

 -- Julian Gilbey <jdg@debian.org>  Mon,  6 Nov 2006 18:11:46 +0000

devscripts (2.9.22) unstable; urgency=low

  [ Julian Gilbey ]
  * Makefile: remove -ldl flag in libvfork linker line (from checklib
    output, see http://rerun.lefant.net/checklib)
  * control: make list render nicely with new aptitude list-handling
    facility (Closes: #388856)
  * bts: documentation for show usertag=...: s/user=/users=/
  * checkbashisms: make reasons for concern explicit, and show whole line
    of original script, not just matched fragment
  * dget: support ~ in package version numbers (Closes: #389482)
  * rmadison: make curl quiet (important when piping the output of
    rmadison)
  * who-uploads: don't bother with iconv -t option; it's the default
    behaviour anyway (see Bug#384835)

  [ Joshua Kwan ]
  * Remove myself from Uploaders. -ENOTIME :(

 -- Julian Gilbey <jdg@debian.org>  Wed, 11 Oct 2006 20:16:02 +0100

devscripts (2.9.21) unstable; urgency=low

  * bts: reportspam/spamreport can now take multiple bug numbers
  * bts: add support for forcemerge (Closes: #369050, #380041)
  * bts: always include "# Automatically generated email" message (thanks
    to Justin Pryzby for spotting this)
  * bts: chdir back to original directory after downloading files (Closes:
    #372546)
  * bts: don't automatically use a -t option unless we are using
    /usr/sbin/sendmail or /usr/sbin/exim* (Closes: #373664)
  * bts: allow mailreader setting to contain spaces (Closes: #370208)
  * checkbashisms: check for $((cnt+1)), echo -n/-e, exec -c/-l/-a, let
    and $RANDOM (Closes: #369851, #377195, #378406, #383613)
  * dd-list: treat lists.alioth.debian.org like lists.debian.org (Closes:
    #373809)
  * debchange: clarified name of changelog file in more error/warning
    messages (see bug#368961)
  * debchange: can specify a NEWS file to edit (still defaults to
    debian/NEWS) (Closes: #384676)
  * debdiff: fixed --move(-regex) options (broken by #203781 and #230702
    fix in 2.9.17) (Closes: #370388)
  * dpkg-genbuilddeps: clean up if statement (Closes: #365372)
  * nmudiff: stop using dpkg-parsechangelog to avoid barfing over broken
    changelogs (Closes: #374773)
  * rc-alert: now pick up all installed packages (Closes: #370463)
  * uscan: fix handling of recursive http URLs (Closes: #377518)
  * who-depends: convert output into locale charset (Closes: #384835)

 -- Julian Gilbey <jdg@debian.org>  Tue, 29 Aug 2006 11:35:00 +0100

devscripts (2.9.20) unstable; urgency=low

  * debuild: set DEB_{BUILD,HOST}_* variables as dpkg-buildpackage does
    (Closes: #364256)
  * debuild: improve missing .orig.tar.gz warning
  * uscan: mention upgrading points in the manpage.
  * uupdate: allow upstream version numbers to use A-Z (Closes:#367055)

 -- Julian Gilbey <jdg@debian.org>  Wed, 17 May 2006 07:27:17 +0100

devscripts (2.9.19) unstable; urgency=low

  * debuild: fix -I and -i option handling (Closes: #363368)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Apr 2006 21:41:51 +0100

devscripts (2.9.18) unstable; urgency=low

  * uscan: fix parsing howler: uscan would never work like this - oops!
    (Closes: #363338)

 -- Julian Gilbey <jdg@debian.org>  Tue, 18 Apr 2006 17:58:20 +0100

devscripts (2.9.17) unstable; urgency=low

  [ Julian Gilbey ]
  * several Perl scripts: make sure we set the SIGPIPE handler before
    doing an open '-|'
  * bts: actually support the --sendmail option rather than just say we
    do! (Closes: #293715)
  * bts: fix URI in manpage (Closes: #360783)
  * bts: fix unblock NNNNN by|with NNNNN handling (Closes: #361029)
  * bts: fix uninitialized value bugs (Closes: #362187)
  * debchange: add --qa option (Closes: #358278)
  * debdiff: check file permissions and new/deleted control files (Closes:
    #203781, #230702)
  * debdiff: option --controlfiles to allow comparing postinst
    etc. (Closes: #218222)
  * debrelease, debc, debi: support searching for .changes and .debs in a
    directory other than the parent of the currnent source directory with
    --debs-dir command line and DEBRELEASE_DEBS_DIR configuration file
    options (Closes: #309362)
  * debuild: emulate dpkg-buildpackage rather than call it (unless
    dpkg-cross is installed); this provides a hook facility (Closes:
    #226947)
  * debuild: complains if debian revision in native version (Closes:
    #262525)
  * dget: fix manpage type (Closes: #361877)
  * mass-bug: new script (Closes: #355505)
  * pts-subscribe: fix config boilerplate to actually set default timeout
    (Closes: #360857)
  * pts-subscribe.1: improve the wording of the manpage (Closes: #360027)
  * svnpath: fix svk info error (Closes: #361979)
  * uscan: *really* fix the uninitialized value bug (Closes: #356959,
    #361319)
  * uscan: provide downloadurlmangle and filenamemangle options to mangle
    the URL and filename before attempting to perform and save the
    download respectively (Closes: #327404)
  * uscan: fix manpage typo (dversionmangle) (Closes: #362202)
  * uscan: provide "versionmangle" option which does both
    {u,d}versionmangle (Closes: #350455)
  * uupdate: correct syntax error (Closes: #360995)
  * who-uploads: new script to determine most recent uploaders of a
    package to the Debian archive (Closes: #347809)

  [ Joey Hess ]
  * dd-list: actually support white-space separate pages names from stdin,
    as documented on man page.
  * rmadison: escape "+" in package names in http query string

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Apr 2006 19:43:15 +0100

devscripts (2.9.16) unstable; urgency=low

  [ Julian Gilbey ]
  * Fix 2.9.15 changelog to refer to pts-subscribe, not pkg-subscribe
    (Closes: #353413)
  * bts: be stricter about bug number cruft (Closes: #356318)
  * bts: add spamreport as a synonym for reportspam
  * debcommit: add --help, --version
  * debdiff: fix unnecessary chdir (Closes: #354862)
  * debdiff: compare control files in multi-deb binary packages - this was
    just a coding problem, and could have been done for ages (Closes: #354868)
  * pts-subscribe: Depends on the "at" package (Closes: #353502)
  * uupdate: handle already-unpacked source code archives (Closes: #286253)
  * uscan: avoid warnings on one-word actions (Closes: #356959)
  * uscan: clarify manpage regarding spaces in URLs (Closes: #359190)
  * debian/rules: remove mention of DH_ALWAYS_EXCLUDE (see Bug#352626)

  [ Joey Hess ]
  * debcommit: Add program name to all error messages.

 -- Julian Gilbey <jdg@debian.org>  Wed, 29 Mar 2006 16:20:17 +0100

devscripts (2.9.15) unstable; urgency=low

  * bts: handle bts show pkg archive=yes more gracefully
  * bts: require mailx | mailutils (mailutils provides mailx anyhow)
  * bts: always allow Bug#NNNNNN: or #NNNNN etc. in commands (Closes:
    #353049)
  * bts: support caching RC bug pages (Closes: #236312)
  * bts: support subscribe/unsubscribe commands (Closes: #339661)
  * bts: support alternative sendmail command (Closes: #343752)
  * debdiff: handle multi-binary packages and allow comparison of control
    files from each corresponding pair of binary packages - thanks to
    Robert Luberda <robert@debian.org> for the patch (Closes: #174858)
  * general: improve getopt handling
  * pts-subscribe: new script to subscribe to the PTS for a limited time
    period (Closes: #202866)

 -- Julian Gilbey <jdg@debian.org>  Thu, 16 Feb 2006 16:17:15 +0000

devscripts (2.9.14) unstable; urgency=low

  * deb-reversion: correctly handle multiword hooks (Closes: #351250)
  * deb-reversion: die if not being run as root or using fakeroot
  * deb-reversion: major improvements to manpage
  * debchange: fall back on NAME envvar if DEBFULLNAME is not defined
    (Closes: #340292)
  * debrelease: allow it to run in normal situations again (broken when
    fixing #322926, #217546)
  * uscan: always pass --no-symlink to uupdate as uscan does the
    symlinking itself (Closes: #345874)
  * uscan: handle multi-word actions

 -- Julian Gilbey <jdg@debian.org>  Mon, 13 Feb 2006 11:33:47 +0000

devscripts (2.9.13) unstable; urgency=low

  * Don't include .svn directory in md5sums (Closes: #352273)
  * bts: fix new caching code (thanks to Frank Lichtenheld for this one)
    (Closes: #352476)
  * bts: correctly handle DEBEMAIL='Name <email>' (Closes: #342883)
  * debcommit: handle commit messages for git-based setups (Closes:
    #352004)
  * uscan: check sanity of downloaded files (Closes: #303958)

 -- Julian Gilbey <jdg@debian.org>  Sun, 12 Feb 2006 12:46:22 +0000

devscripts (2.9.12) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: show/bugs: update to recognise new URL formats in BTS pages
    (based on bug #349259)
  * bts: show/bugs: allow options with from:<submitter> etc. to work
    correctly (Closes: #345464)
  * bts: accept "submitter nnnnn !" format (Closes: #348349)
  * debchange: update to recognise new URL formats in BTS pages (Closes:
    #349259)
  * debchange: quitting the editor with -e option and no changes no longer
    modifies the changelog (Closes: #349091)
  * debuild: dpkg-buildpackage -> dpkg-buildpackage(1) in EXAMPLES section
    of manpage (Closes: #351363)
  * nmudiff: include in package (Closes: #349337)
  * nmudiff: improved old version code from Steinar using supplied patch
    (Closes: #351791)

  [ Joey Hess ]
  * Add rmadison program by Christoph Berg. Closes: #350335

  [ Nicolas François ]
  * Makefile
    build the man pages in the `all' rule
    remove the translated manpages and update the POT/POs in `clean'
  * po4a/add_fr/translator_french.add moved to po4a/fr/translator_man.add
    The addendum is moved to the language directory.
    It was renamed because a pod and dbk addendum will be added latter
  * po4a/devscripts.fr.po moved to po4a/po/fr.po, and updated
    This is important for the l10n robot used to find the POs that need to
    be updated
  * po4a/devscripts.pot moved to po4a/po/devscripts.pot
  * po4a/devscripts-po4a.conf
    update due to the new file hierarchy
  * po4a/fr/*.[15]
    The translated man pages were removed. They are generated at build
    time.
    (Closes: #347671)

  [ Joey Hess ]
  * Add build dep on po4a to support above changes.
  * Add dget program by Christoph Berg. Closes: #332286
  * Patch from Matt Kraai to add --exclude support to debdiff. Closes: #328382
  * debsign: don't abort or complain if stty fails, as might happen
    if run w/o a controlling terminal. Closes: #345636

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Feb 2006 13:47:03 -0500

devscripts (2.9.11) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: allow found to take only one argument (Closes: #342515)
  * svnpath: fix .SH NAME line in manpage (Closes: #342059)
  * manpage typos: thanks to A Costa and Niko Tyni for these (Closes:
    #342295, #342296, #342297, #342298, #342299, #342300, #342301,
    #342302, #342770); I have not changed "manpage" to "man page", though,
    as the former is standard UN*X terminology
  * debchange, debuild, debrelease, debsign, debrsign: handle multiarch
    changes files (Closes: #322926, #217546)

  [ Joey Hess ]
  * debcommit: add support for git, thanks to Panagiotis Issaris.
    Closes: #343694
  * nmudiff: new program by Steinar H. Gunderson.
  * nmudiff: use sensible-editor to better comply with policy
  * nmudiff: wrote a man page
  * nmudiff: improve old version finding code

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Jan 2006 14:36:27 -0500

devscripts (2.9.10) unstable; urgency=low

  * bts: handle 8-bit encodings in DEBFULLNAME for "From:" field of emails
    sent (Closes: #339657)
  * bts: submitter and reassign accept multiple bug numbers (Closes:
    #237726)
  * bts: document "it" for referring to previous bug number
  * debchange: provide -m/--maintmaint switch to use the maintainer name
    from the most recent changelog entry rather than using the environment
    variables (Closes: #232000)
  * debcommit: add support for bzr (Closes: #340301)
  * debuild: improve examples in manpage (Closes: #326881)
  * dpkg-depcheck: completely rewrite symlink handling code to fix bug
    where /usr was a symlink (Closes: #246006)

 -- Julian Gilbey <jdg@debian.org>  Sat,  3 Dec 2005 20:24:38 +0000

devscripts (2.9.9) unstable; urgency=low

  [ Filippo Giunchedi ]
  * uscan: add option to set LWP timeout, patch by Stephen Quinney
    (Closes: #335181)

  [ Julian Gilbey ]
  * bts: fix handling of arguments to show command; translate "tag:..."
    into "include=..." when given as a second argument (Closes: #338171)
  * bts: don't treat something like "bts close #123456" as a comment
    (Closes: #337737)
  * debchange: reapply --edit patch from bug#234434 (Closes: #336632)
  * debcommit: fix version grepping in changelog parsing (Closes: #336025)
  * debdiff: add --quiet switch and set exit status according to diff
    status (Closes: #337829)
  * debuild: improve grammar of usage message

  [ Joey Hess ]
  * bts: sleep a default of 5 seconds between bts cache downloads
    to avoid hammering the underprovisioned debian BTS/master archive server.
  * bts: add --cache-delay parameter to tune this

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Nov 2005 10:46:49 -0500

devscripts (2.9.8) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: don't require user for usertags (Closes: #326560)
  * bts: fix manpage typos (Closes: #328972, #328974, #328477)
  * bts: fix bug in getting timestamps
  * debdiff: handle filenames with spaces (Closes: #334145)
  * debdiff: compare symlinks more carefully (Closes: #327090)
  * dd-list: support displaying uploaders with new --uploaders/-u option
    (Closes: #328459)
  * uscan: correctly handle version 2 watchfiles with multiple groups
    (Closes: #327258)
  * uupdate: handle csae of debian/ directory in upstream sources (Closes:
    #320836)
  * uupdate: fix --no-symlink option (Closes: #333390)
  * don't allow non-bash scripts in the package (Closes: #331223)

  [ Joey Hess ]
  * debchange: -r needs to enable multi-maintainer markers when releasing a
    package if the releaser is not the same as the only person who made any
    changes.

  [ Joshua Kwan ]
  * Clarify annotate-output sub-description in control file.

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Oct 2005 13:07:30 +0100

devscripts (2.9.7) unstable; urgency=low

  * bts: oops, left out a space in usertags command

 -- Julian Gilbey <jdg@polya.uklinux.net>  Sun,  4 Sep 2005 01:51:24 +0100

devscripts (2.9.6) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: tags: revert change in 2.9: reinstate "fixed-in-experimental" (it
    still appears to be in use) and don't need "help" twice (Closes: #325480)
  * bts: show/cache: lots of changes to make compatible with new BTS HTML
    pages (Closes: #325966)
    Also store devscripts version with cached files, so that such changes
    can be handled more smoothly in future.
  * bts: small cleanups for output messages, minor bugfixes etc.
  * bts: introduce spam command to report spam in bug reports
  * bts: support new user/usertags commands (Closes: #326265)
  * checkbashisms: correctly detect "function" keyword (Closes: #324599)
  * uscan: report on package being scanned when --report is used (Closes:
    #324102)
  * uscan: provide --report-status option to distinguish from --report,
    which is now quieter (Closes: #325097, #325980)

  [ Filippo Giunchedi ]
  * uscan: fixed some repeated tags when used with --dehs
  * uscan: expand some entities in dehs_output
  * bts: download bugs.css and use it (Closes: #323781)
  * bts: remove some old cache handling cruft since sarge is released

  [ Joey Hess ]
  * dd-list: add --dctrl option for quick reading from grep-dctrl.
  * grep-excuses: remove special case for running locally on ftp-master,
    which breaks every time ftp-master moves (or directories are reorganised),
    and only saved some loopback traffic anyway.
  * grep-excuses: fix non-robust html parsing that caused ugly messages
    when it failed to find </ul> at the end of the excuses file due
    to reformatting.

 -- Julian Gilbey <jdg@polya.uklinux.net>  Sun,  4 Sep 2005 01:08:47 +0100

devscripts (2.9.5) unstable; urgency=low

  [ Joey Hess ]
  * bts: Make block command accept "by" or "with" after the blocked bug,
    but do not make either mandatory.
  * debcommit: try to add support for svk

  [ Julian Gilbey ]
  * bts: fix clone command (Closes: #321798)
  * debchange: add comment to manpage about building sponsored uploads
    (Closes: #321960)
  * debchange: introduce --create option: allows creation of changelogs /
    NEWS files (Closes: #220755, #322716), and inform user about this
    option if changelog / NEWS file is not found (Closes: #316661)
  * debchange: allow option (--nomultimaint) to not use this
    multi-maintainer changelog format
  * debsign: fix noecho behaviour for interrupted gpg call (Closes:
    #321684)
  * uscan: --report actually reports useful information (Closes: #313323)
  * wnpp-alert: RFA -> RFH (Closes: #321707)

  [ Joey Hess ]
  * bts: Deal with recent bts changes in html munging code.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 12:08:09 -0400

devscripts (2.9.4) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: fix forwarded command (Closes: #320703)
  * debchange: un-html-ise bug titles when using --closes

  [ Joey Hess ]
  * bts: Support new block and unblock commands.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Aug 2005 22:13:47 -0400

devscripts (2.9.3) unstable; urgency=low

  [ Filippo Giunchedi ]
  * added deb-reversion by martin f krafft (Closes: #284642)
  * modified Makefile to handle docbook-generated manpages and build-depend on
    xsltproc + docbook-xsl

  [ Joey Hess ]
  * Fix suggests on subversion.
  * Other cleanups to references to revision control programs.

  [ Joshua Kwan ]
  * debchange: Fix dch -D behavior by adding some parentheses. closes: #319687
  * Add French manual pages, thanks to the French l10n team. closes: #292780

  [ Julian Gilbey ]
  * bts: support for notfound command (Closes: #320569)
  * debchange: change --closes command output format to place "(Closes:
    #nnnnn)" at end of changelog entry
  * debchange: don't require changelog to be modified when -e or -r option
    used

 -- Julian Gilbey <jdg@debian.org>  Sun, 31 Jul 2005 14:50:10 +0100

devscripts (2.9.2) unstable; urgency=low

  [ Julian Gilbey ]
  * debcommit: fix recognition of cvs trees

  [ Joey Hess ]
  * bts: Fix over-broad cgi url mangling to avoid mangling urls that are part
    of bug reports.
  * bts: fix retitle command, broken by extra param change in 2.9.
    Closes: #319367

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jul 2005 12:57:47 -0400

devscripts (2.9.1) unstable; urgency=low

  [ Julian Gilbey ]
  * annotate -> annotate-output renaming, removing package conflict
    (closes: #319271, #319289)
  * debcommit: Apply Colin Watson's arch patch (see #319072)

  [ Joey Hess ]
  * debchange: Fix parsing of --release-heuristic switch.

 -- Julian Gilbey <jdg@debian.org>  Thu, 21 Jul 2005 09:51:17 +0100

devscripts (2.9) unstable; urgency=low

  [ Julian Gilbey ]
  * bts: fix bts --mbox show nnnn after bts show nnnn
  * bts: add etch and etch-ignore tags (closes: #312493)
  * bts: tags: remove "fixed-in-experimental" and add "help"
  * debchange: use word "file" in manpage for --changelog option (closes:
    #301917)
  * debchange: debian/NEWS.Debian should have been debian/NEWS (closes:
    #303886)
  * debuild: correct manpage typo (closes: #309825)
  * debdiff: handle debdiff on two identically-named native .dsc files
    (closes: #307318)
  * grep-excuses: no longer cache web page, as per bug#309802 (closes:
    #225955)
  * rc-alert: no longer automatically create cache directory, as per
    bug#309802
  * uscan: handle annoying error message (closes: #303607)
  * uscan: mangle http://sf.net/ to use Filippo's sf.php script and work
    (closes: #242884)
  * uscan: handle tar.bz2 packages (related to #317331)
  * uupdate: handle dpkg 1.13 source format allowing bz2-compressed files
    and .debian.tar.gz files (closes: #317331)
  * wnpp-alert: accept -h and -v short options (closes: #304240)
  * wnpp-alert: don't cache such small files (closes: #309802)
  * wnpp-alert: check help_requested file and handle packages with no
    descriptions (closes: #318737)

  [ Joshua Kwan ]
  * Add a new script whodepends, written by Moshe Zadka, to check
    which maintainers' packages depend on a particular package.
    closes: #175832 (longstanding, huh?)
  * checkbashims: show usage if 0 arguments provided.

  [ Filippo Giunchedi ]
  * debdiff: handle .udeb files if found in .changes (closes: #215477)
  * debchange: add support for forcing a lower version
    (-b/--force-bad-version) (closes: #251436, #183424)
  * debsign: support for signing .commands files (Closes: #224523)
  * added annotate.sh and annotate.1
  * added archpath.sh and archpath.1, patch by Colin Watson (Closes: #319072)
  * export DH_ALWAYS_EXCLUDE in debian/rules as we are not interested in
    .svn/CVS directories

  [ Joey Hess ]
  * debchange: support generating multi-developer changelogs, currently only
    supporting the format used in this changelog entry. If multiple developers
    are detected it will automatically add [ Full Name ] lines to disambiguate
    who did what.
  * debdiff: fix debdiff of dsc files to work with new dpkg-dev.
    Closes: #313293, #314811
  * Add debcommit, a script to commit to svn (or cvs) based on the contents of
    the changelog, and svnpath, which it uses to generate svn tags.
    Closes: #316577
  * debchange: Don't allow --closes in --news mode.
  * debchange: In --news mode, don't include "* Non-maintainer upload."
    entries
  * debchange: In --news mode, separate each new entry with a blank line
    and do not add bullets, to encourage not writing NEWS files like changelog
    files. Closes: #316660
  * debchange: Add --release-heuristic and DEBCHANGE_RELEASE_HEURISTIC
    options to control how it tells if a package was released.
  * debchange: Add new "changelog" release heuristic, which looks
    for a distribution of "UNRELEASED" in a changelog (and adds such a
    distribution by default when making new entries). Useful for packages
    maintained/released by multiple people.
  * debchange: Patch from David B Harris to implement --edit option.
    Closes: #234434
  * Add dd-list, originally by Lars Wirzenius, rewritten in perl.
    Closes: #316102
  * Ignore whitespace around package names in dd-list --stdin.
  * debchange: Add --release option.
  * bts: update and apply Filippo's patch to add a progress display while
    caching bugs. Closes: #237842
  * tagpending.1: Remove obsolete note about it using LDAP.
  * bts: add support for new version tracking extensions in the Debian BTS
    control interface.
  * bts: add support for "bts show package dist=stable" and the like.
  * bts: check for additional options and die
  * tagpending: add missing space after package limit when calling bts

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 20 Jul 2005 14:33:05 +0200

devscripts (2.8.14) unstable; urgency=low

  * uscan: fix second showstopper (broken URL parsing) (closes: #301169)

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Mar 2005 14:33:05 +0000

devscripts (2.8.13) unstable; urgency=low

  * bts: provide --quiet option (closes: #299344)
  * dpkg-depcheck: improve sgml catalog regexp (closes: #295845)
  * uupdate: improve error message (closes: #267317)
  * uscan: fix showstopper (closes: #301177)

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Mar 2005 09:13:15 +0000

devscripts (2.8.12) unstable; urgency=low

  * bts: allow --mbox etc. options to appear after the show/bugs keyword
    as well as before, and similarly with the "cache" command
  * bts: allow bug numbers to end with a ":" (closes: #300965)
  * debchange: use access rather than stat for checking file permissions
    (closes: #298659); also do same to debi and debuild
  * debdiff: don't hardcode wdiff path
  * debsign: correct obsolete head syntax (closes: #300844)
  * uscan: watch files are now version=3 (should have done this with
    2.8.11, oops)
  * uscan: now support DEHS-style output and --watchfile etc options
  * uscan: also state upstream URL for newer versions (closes: #230813)
  * uscan: handle funny upstream version numbers using multiple groups
    (closes: #282255) and version-number mangling, both for upstream
    version numbers (closes: #266095) and Debian version numbers (closes:
    #261385)
  * uscan: support --rename option to rename file instead of symlinking it
    (closes: #227952)
  * uscan: call find with -follow option: this should not cause any
    problems (if it does, we can make it optional) (closes: #243758)

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Mar 2005 18:41:25 +0000

devscripts (2.8.11) unstable; urgency=low

  * Julian Gilbey
    - Added a dependency on sed (>= 2.95) as wnpp uses the T command (thanks
      to Olafur Jens Sig for alerting me to this one)
    - bts: fix --cache-mode=mbox after --cache-mode=min bug (closes: #290487)
    - bts: quieten (hopefully) unnecessary warning from HTML::Parse for
      funny characters (closes: #292671)
    - debchange: support --changelog and --news options for specifying
      changelog (closes: #219135, #261878)
    - debchange: remove emacs backup file (closes: #297489)
    - debchange: document --nmu in manpage (closes: #299234)
    - debsign: check for gpg version for no-show-policy-url option
      (closes: #293792)
    - uscan: change behaviour with respect to directory name checking: now
      only checks directories with matching names, rather than downloading
      newer versions regardless (closes: #260538)
    - uscan: handle metacharacters in directory components (closes: #262489)
    - uscan: allow directory name patterns (not quite recursive, but it's
      pretty much what was requested) (closes: #143284)
  * Joshua Kwan
    - dscverify: Don't use --emulate-md-encode-bug in dscverify anymore,
      it's been obsoleted with gnupg 1.4.0. (closes: #293791)

 -- Julian Gilbey <jdg@debian.org>  Sun, 13 Mar 2005 13:51:29 +0000

devscripts (2.8.10) unstable; urgency=low

  * bts: better fix for option handling bug.  Options must all appear
    before first action name (closes: #290253 again, and prevents other
    similar problems with tag - tagname)

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jan 2005 10:57:15 +0000

devscripts (2.8.9) unstable; urgency=medium

  * bts: fix option handling to allow '+' to go through again.
    closes: #290253

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 13 Jan 2005 01:17:39 -0800

devscripts (2.8.8) unstable; urgency=low

  * bts: fix mbox handling in 2.8.7; this also obviates the need for
    cleaning out the cache if upgrading from 2.8.6.

 -- Julian Gilbey <jdg@debian.org>  Tue, 11 Jan 2005 09:58:38 +0000

devscripts (2.8.7) unstable; urgency=low

  * bts: fix option handling, thanks to Tristan Seligmann (closes:
    #289672)
  * bts: support reading downloaded mbox versions of bugs with mutt or
    alternative mail readers; also provide finer grained control over what
    gets cached in general.  NOTE that this has changed some incompatible
    changes from those introduced in version 2.8.6 (closes: #251099)
  * debclean: remove obsolete French translation of manpage

 -- Julian Gilbey <jdg@debian.org>  Mon, 10 Jan 2005 18:42:20 +0000

devscripts (2.8.6) unstable; urgency=low

  * Julian Gilbey
    - bts: download attachments when caching bug reports (closes: #254102)
    - debian/control: add Suggests: libwww-perl (closes: #277388)
    - debchange: switch from ldap to wget for searching BTS (for
      efficiency) (closes: #284650)
    - tagpending: switch from ldap to wget for searching BTS (for
      efficiency)
    - uupdate: apply patch from Matthew Palmer to fix overwriting upstream
      files (closes: #230090)

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 28 Dec 2004 11:51:38 -0800

devscripts (2.8.5) unstable; urgency=medium

  * Julian Gilbey
    - bts: fix "bts bugs :" error
    - bts: accept "bts tags nnnnnn +tag" syntax
    - bts: rejuvenate the close command (closes: #245956)
    - bts: fix typo (closes: #268608)
    - debchange: fixed pipe error (closes: #228749)
    - debchange: requires perl >= 5.8, so make this a Depends: in the
      control file (will be standard in sarge anyway, so it's not a
      particularly big deal) (closes: #241138)
    - debuild: correctly count the saved envvars (closes: #268985)
    - debsign: correctly handle DEBSIGN_SIGNLIKE config option (closes:
      #270262)
    - tagpending: make ldap optional (closes: #269124)
    - tagpending: fix -n output message (closes: #269125)
    - tagpending: give progress output; introduce silent option
    - uscan: support version numbers with ~ (change Devscripts::Versort to
      simply call dpkg --compare-versions to do the work) (closes: #232286)
    - wnpp-alert: now correctly reports on orphaned packages as well
      (tweaked some sed scripts; don't know what was actually wrong :-/ )
      (closes: #268948)
  * Joshua Kwan
    - debrsign: Warn if you passed a changes file but omitted the remote
      address.
    - Update debchange and tagpending for new bts2ldap gateway.
    - Remove ${perl:Depends} from control file, dh_perl is not guessing that
      we do actually need 5.8, and so we end up with a perl (>= 5.8), perl
      dependency, which is wrong.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 26 Sep 2004 13:41:37 -0700

devscripts (2.8.4) unstable; urgency=medium

  * The Barbrady release ("Move along people, there's NOTHING TO SEE here..")
  * Add build-depends on the perl packages that perl -c needs to do its thing.
    Thanks Anibal Monsalve Salazar for pointing this out. Closes: #266847

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 19 Aug 2004 09:13:14 -0700

devscripts (2.8.3) unstable; urgency=medium

  * The "timely bug report" release.
  * uupdate.sh: [ $# ne 0 ] -> [ $# -ne 0 ]. Thanks Fumitoshi UKAI.
    (Closes: #266221)
  * Run perl -c on all the Perl scripts and sh -n on all of the shell
    scripts, in foresight of future syntax errors.
  * tagpending.sh: Add a space after the source package name. Thanks Guillem
    Jover for pointing this out.
  * Remove the last remnants of the abandoned debpanic script from debi.pl.
  * bts.pl: Fix gooood crack in 'it' usage. ($it eq undef -> not defined $it.)
    (Closes: #266717)

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 18 Aug 2004 01:28:37 -0700

devscripts (2.8.2) unstable; urgency=low

  * tagpending.sh:
      - s/help/usage/. Another buglet found by Steve Kowalik. Sigh!
        (Closes: #265412)
      - Include the source package name in the 'package' portion of
        the generated message. (Closes: #265445)

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 16 Aug 2004 13:23:10 -0700

devscripts (2.8.1) unstable; urgency=medium

  * debchange.pl: Don't check for -w 'debian/changelog', check whether
    we're in debian/ first, to avoid false positives. (Closes: #264310)
  * tagpending.sh: Steve Kowalik's personal email is s3kr1t, so don't use
    mail(1) to send the control email, but toss it all to bts.pl which will
    handle all the $DEBEMAIL and $EMAIL and such. (Closes: #264767)

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 10 Aug 2004 09:41:14 -0700

devscripts (2.8) unstable; urgency=low

  * Now comaintained by Joshua Kwan and Julian Gilbey.
  * Build system:
    - `pwd` -> $(CURDIR) in debian/rules.
    - Remove $(CWRAPPERS) in Makefile's clean target.
  * archive/cvs-buildpackage: Remove.
  * debchange:
    - Add -n / --nmu option for NMUs. (Closes: #184944)
    - Our BTS web parser is broken. Move to Net::LDAP and the
      more machine-friendly bts2ldap gateway. Change the Suggests:
      on libwww-perl to libnet-ldap-perl.
    - Do not proceed with parsing versions and contacting the BTS if
      debian/changelog is not writable. (Closes: #235485, #178080)
  * debsign:
    - Don't prompt to overwrite the dsc file (ie. may be owned by root,
      parent dir owned by yourself) - force it and hope it works.
      (Closes: #249950)
    - Change nonstandard head -1 to head -n 1. (Closes: #231130)
    - Add a versioned dependency on gnupg (>= 1.0.7), when
      --no-show-policy-url was added. (Closes: #228938)
  * debrsign:
    - Add --path option to specify full path to gnupg/pgp. (Closes: #243013)
  * debuild:
    - Preserve GPG_TTY so that gpg-agent is recognized. (Closes: #254112)
  * bts:
    - Recognize the 'l10n' tag for bts. (Closes: #227735)
    - bts.1: Fix extraneous indentation. (Closes: #236309)
    - Allow 'it' as an alias to the previous bug referenced.
      (Closes: #256051)
    - cache: Fix uninitialized value warning by checking how many arguments
      were passed. (Closes: #225317)
  * Devscripts::Versort:
    - Apply Roderick Schertler's patch to fix an infinite loop comparing
      identical non-Debian revisions. (Closes: #236344)
  * rc-alert:
    - rc-alert.1: Add SEE ALSO for popbugs(1). (Closes: #227078)
  * uscan:
    - uscan.pl, uscan.1: Add brief mention for --debug. (Closes: #238655)
    - uscan.pl: remove HTTP GET data from downloaded file. (Closes: #247175)
  * New scripts by me:
    - tagpending: Within a source directory, tags all bugs not already
      'pending' to be as such. (associated: tagpending.1)

 -- Joshua Kwan <joshk@triplehelix.org>  Fri,  6 Aug 2004 14:06:00 -0700

devscripts (2.7.95.1) unstable; urgency=low

  * bts: fixed some major blunders in bts show command: now shows
    something in offline mode, and multiple instances of bts show work
    concurrently

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 Dec 2003 18:47:25 +0000

devscripts (2.7.95) unstable; urgency=low

  * New script:
    - cvs-debrelease: to complete the cvs-* scripts bundle, this one
      replicates the debrelease behaviour
  * bts: remove special tag:<tag> processing, as the BTS understands
    tag:<tag> requests (thanks Colin!)
  * cvs-deb{c,i}: call deb{c,i} directly
  * debchange: don't give unnecessary UTF-8 warning notice (closes:
    #222110)
  * dscverify: fix ENOENT bug (closes: #222890)
  * uscan: some minor cleanups

 -- Julian Gilbey <jdg@debian.org>  Mon,  8 Dec 2003 23:14:49 +0000

devscripts (2.7.94.3) unstable; urgency=low

  * debi/debc: fix typo in determining .changes filename (closes: #221842)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Nov 2003 21:50:54 +0000

devscripts (2.7.94.2) unstable; urgency=low

  * Fix bts email From: line bug (closes: #221848)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Nov 2003 14:31:36 +0000

devscripts (2.7.94.1) unstable; urgency=low

  * And get rc-alert to work (closes: #221767)

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Nov 2003 00:43:31 +0000

devscripts (2.7.94) unstable; urgency=low

  * Really include rc-alert (closes: #221550)
  * debchange: fix UTF-8 problems (closes: #218785)

 -- Julian Gilbey <jdg@debian.org>  Wed, 19 Nov 2003 15:26:25 +0000

devscripts (2.7.93) unstable; urgency=low

  * New scripts:
    - cvs-debuild: wrapper for debuild to use cvs-buildpackage, or for
                   cvs-buildpackage to use debuild (closes: #36344 at last!)
    - cvs-debi, cvs-debc: wrapper for debi, debc to use in conjunction
                   with cvs-debuild or cvs-buildpackage; function like
                   debi and debc, but are run from the CVS working
                   directory instead (also in #36344)
    - rc-alert:    list all installed packages which appear in the
                   list of packages with RC bugs
    - wnpp-alert:  list all installed packages which appear in the WNPP
                   orphaned or up-for-adoption lists (closes: #188246)
  * lots of scripts: remove --ignore-dirname option and provide
    --check-dirname-level and --check-dirname-regex along with
    configuration file options to set the default directory name-checking
    behaviour (closes: #218153)
  * lots of scripts: provide --no-conf/--noconf option for all scripts
    which read the devscripts configuration files, and provide useful
    information when the --help option is used (closes: #218224)
  * bts: identify itself in its automatic emails (closes: #199312)
  * bts: dangerous "no-option" behaviour to cleancache changed
  * bts: completely rewrite the caching system using LWP, based on an idea
    gleaned from the original rc-alert together with knowledge of the BTS
    internals ;-); this does give a couple of minor disadvantages, but
    lots of major advantages too (the code is *much* cleaner now, and we
    only need to store each page once!); there is still a slightly messy
    converter to convert the old cache to the new format, but that shall
    go away soonish (probably after 2-3 months or sarge release, whichever
    is sooner), to be replaced with a simple warning
  * bts: support "bts bugs tag:<tag>" (closes: #218494)
  * bts: deprecate "bts close" command, following the lead of debbugs
  * accept EMAIL as well as DEBEMAIL (closes: #219127)
  * debi, debc: rewrote in Perl (there was so much Perl embedded, it
    didn't make sense to leave it in shell script)
  * debi, debc: provide --no-conf option
  * debc/debi: support only listing/installing specified packages (closes:
    #200372)
  * debchange: improve regex to recognise more successful uploads (closes:
    #218242)
  * debchange: perform various UTF-8 checks (closes: #218785)
  * debpkg: remove /usr/local components from PATH
  * debsign: improve gpg/pgp selection heuristics (closes: #158614,
    #211031)
  * debsign: improve manpage
  * debuild: fix command line parsing (uploaded this one as 2.7.92.1)
    (closed #218108, #218234)
  * debuild: more command-line parsing stuff (closes: #218379, #220900)
  * debuild: pass -e<maint> option to debsign (oops!)
  * debuild: deprecate -E option (dpkg-buildpackage now uses it); so only
    -e and -r short options are left
  * debuild: deprecate -L/--lintian option for indicating lintian options,
    replace with --lintian-opts
  * debuild: support linda (closes: #178456)
  * debuild: now always recognises -d/-D options to skip/force use of
    dpkg-checkbuilddeps (closes: #188216)
  * grep-excuses: converted to use wget and caching instead of libwww-perl
    (faster)
  * plotchangelog: provided --cumulative option
  * devscripts.conf.5: new manpage (closes: #217858)
  * removed the dummy build, release and signchanges scripts (they were
    renamed over four years ago)
  * updated the devscripts.conf default file to add new programs to the
    list
  * note that it's really sourced by /bin/bash. not generic /bin/sh (and
    modify the rest of the package accordingly); this cleans up a minor
    inconsistency
  * place symlink to the default config file in doc directory
  * improved tempfile security in plotchangelogs, debdiff, grep-excuses

 -- Julian Gilbey <jdg@debian.org>  Mon, 17 Nov 2003 22:40:29 +0000

devscripts (2.7.92.1) unstable; urgency=low

  * debuild: fix command line parsing (backported from 2.7.93pre2)
    (closes: #218108, #218234)

 -- Julian Gilbey <jdg@debian.org>  Fri, 31 Oct 2003 10:33:07 +0000

devscripts (2.7.92) unstable; urgency=low

  * Security fix: be a lot more careful when traversing directory trees
    looking for debian/changelog files; only perform potentially harmful
    actions if the directory name matches the package name (i.e., package
    or package-<anything>).  Affects the following programs: debc,
    debchange/dch, debclean, debuild, debi, debrelease, uscan, uupdate
    (closes: #205471)
  * bts: update tags list again (closes: #207260)
  * bts: update BROWSER URL (closes: #207052)
  * bts: handle '+' in package names when caching (closes: #215830)
  * bts: provide online links instead of/as well as local ones
  * bts: provide new commands package, owner, noowner
  * bts: provide cleancache command
  * bts: expire old automatically downloaded bugs from the cache
  * bts: fix tag command for multiple tags (closes: #215986)
  * debchange: fix off-by-one editor line error (closes: #204512)
  * debchange: apply Matt Zimmerman's patch to support --distribution and
    --urgency options (closes: #197106)
  * debdiff: allow "--move-regex from to" to use $1, ... in "to" part
    (closes: #204114)
  * debdiff: fix syntax error (closes: #217715)
  * debi: fix typo so only install .debs and not .udebs (closes: #207955)
  * debsign: fix policy-url inclusion with gnupg (closes: #204685)
  * dpkg-depcheck: check for build-essential being installed (closes:
    #216809)
  * dpkg-genbuilddeps: remove comment about strace bug (closes: #212277)
  * grep-excuses: quote package name (closes: #212476)
  * uupdate: correct syntax error when hunting reject files (closes: #206768)
  * uupdate: *really* accept symlink options (closes: #212253)
  * uupdate: correct symlink comment (closes: #213590)

 -- Julian Gilbey <jdg@debian.org>  Mon, 27 Oct 2003 22:12:03 +0000

devscripts (2.7.91) unstable; urgency=low

  * debdiff: fix regex error with --move option (closes: #204113)
  * debuild: close build log file before exiting (closes: #204076)
  * mergechanges: use correct default filename when epochs are present
    (closes: #195761)
  * uupdate: fix Devscripts::Versort to not do infinite loops (closes:
    #204192)
  * uupdate: make -v work (closes: #204232)
  * uupdate: handle new files introduced upstream better (closes: #197478)

 -- Julian Gilbey <jdg@debian.org>  Wed,  6 Aug 2003 15:27:53 +0100

devscripts (2.7.90) unstable; urgency=low

  * Version number: this is heading towards 2.8.0; there are several more
    contributed scripts to add first, though.
  * bts: add comment on from:<submitter> and src:<package> options for bts
    bugs (closes: #155658)
  * bts: fix clone command (closes: #185524, #201088, #201090)
  * bts: use sensible-browser instead of trying to parse BROWSER ourselves
    (closes: #185827)
  * bts: add caching capabilities (closes: #188229)
  * bts: update list of valid tags (closes: #196751, #201149)
  * bts: fix "sumitter" typo (closes: #203162)
  * debchange: use new upstream version number found from changelog
    (closes: #154144, #181974)
  * debchange: provide --closes capability (closes: #153910)
  * debclean: added French manpage (closes: #180224)
  * debdiff: the --move <from> <to> should not regard the <from> as a
    regex (closes: #183930); add --move-regex which accepts regexps
  * debit: remove script, as debian-test has been removed from unstable
  * debuild: fix --rootcmd bug (closes: #180862)
  * debuild: add GPG_AGENT_INFO and remove PGPPASS to default preservation
    list (closes: #186659)
  * debuild: log build to log file (closes: #164585)
  * dpkg-depcheck: give -a more functionality when used in combination
    with -b, -d or -m (closes: #143306)
  * dpkg-depcheck: add discard-sgml-catalogs feature (closes: #147369)
  * plotchangelog: applied Joey's patch to add -d/--dump option (closes:
    #182878)
  * uupdate: added some more sanity and success checks (closes: #188711)
  * uupdate: improved option handling (closes: #145711)
  * uupdate: provided symlink/copy option (closes: #150845)
  * uscan: sort directories into a sensible order before we begin and add
    some intelligence to save some work in certain cases (closes: #156434)
  * uscan: add some variation to the exit status (closes: #192786)
  * uscan: clarify manpage (closes: #201278)
  * README: added dependency information (closes: #183299)
  * NEW SCRIPT: checkbashisms (closes: #163316)

 -- Julian Gilbey <jdg@debian.org>  Fri,  1 Aug 2003 11:50:16 +0100

devscripts (2.7.2) unstable; urgency=low

  * bts: add sarge and experimental tags (closes: #170389)
  * bts: add submitter command (closes: #172161)
  * bts: reopen submitter name is optional (closes: #171046)
  * debchange: handle upstream version numbers with : or - correctly
    (closes: #174818)
  * debpkg: Created a compiled debpkg wrapper so that suidperl is no
    longer needed for debpkg to be suid root
  * debdiff: Quieten interdiff check when interdiff not installed and
    sh=dash (from #168862, now reassigned to dash)
  * debdiff: mention interdiff in control file
  * grep_excuses: drop email grepping, as this no longer appears in
    update_excuses output (closes: #174300)

 -- Julian Gilbey <jdg@debian.org>  Wed,  1 Jan 2003 10:34:25 +0000

devscripts (2.7.1) unstable; urgency=low

  * The "bugfix time" release
  * bts: support new "clone" command (closes: #141995)
  * bts: shouldn't be noisy if no arguments received (closes: #147181)
  * bts: browser selection code improvement (closes: #150751)
  * debdiff: fix config file typo (closes: #149712)
  * debpkg: untaint @ARGV to quieten perl
  * debuild: add dpkg-checkbuilddeps command when given binary* option
    (closes: #141159)
  * debuild: "fakeroot :" test replaced with "fakeroot true" to work on
    Hurd
  * debuild: pass DEBSIGN_* environment variables (closes: #159848)
  * debrelease: no longer collapse when a -t <host> option is given for
    dupload
  * debsign: remove PATH-cleaning code etc., as it actually provides no
    security and is annoying (closes: #161509)
  * dpkg-depcheck: Fix typo in help message (closes: #140923)
  * dpkg-depcheck: Fix regexp (quote filename properly) (closes: #143298)
  * uupdate: correct .orig.tar.gz handling (closes: #147657)
  * uscan: fix to support weird dpkg version number handling
    (closes: #159052)
  * several perl scripts "use 5.6.0" -> "use 5.006_000" (closes: #154770)
  * upgrade standards version (support new DEB_BUILD_OPTIONS)

 -- Julian Gilbey <jdg@debian.org>  Tue,  1 Oct 2002 16:46:02 +0100

devscripts (2.7.0) unstable; urgency=low

  * debclean: don't remove .upload files (closes: #140161)
  * I think it's ready enough to bump the version number!

 -- Julian Gilbey <jdg@debian.org>  Sun, 31 Mar 2002 10:02:49 +0100

devscripts (2.6.99) unstable; urgency=low

  * debdiff: fix dsc handling on native packages (closes: #139776)

 -- Julian Gilbey <jdg@debian.org>  Mon, 25 Mar 2002 08:52:34 +0000

devscripts (2.6.98) unstable; urgency=low

  * uscan: fix handling of HTTP-proxied FTP requests (closes: #138882)
  * uscan: add --debug features

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Mar 2002 22:51:03 +0000

devscripts (2.6.97) unstable; urgency=low

  * debdiff: add support for comparing source packages (closes: #94908)

 -- Julian Gilbey <jdg@debian.org>  Sun, 17 Mar 2002 23:46:17 +0000

devscripts (2.6.96) unstable; urgency=low

  * uscan: typo in manpage (closes: #138486)
  * uscan: allow per-site PASV/active selection (closes: #127646)
  * add devscripts.1 manpage (closes: #138485)

 -- Julian Gilbey <jdg@debian.org>  Sun, 17 Mar 2002 12:28:53 +0000

devscripts (2.6.95) unstable; urgency=low

  * debuild: don't die with -tc option (closes: #138478)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 17:14:53 +0000

devscripts (2.6.94) unstable; urgency=low

  * James' comment means that the procmail script can be even more
    economical.
  * Also correct the regexp (which would have failed in the past)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 16:58:53 +0000

devscripts (2.6.93) unstable; urgency=low

  * debuild: use lintian according to DEBUILD_LINTIAN ;-) (closes: #138445)
  * procmail examples: update for ACCEPTED messages (closes: #138460)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 16:01:31 +0000

devscripts (2.6.92) unstable; urgency=low

  * debdiff: fixed syntax error (closes: #138381)
  * debdiff: and use proper logic for wdiff exit status (closes: #138383)

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Mar 2002 11:17:07 +0000

devscripts (2.6.91) unstable; urgency=low

  * grep-excuses: fixed parsing problem (closes: #138227)
  * uscan: fixed FTP regex
  * uscan: chdir back to where we started between directories
    (closes: #138232)
  * uupdate: add (and document) bzip2 support (closes: #138247)

 -- Julian Gilbey <jdg@debian.org>  Thu, 14 Mar 2002 10:06:35 +0000

devscripts (2.6.90) unstable; urgency=low

  * Simplified whole build process.
  * Removed broken i18n support -- if it's wanted, we can reintroduce it
    when Perl supports a --dump-po-strings type function (or we can write
    it manually)
  * devscripts now has a config file!  Yeah!  (closes: #40729)
  * New scripts:
    - dpkg-depcheck (from Bill Allombert <ballombe@debian.org>)
    - grep-excuses (closes: #129444)
    - mergechanges (closes: #130849)
  * bts: document BROWSER in ENVIRONMENT VARIABLES section (closes:
    #116417)
  * bts: accepts 'tags' as a synonym for 'tag' (closes: #113262)
  * bts: accepts --help and --version arguments
  * debchange: allow it to understand both dupload and dput .upload
    formats
  * debchange: handle EMAIL='Full Name <email@address>' (closes: #133632)
  * debchange: now uses config variable for --preserve option
  * debchange: introduce -d/--fromdirname option (closes: #116352)
  * debchange: clarify --newversion explanation in manpage (closes: #137392)
  * debclean: introduced --cleandebs option and config variable: now only
    removes .deb etc. files if specifically requested to
  * debdiff: fixed dirs moving around among multiple packages (closes:
    #113151)
  * debdiff: use configuration file
  * debrelease: can use dput or dupload (closes: #118071)
  * debrelease: can now handle source-only uploads
  * debrelease: use configuration file
  * deb[r]sign: teach it about source-only .changes files
  * debsign: don't delete signed files if the scp to transfer them back
    failed (thanks to Joey Hess for patch) (closes: #126395)
  * debsign: use configuration file
  * debuild: teach it about source-only builds (closes: #114699) and
    binary-only builds (closes: #115168)
  * debuild: correct -E description in usage info (closes: #126171)
  * debuild: correct -p option handling (closes: #122870)
  * debuild: now uses configuration file (closes: #36793)
  * debuild: check for existence of fakeroot (closes: #137605)
  * dpkg-genbuilddeps: now a wrapper around dpkg-depcheck.  This latter
    program can be used instead if there is a problem with strace hanging
    on dpkg --build; simply only trace the build target.
  * dscverify: now uses the same gpg command as katie for signature
    verification, which has simplified the code significantly
  * dscverify: now also check signature on .dsc file included in .changes
    file
  * dscverify: now uses configuration file
  * uscan: rewrote in Perl to make handling other bugs simpler
  * uscan: new, simpler, watch file format available, ironically also
    allows handling of more complex http:// searches (closes: #126789)
  * uscan: correct handling of absolute filenames (closes: #120416, #126768)
  * uscan: verbose and non-verbose modes available (closes: #126705)
  * uscan: report-only mode available (closes: #126705)
  * uscan: allows choosing PASV or non-PASV (default) mode (closes: #127646)
  * uscan: symlinks (by default) pkg_version.orig.tar.gz to downloaded
    file (closes: #127580)
  * uscan: now uses configuration file
  * uupdate: correct match regexp (closes: #114798)
  * uupdate: now uses pristine source by default (closes: #131448)
  * debian.procmail: remove old quake list reference (closes: #136058)

 -- Julian Gilbey <jdg@debian.org>  Mon,  4 Feb 2002 13:00:36 +0000

devscripts (2.6.4) unstable; urgency=low

  * Fix postscript typo (closes: #112437)
  * bts: add missing tags (closes: #113240)
  * bts: fix comment handling in bts control commands (closes: #113890)
  * plotchangelog: add -b/--bugcount option to --help output (closes:
    #112585)

 -- Julian Gilbey <jdg@debian.org>  Mon,  1 Oct 2001 08:49:59 +0100

devscripts (2.6.3) unstable; urgency=low

  * bts: Fix typos (closes: #110519)
  * bts: Implement esr's BROWSER spec (closes: #111061)
  * bts: Multiple command caching, thanks to Colin Watson (closes:
    #111066)
  * bts: Recognise DEBEMAIL and fake From: line if it's set (closes:
    #111148)

 -- Julian Gilbey <jdg@debian.org>  Tue,  4 Sep 2001 15:24:53 +0100

devscripts (2.6.2) unstable; urgency=low

  * Get the build-indep -> build-arch change correct as well - D'Oh!
    (closes: #110042)

 -- Julian Gilbey <jdg@debian.org>  Sat, 25 Aug 2001 22:30:17 +0100

devscripts (2.6.1) unstable; urgency=low

  * Build-Depends-Indep -> Build-Depends (closes: #109746)
  * bts doesn't automatically default to w3m (closes: #109699)

 -- Julian Gilbey <jdg@debian.org>  Fri, 24 Aug 2001 01:53:37 +0100

devscripts (2.6.0) unstable; urgency=low

  * Added new "bts" script (closes: #104407)
  * Added Ben Collins' dpkg-genbuilddeps program (note that this makes
    this package "Architecture: any" rather than the previous
    "Architecture: all"); unfortunately, it is currently disabled due to a
    bug in strace (or perhaps it's in dpkg)
  * Fix dscverify MD5 -> Digest::MD5 (required the old libmd5-perl package
    to work correctly) (closes: #105814)
  * Change "OK then, aborting." message in debsign (closes: #100654)
  * Correct spelling priviledge -> privilege (closes: #101774)
  * Improvement in uupdate tmp dir handling (thanks to Decklin Foster)
    (closes: #106057)
  * dscverify now accepts local keyrings (closes: #98431)
  * Fixed plotchangelog bugs (closes: #102416, #102417)

 -- Julian Gilbey <jdg@debian.org>  Tue, 21 Aug 2001 20:27:53 +0100

devscripts (2.5.30) unstable; urgency=low

  * Remove /etc/upload.sites if it still exists.
  * Correct use of $! in perl scripts (closes: #97185)
  * Add wdiff recommendation in control file for debdiff (closes: #94907)

 -- Julian Gilbey <jdg@debian.org>  Wed,  6 Jun 2001 16:02:08 +0100

devscripts (2.5.29) unstable; urgency=medium

  * And do all of the other debian.procmail security regex's while we're
    at it.

 -- Julian Gilbey <jdg@debian.org>  Sat,  5 May 2001 22:51:04 +0100

devscripts (2.5.28) unstable; urgency=medium

  * Fix security hole in debian.procmail example: replace [^@] regex by
    something more restrictive (reported by Shane Wegner <shane@debian.org>)

 -- Julian Gilbey <jdg@debian.org>  Sat,  5 May 2001 22:28:20 +0100

devscripts (2.5.27) unstable; urgency=low

  * debdiff: compares control files in more situations (closes: #94562)

 -- Julian Gilbey <jdg@debian.org>  Fri, 20 Apr 2001 17:30:43 +0100

devscripts (2.5.26) unstable; urgency=low

  * Fixed debdiff; added wdiff formatting options

 -- Julian Gilbey <jdg@debian.org>  Tue, 17 Apr 2001 11:04:23 +0100

devscripts (2.5.25) unstable; urgency=low

  * Fixed plotchangelog bugs (closes: #93204, #93205)
  * Enhanced debdiff (closes: #58459, #59827, #79952): can now diff
    control files and see which files have moved between packages (not
    perfect, but pretty good)
  * dch aborts if the temporary changelog is not modified (mtime check) --
    patch by Colin Watson <cjw44@flatline.org.uk> (closes: #72237)
  * Improve forward.exim (master.procmail was already done) (closes: #78474)

 -- Julian Gilbey <jdg@debian.org>  Tue, 17 Apr 2001 09:42:55 +0100

devscripts (2.5.24) unstable; urgency=low

  * Improve debpkg error handling with no options given
  * debsign should exit with status 0 if signed file is not resigned
    (closes: #92833)

 -- Julian Gilbey <jdg@debian.org>  Wed,  4 Apr 2001 18:24:39 +0100

devscripts (2.5.23) unstable; urgency=low

  * Fix uscan to handle funny HTML hrefs (closes: #89749)

 -- Julian Gilbey <jdg@debian.org>  Mon,  2 Apr 2001 01:01:26 +0100

devscripts (2.5.22) unstable; urgency=low

  * Remove dependency on gettext; there are no translations for this
    package to date, and no easy ways of generating the needed message
    files (closes: #92167)

 -- Julian Gilbey <jdg@debian.org>  Fri, 30 Mar 2001 15:45:31 +0100

devscripts (2.5.21) unstable; urgency=low

  * Introduced --set-envvar option to debuild (might close #88586)

 -- Julian Gilbey <jdg@debian.org>  Mon,  5 Mar 2001 15:58:59 +0000

devscripts (2.5.20) unstable; urgency=low

  * Modified README to refer to dpkg-statoverride instead of suidmanager
  * debsign: Add -e option (closes: #85847)
  * debsign: lots of improvements to bring it into line with current
    dpkg-buildpackage
  * Modified package description to list dependencies of each script
  * Removed dependency on ftp (and ftp-ssl should Provide: ftp)
    (closes: #86765)
  * Updated for new Perl setup; changed source dependencies to cope
  * Standards version 3.5.2

 -- Julian Gilbey <jdg@debian.org>  Sun, 25 Feb 2001 14:21:01 +0000

devscripts (2.5.19) unstable; urgency=low

  * Quote package name in regexps (closes: #85566)

 -- Julian Gilbey <jdg@debian.org>  Sun, 11 Feb 2001 22:49:28 +0000

devscripts (2.5.18) unstable; urgency=low

  * Correct /bin/sh -> /bin/bash in shell scripts; broke due to my
    configure script using the shell variable BASH, which was /bin/sh when
    /bin/sh was linked to bash.  Oops.  (closes: #85089)
  * Correct debchange directory renaming behaviour (closes: #78468)
  * Correct ~ -> $HOME in debrsign (closes: #81147)
  * Changed tar I -> tar --bzip2 in uupdate (closes: #81507)
  * Corrected uscan.1 (thanks to Jim Van Zandt) (closes: #83095)
  * debchange: sets urgency to low automatically (closes: #83584)
  * debclean: Correct directory changing (closes: #84309)
  * Conflict with old suidmanager
  * debchange: --help should never fail! (closes: #78383)

 -- Julian Gilbey <jdg@debian.org>  Wed,  7 Feb 2001 10:47:28 +0000

devscripts (2.5.17) unstable; urgency=low

  * debuild: Allow through DEB_* and GNUPGHOME environment
    variables. (Closes: #77822)

 -- Julian Gilbey <jdg@debian.org>  Thu, 14 Dec 2000 12:03:56 +0000

devscripts (2.5.16) unstable; urgency=low

  * debdiff: Set locale to C before doing parsed dpkg-deb call
    (closes: #68325 again)

 -- Julian Gilbey <jdg@debian.org>  Mon, 11 Dec 2000 23:07:07 +0000

devscripts (2.5.15) unstable; urgency=low

  * Correct debsign typo -- oops! (closes: #79366)

 -- Julian Gilbey <jdg@debian.org>  Mon, 11 Dec 2000 22:17:55 +0000

devscripts (2.5.14) unstable; urgency=low

  * master.procmail: add -oi option to sendmail invocation
  * debdiff: attempt to fix hardlinks problem (closes: #68325)

 -- Julian Gilbey <jdg@debian.org>  Sun, 10 Dec 2000 23:50:35 +0000

devscripts (2.5.13) unstable; urgency=low

  * debsign: Fix manpage (line beginning with dot disappeared)
    (closes: #76984)
  * debsign: Give explanatory warning message about RSA(REF) extensions if
    gpg fails, due to silly/paranoid gpg exit values (closes: #75677)
  * debsign: use new Changed-By field if it exists (closes: #77226)
  * deb(r)sign: now allows signing of just a .dsc file (closes: #77822)
  * dch: Use more intelligent way of determining name and email address
    (thanks to Roderick Schertler, roderick@argon.org; closes: #63764)
  * uscan: Use binary mode for ftp (closes: #67336)
  * uscan: Use passive mode for ftp (closes: #68539)
  * parsechangelog: put in check for libtimedate-perl package and issue
    meaningful error message if not found (closes: #67710)
  * master.procmail: prevent looping (closes: #65256)

 -- Julian Gilbey <jdg@debian.org>  Sat,  9 Dec 2000 23:53:23 +0000

devscripts (2.5.12) unstable; urgency=low

  * dscverify: Correct test for --help, --version to be *after* test for
    no arguments
  * uupdate: allow .tar.bz2 archive files (but not yet for pristine
    source; will do soon, once I've upgraded to woody and dpkg is ready
    for it) (closes: #64113)

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 May 2000 13:55:38 +0100

devscripts (2.5.11) unstable; urgency=low

  * Fix checkgettext.pm so it actually works when liblocale-gettext-perl
    is not installed (conflict with POSIX module)
  * Modify dscverify to see the keyrings on ftp-master as well as on
    master.

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 May 2000 10:27:26 +0100

devscripts (2.5.10) unstable; urgency=low

  * Fix debsign to check for $GNUPGHOME as well as ~/.gnupg (closes bug
    reported by Gerfried Fuchs <alfie@innocent.com>)
  * Fix debian-test script to work with new version of debian-test
    (closes: #51527)

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 May 2000 12:04:29 +0100

devscripts (2.5.9) unstable; urgency=low

  * Change Getopt::Long::config back to Getopt::Long::Configure in dch as
    this is a woody package, and I am not going to worry about slink
    compliance any longer.
  * debsign checks to see whether the .dsc file has already been signed
    (closes: #54963)
  * Fixed scp bug when changes file name is given relative to remote home
    directory (closes: #61504)
  * Corrected help message in debc (closes: #61541)
  * Changed dupload recommends to suggests; all package maintainers will
    have dupload installed anyone, one would presume (closes: #57847)
  * Removed recommendations etc on netstd and perl(-suid) from the control
    file as their replacements are already standard in potato.

 -- Julian Gilbey <jdg@debian.org>  Tue,  4 Apr 2000 17:45:18 +0100

devscripts (2.5.8) frozen unstable; urgency=low

  * Correct debdiff to allow 2 *.changes files (closes: #58458)
    (RM: this is an important bug)

 -- Julian Gilbey <jdg@debian.org>  Mon, 13 Mar 2000 23:37:05 +0000

devscripts (2.5.7) unstable; urgency=low

  * Remove install-stamp from debian/rules
  * Change Getopt::Long::Configure to Getopt::Long::config in dch to allow
    the package to still work in slink (closes: #51442)

 -- Julian Gilbey <jdg@debian.org>  Wed,  1 Dec 1999 00:50:44 +0000

devscripts (2.5.6) unstable; urgency=low

  * Correct debuild bug.  Again.  This regexp is getting silly ;)

 -- Julian Gilbey <jdg@debian.org>  Wed, 24 Nov 1999 09:28:44 +0000

devscripts (2.5.5) unstable; urgency=low

  * Correct debuild to only pass -spgp and -sgpg options to debsign, not
    -sa and suchlike (closes: #51065)

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 1999 12:18:47 +0000

devscripts (2.5.4) unstable; urgency=low

  * Added perl shebang test to debian-test suite
  * Recompile to correct perl shebang line (closes: #51039 and all other
    reports about the same thing!)
  * Preserve DEB_BUILD_OPTIONS (request from Joseph Carter)

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 1999 11:19:12 +0000

devscripts (2.5.3) unstable; urgency=low

  * Correct uupdate syntax error (closes: #50881)
  * Correct debsign regexp error again! (closes: #50877)

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Nov 1999 18:24:00 +0000

devscripts (2.5.2) unstable; urgency=low

  * Fixed debrelease back in version 2.5.0 to pass on options to dupload,
    but forgot to say so.
  * All of the programs which look for a .changes file now accept the
    dpkg-buildpackage/dpkg-architecture -a and -t options (again, done in
    2.5.0)
  * Correct 'eq' -> '-eq' in test command (and it's the third time I've
    made that mistake in as many days...) (closes: #50549)
  * Added a simple debian-test script to check that I get the version
    numbering right....
  * Added build dependecies (which wasn't really that hard...)
  * Correct debdiff problem: forgot to chdir back after looking at first
    changes file
  * debit now runs debian-test *without* su nobody; I believe that it is
    the responsibility of the test programs themselves to handle choosing
    their userid
  * Correct handling of .changes file entries when package is in
    non-US/main/libs or suchlike (really closes: #50281)

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Nov 1999 01:50:32 +0000

devscripts (2.5.1) unstable; urgency=low

  * Cleaned up Makefile.am
  * Small correction to mustsetvar logic in uscan

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 21:44:26 +0000

devscripts (2.5.0) unstable; urgency=low

  * Add -m option to deb(r)sign to parallel the behaviour of
    dpkg-buildpackage; this is obviously desirable, and necessary to
  * make sure that debuild pays attention to any -m, -k, -p or -s options
    given to dpkg-buildpackage when calling debsign (should close #50281),
    and
  * make debsign sign the right .changes file!  (closes: #50134)
  * Teach debdiff to fully handle potato version of dpkg -c output
  * Make debdiff able to handle .changes files as well as just single .deb
    files
  * Make debdiff Perl more idiomatic
  * Allow deb[ic] to handle multiple binary packages by parsing .changes
    file (closes: #33699)
  * Merged deb[ic] into one file, as their functionality is almost
    identical
  * Corrected a few more occurrences of manually parsing changelogs (which
    I should have done when correcting bug #43082)
  * Add Joey's plotchangelog program (closes: #50150)
  * Added a README.i18n file
  * Added James R. Van Zandt's debit script, merged into a single script
    with debi.

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 02:41:57 +0000

devscripts (2.4.6) unstable; urgency=low

  * Rebuild with correct Perl paths

 -- Julian Gilbey <jdg@debian.org>  Fri, 12 Nov 1999 02:26:42 +0000

devscripts (2.4.5) unstable; urgency=low

  * Remove references to libtricks package from descriptions (close:
    #49937, even though I made the correction the day before the bug
    report arrived!)
  * Only suggest gnupg rather that recommend (closes: #49882)
  * s/sprint/sprintf/ in dscverify (closes: #49721)
  * Add --version and --help options to all programs (and this effectively
    closes: #49554)
  * Add long options to all programs except for deb(r)sign, as the options
    there match those in dpkg-buildpackage (closes: #41850)
  * No longer suggest PGP, as GNU Privacy Guard with the requisite
    extensions should be sufficient
  * Correct debdiff to take account of new format of dpkg-deb -c output
    (and why did it change?)
  * Make sure debian/rules clean really does that (error in Makefile.am)
  * Rewrite of internals of debuild in several places, especially with
    regard to -r handling.  Much nicer logic now.

 -- Julian Gilbey <jdg@debian.org>  Fri, 12 Nov 1999 01:49:40 +0000

devscripts (2.4.4) unstable; urgency=low

  * Correct spurious debian/changelog.dch error message (closes: #49435)

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Nov 1999 18:02:07 +0000

devscripts (2.4.3) unstable; urgency=low

  * Add ssh | ssh-nonfree suggest (forgot when adding remote signing
    capabilities to deb(r)sign in 2.4.[01])

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Nov 1999 02:37:17 +0000

devscripts (2.4.2) unstable; urgency=low

  * Change netstd dependency to netstd (<<3.07-8) | ftp dependency
    (closes: #49322, #49331)

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Nov 1999 02:24:43 +0000

devscripts (2.4.1) unstable; urgency=low

  * Added remote changes file functionality to debsign

 -- Julian Gilbey <jdg@debian.org>  Thu,  4 Nov 1999 01:09:13 +0000

devscripts (2.4.0) unstable; urgency=low

  * Use Edward Betts' procmailrc examples files
  * Suggest perl5-suid | perl-suid instead of perl-suid (closes: #42873)
  * Corrected debchange to handle all sorts of version numbers, and to
    use dpkg-parsechangelog for correctness (closes: #43082)
  * Corrected dscverify: use POSIX and don't have barewords (closes: #45858)
  * Renamed signchanges to debsign
  * Allowed .changes name to be determined automatically by debsign
  * Added debrsign program (closes: #44051)
  * Cleaned up shebang lines
  * Corrected uscan to allow absolute links (closes: #45672)
  * Make ftp connections passive (closes: #46193)
  * Corrected extraneous directory changing (closes: #46645)
  * Use dpkg-parsechangelog to determine package name and version in
    uupdate (closes: #47402)
  * Make pgp/gpg choice of debsign behave in the same way as
    dpkg-buildpackage.
  * dscverify now uses GPG and will need an RSA extension to check PGP
    signatures

 -- Julian Gilbey <jdg@debian.org>  Thu, 28 Oct 1999 16:39:42 +0100

devscripts (2.3.9) unstable; urgency=low

  * Correct gpg signchanges patch (closes: #42188, thanks to Adam Heath)

 -- Julian Gilbey <jdg@debian.org>  Sun,  8 Aug 1999 10:05:34 +0100

devscripts (2.3.8) unstable; urgency=low

  * Changed perl5 dependency to perl5 | perl (closes: #42329)

 -- Julian Gilbey <jdg@debian.org>  Wed,  4 Aug 1999 10:32:39 +0100

devscripts (2.3.7) unstable; urgency=low

  * Correct html patch (closes: #41986)

 -- Julian Gilbey <jdg@debian.org>  Wed, 28 Jul 1999 00:37:59 +0100

devscripts (2.3.6) unstable; urgency=low

  * Corrected Makefile.am bug which makes all Perl scripts begin #! @PERL@
    -- ouch!!  (closes: #41846, part of #41850)

 -- Julian Gilbey <jdg@debian.org>  Sun, 25 Jul 1999 02:12:37 +0100

devscripts (2.3.5) unstable; urgency=low

  * Change Suggests: libmd5-perl to libdigest-md5-perl
  * Incorporated Joseph Carter's gpg patch to signchanges (closes: #40727)
  * Incorporated Raphael Hertzog's patch to not depend on
    liblocale-gettext-perl (closes: #40596)
  * Applied Piotr Roszatycki's patch to allow uscan to use http://
    prefixed locations (closes: #41272)

 -- Julian Gilbey <jdg@debian.org>  Fri, 23 Jul 1999 09:24:53 +0100

devscripts (2.3.4) unstable; urgency=low

  * Change perl dependency to perl5 dependency

 -- Julian Gilbey <jdg@debian.org>  Thu,  1 Jul 1999 23:02:33 +0100

devscripts (2.3.3) unstable; urgency=low

  * Corrected debpkg manpage (closes: #40279)
  * Remove dependency on dupload (closes: #40382)
  * Add -p (preserve directory name) option to dch (closes: #39385)

 -- Julian Gilbey <jdg@debian.org>  Thu,  1 Jul 1999 02:54:24 +0100

devscripts (2.3.2) unstable; urgency=low

  * More corrections to uscan, with thanks to Thomas Quinot.  Closes:
    #40227
  * Added -e/-E options to debuild (closes: #40071)

 -- Julian Gilbey <jdg@debian.org>  Sun, 27 Jun 1999 03:00:22 +0100

devscripts (2.3.1) unstable; urgency=low

  * Really fix bug#38798 this time: versort and uscan now work correctly
    together

 -- Julian Gilbey <jdg@debian.org>  Tue, 22 Jun 1999 00:45:52 +0100

devscripts (2.3.0) unstable; urgency=low

  * Reinstated the release script (renamed as debrelease) (closes #34122)
  * dch can now determine (in conjunction with dupload 2.1) whether or not
    to increment the version number without needing an explicit option
    (closes #34130)
  * Internationalisation of the package
  * Correct the (internal) versort library file description (closes:
    #38798)

 -- Julian Gilbey <jdg@debian.org>  Tue, 22 Jun 1999 00:45:39 +0100

devscripts (2.2.7) unstable; urgency=low

  * signchanges now correctly handles signing binary-only changes files

 -- Julian Gilbey <jdg@debian.org>  Mon, 31 May 1999 22:35:20 +0100

devscripts (2.2.6) unstable; urgency=low

  * Corrected silly dscverify bug so it now works with filenames with no
    directory components -- duh!  (closes: #38065)
  * Corrected perl regexp in signchanges so it now finds the dsc file
    (closes: #38049)

 -- Julian Gilbey <jdg@debian.org>  Sun, 23 May 1999 16:44:32 +0100

devscripts (2.2.5) unstable; urgency=high

  * Now only recommend fakeroot (and not libtricks) to alleviate grave
    bug #37592 against dpkg

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 May 1999 01:45:02 +0100

devscripts (2.2.4) unstable; urgency=low

  * debchange/dch now looks for environment variable DEBEMAIL before
    EMAIL (closes: #37199)

 -- Julian Gilbey <jdg@debian.org>  Wed,  5 May 1999 23:55:15 +0100

devscripts (2.2.3) unstable; urgency=low

  * Correct debdiff Perl error and inconsistency

 -- Julian Gilbey <jdg@debian.org>  Tue,  4 May 1999 05:01:17 +0100

devscripts (2.2.2) unstable; urgency=low

  * Fixed signchanges to die if PGP fails, rather than to wipe the
    unsigned .changes file (closes: #36625)

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Apr 1999 01:57:57 +0100

devscripts (2.2.1) unstable; urgency=low

  * Correct copyright notice in debdiff.1

 -- Julian Gilbey <jdg@debian.org>  Wed, 21 Apr 1999 02:10:59 +0100

devscripts (2.2.0) unstable; urgency=low

  * Merged Yann's debdiff manpage with my attempt; bumping up the minor
    number because of the new program
  * Simplified debdiff's exit values
  * debdiff is now licensed under version 2 of the GPL, rather than
    version 2 or later
  * Modified debchange/dch to always use the current date at the end of
    the changelog section, even when adding an entry

 -- Julian Gilbey <jdg@debian.org>  Mon, 19 Apr 1999 20:00:34 +0100

devscripts (2.1.6) unstable; urgency=low

  * Modify debdiff to ignore the destinations of symlinks

 -- Julian Gilbey <jdg@debian.org>  Tue, 13 Apr 1999 23:44:47 +0100

devscripts (2.1.5) unstable; urgency=low

  * Now only Suggests: rather than Recommend: perl-suid (closes: #35635)
  * Added Roderick's patch to dscverify, and added a change directory
    feature of my own: a .changes file may be in any directory, and the
    program will cd to that directory before trying to read any files
    (closes: #34255)
  * Added a rewritten, Perl version, of Yann Dirson's debdiff script
    (closes: #34781)

 -- Julian Gilbey <jdg@debian.org>  Mon, 12 Apr 1999 22:50:44 +0100

devscripts (2.1.4) unstable; urgency=low

  * Modify versort to be locale-independent, matching the corresponding
    expected change in dpkg

 -- Julian Gilbey <jdg@debian.org>  Wed,  3 Mar 1999 01:10:37 +0000

devscripts (2.1.3) unstable; urgency=low

  * Removed CVS files from .orig.tar.gz file!

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Feb 1999 19:57:50 +0000

devscripts (2.1.2) unstable; urgency=low

  * Made debpkg pick up gid root as well as uid root

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Feb 1999 18:08:23 +0000

devscripts (2.1.1) unstable; urgency=low

  * Moved package from utils to devel (closes: #33410)

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Feb 1999 00:52:26 +0000

devscripts (2.1.0) unstable; urgency=low

  * Correct README to refer to libtricks package rather than fakeroot
    package (closes: #32736)
  * Modify uupdate to accept a -u argument to keep an Upstream pristine
    source (closes: #32680, #12443); bump up the minor version number for
    this
  * A few other miscellaneous bug fixes to uupdate to be stricter about
    seeming problems
  * Added a new program: signchanges for signing a .changes/.dsc pair
    without needing any of the rest of the source or binary files to be
    present; this is useful for when a developer must build a package on
    a machine other than the one on which he is signing

 -- Julian Gilbey <jdg@debian.org>  Wed,  3 Feb 1999 02:31:15 +0000

devscripts (2.0.6) unstable; urgency=low

  * Updated man page for uupdate to reflect change in 2.0.5

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Jan 1999 12:44:11 +0000

devscripts (2.0.5) unstable; urgency=low

  * Made test invocations POSIX compliant by removing -a connectives
  * Uupdate now also accepts an absolute filename (closes: #31884)
  * Allowed debuild to accept a space after the -r option
  * More checks in uupdate to make it more robust

 -- Julian Gilbey <jdg@debian.org>  Mon, 18 Jan 1999 16:51:16 +0000

devscripts (2.0.4) unstable; urgency=low

  * Changed control file to refer to package libtricks rather than old
    name fakeroot (spotted by Edward Betts)

 -- Julian Gilbey <jdg@debian.org>  Mon, 11 Jan 1999 00:24:02 +0000

devscripts (2.0.3) unstable; urgency=medium

  * Second attempt at correcting critical /tmp security bug (thanks to
    Joey Hess!)

 -- Julian Gilbey <jdg@debian.org>  Thu,  7 Jan 1999 22:46:01 +0000

devscripts (2.0.2) unstable; urgency=low

  * Disallow debchange and uupdate from being run by root or setuid; this
    prevents possible /tmp exploits (Spotted by Joey Hess)
  * Use the TMPDIR environment variable instead of /tmp if it is set
    (requested by Zephaniah E, Hull)

 -- Julian Gilbey <jdg@debian.org>  Thu,  7 Jan 1999 21:56:11 +0000

devscripts (2.0.1) unstable; urgency=low

  * Corrected silly LIBDIR bug in uscan
  * Corrected missing newline characted in debchange

 -- Julian Gilbey <jdg@debian.org>  Thu,  7 Jan 1999 18:24:58 +0000

devscripts (2.0.0) unstable; urgency=low

  * New maintainer
  * Standards: 2.5.0.0
  * New version numbering scheme: major.minor.patchlevel
  * Changed the name of build to debuild.  build now just prints an error
    message and will disappear completely in the near future.
  * Correct handling of epochs in debc, debi and release (closes: #29855)
  * Use environment variables EDITOR, then VISUAL, and failing that,
    /usr/bin/editor in accordance with policy 5.3 (except that VISUAL is
    not mentioned there)  (closes: #28605)
  * Many modifications to uscan: it now compares version numbers
    correctly, using a Perl script which works in a similar way to
    dpkg --compare-versions, and it no longer has the extra 0 bug
    (closes: #19235, #19467); it no longer uses ncftp but only ftp
    (closes: #20968)
  * uscan now expects the watch file to explicitly indicate how to deduce
    the version number from the filename, by writing the filename as a
    Perl regular expression and enclosing the version number part in (...)
  * uupdate now allows a version number as an argument after the archive
    filename, allowing it to work in harmony with uscan (closes: #20278)
  * uupdate no longer tries to remove *.orig files, as the only ones which
    are created by GNU patch are those where the patch failed, and we
    probably _want_ to keep those (closes: #25774)
  * build rewritten in Perl (now called debuild); has a nicer handling of
    command line options (can accept a -r option with one of binary etc.,
    and doesn't need an explicit -r option if there are other
    dpkg-buildpackage options)  (closes: #27752)
  * debpkg rewritten in Perl as well
  * This package is now an Architecture: all package as there are no
    binaries left
  * debchange now uses the last distributions mentioned in the changelog
    as the default for the new version (closes: #30204)
  * debchange now uses the environment variables DEBFULLNAME and EMAIL as
    the uploader's details if these are set
  * release has been deprecated in favour of dupload, and now just prints
    a message suggesting the use of dupload instead (Closes: #29826,
    #29978)
  * The debchange command line options have been changed.  debchange no
    longer pays attention to the presence of a RELEASED file.  The -i
    option is for Increasing the Debian release number; the -a option is
    for Appending to the current version, and the -v option specifies a
    specific version number.  One of these is mandatory
  * Debchange now adds new changelog entries to the END of the current
    section, rather than the beginning
  * Improved logic of upgrading the Debian release number in debchange
  * Debchange does not supply a release number if there is an explicit
    version number provided
  * Now debchange works on a version of the changelog in /tmp and only
    overwrites the current changelog if everything is OK; this is much
    safer than the original version.  Also, all system calls have their
    return status checked
  * release and build now print error messages suggesting their
    replacements
  * debuild now runs lintian by default if it is installed; there is an
    override facility etc., as described in the manpage (Closes: #18254)
  * Added Roderick Schertler's dscverify program to devscripts
  * Rewrote many bits of many man pages
  * debian/rules and Makefile modified to use debhelper

 -- Julian Gilbey <jdg@debian.org>  Thu,  7 Jan 1999 02:46:04 +0000

devscripts (1.7.1) frozen unstable; urgency=medium

  * Corrected file permissions (Closes: #31447)

 -- Julian Gilbey <jdg@debian.org>  Mon,  4 Jan 1999 10:29:19 +0000

devscripts (1.7) frozen unstable; urgency=low

  * Changed uupdate to be more choosy about the version numbers
    automatically recognised  (Closes: #30838)
  * New maintainer

 -- Julian Gilbey <jdg@debian.org>  Thu, 24 Dec 1998 13:07:13 +0000

devscripts (1.6) unstable; urgency=low

  * #23098 build manpage update
  * #23097 build: Preserve FAKEROOTKEY
  * #19172 remove description for deblint
  * #18564 depend on mailx
  * #14314 release: epochs work now.
  * #18498 conffiles are now absolute
  * #24455 #24074 release: new scp requires -q option

 -- Christoph Lameter <clameter@debian.org>  Sat, 11 Jul 1998 21:45:47 -0700

devscripts (1.5) unstable; urgency=low

  * #18235: build checks for executable bit on debian/rules and sets it if
    not set before building package. build fails when debian/rules is not
    present.

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Feb 1998 20:01:09 -0800

devscripts (1.4) unstable; urgency=low

  * Upgrade to 2.4.0.0
  * remove deblint from the package since there is now lintian which is much
    better.

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Feb 1998 14:37:42 -0800

devscripts (1.3) unstable; urgency=low

  * build: change default path. Remove sbin dirs add /usr/local/bin

 -- Christoph Lameter <clameter@debian.org>  Wed,  4 Feb 1998 13:07:04 -0800

devscripts (1.2) unstable; urgency=low

  * Fix a problem with anonymous ftp upload of larger lists of files.
  * Remove ftp.fuller.edu and lalug.org upload queue since they no longer exist.
  * Add anonymous ftp type upload capability.
  * Add third party site upload capability.
  * Add debs.fuller.edu site information

 -- Christoph Lameter <clameter@debian.org>  Tue,  2 Dec 1997 12:53:18 -0800

devscripts (1.1) unstable; urgency=low

  * Remove release fix for epochs introduced in 1.0 since it breaks lots of
    things until I figure out what is wrong.
  * Drop dependency on fileutils.

 -- Christoph Lameter <clameter@debian.org>  Wed, 29 Oct 1997 17:14:26 -0800

devscripts (1.0) unstable; urgency=low

  * release: Make scp not ask anything so release does not hang when scp
    wants a password.
  * #13908 Try to fix release so that it handles epochs.
  * #13681 Fix manpage for release to indicate that no annoucements will be
    generated when dupload is used.
  * #13777 no longer use printf in debchange (dch)
  * #13846 Output Format of release changed
  * Suggest fakeroot
  * Split off from debmake
  * Update documentation

 -- Christoph Lameter <clameter@debian.org>  Mon, 20 Oct 1997 21:02:27 -0700
